Fri Dec 30 15:36:04 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Event_Comm/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/fp_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/mif_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/muf_example/Makefile.am:
        * examples/Logging/Makefile.am:

          Regenerated.

        * examples/Event_Comm/Event_Comm.mpc:
        * examples/Kokyu_dsrt_schedulers/fp_example/fp_example.mpc:
        * examples/Kokyu_dsrt_schedulers/mif_example/mif_example.mpc:
        * examples/Kokyu_dsrt_schedulers/muf_example/muf_example.mpc:
        * examples/Logging/Logging.mpc:

          Add *_IDL projects for compiling *.idl files.  This eliminates
          duplicate rules that would otherwise result when Makefile.am's
          are aggregated in the automake build.

Fri Dec 30 16:15:24 2005  Wallace Zhang  <zhangw@ociweb.com>

        * NEWS: Updated information for the wchar refactoring work.

Wed Dec 30 14:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/MIF_Scheduler/MIF_DT_Creator.cpp:
        * tests/MT_Timeout/server.cpp:
        * tests/Crash_On_Write/server.cpp:
          Fixed compile error

Wed Dec 30 12:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2345_Regression/*:
          Added regression for bug 2345, this is not fixed yet, just
          adding the regression first. Thanks to Yariv Tal
          <yariv_tal2003 at hotmail dot com> for reporting this
          problem and delivering this simple regression

Thu Dec 29 11:43:02 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Content_Server/AMI_Iterator/Makefile.am
        * examples/Content_Server/AMI_Observer/Makefile.am
        * examples/Content_Server/SMI_Iterator/Makefile.am

          Regenerated.

        * examples/Content_Server/AMI_Iterator/AMI_Iterator.mpc:
        * examples/Content_Server/AMI_Observer/AMI_Observer.mpc:
        * examples/Content_Server/SMI_Iterator/SMI_Iterator.mpc:

          Add *_IDL projects for compiling *.idl files.  This eliminates
          duplicate rules that would otherwise result when Makefile.am's
          are aggregated in the automake build.

Thu Dec 29 11:26:45 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/tests/Bug_2316_Regression/Makefile.am:

          Regenerated.

        * orbsvcs/tests/Bug_2316_Regression/Bug_2316_Regression.mpc:

          Add *_IDL projects for compiling *.idl files.  This eliminates
          duplicate rules that would otherwise result when Makefile.am's
          are aggregated in the automake build.

Thu Dec 29 09:43:07 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tao/PI/PI_PolicyFactory.cpp:
        * tao/PI/ProcessingModePolicy.h:
        * tao/PI/ProcessingModePolicy.pidl:

          Took care of some TBD comments.  The TBD in the .pidl has been
          changed into a Doxygen @todo.

Thu Dec 29 07:29:38 2005  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:

          Added Comment regarding new Endpoint Selector.

Thu Dec 29 06:47:37 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tao/Strategies/OC_Endpoint_Selector_Factory.cpp:

          Wrapped plain text string in ACE_TEXT () to avoid problems on
          wide-character builds.

Wed Dec 28 18:20:23 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Callback_Quoter/Makefile.am:

          Regenerated.

        * examples/Callback_Quoter/Callback_Quoter.mpc:

          Add *_IDL projects for compiling *.idl files.  This eliminates
          duplicate rules that would otherwise result when Makefile.am's
          are aggregated in the automake build.

Wed Dec 28 17:07:23 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/AMH/Sink_Server/Makefile.am:
        * examples/Buffered_AMI/Makefile.am:
        * examples/Buffered_Oneways/Makefile.am:

          Regenerated.

        * examples/AMH/Sink_Server/Sink_Server.mpc:
        * examples/Buffered_AMI/Buffered_AMI.mpc:
        * examples/Buffered_Oneways/Buffered_Oneways.mpc:

          Add *_IDL projects for compiling *.idl files.  This eliminates
          duplicate rules that would otherwise result when Makefile.am's
          are aggregated in the automake build.

Wed Dec 28 13:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Native_Exceptions/Native_Exceptions.mpc:
        * tests/UNKNOWN_Exception/UNKNOWN_Exception.mpc:
          Removed setting of idlflags, native exceptions are the default
          now and the overruling of the idlflags gives problem when
          trying to extend TAO_IDLFLAGS from the platform_macros.GNU
          file

Wed Dec 28 11:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/MT_Cubit/client.cpp:
          Made this test compiling again with VxWorks 6.1, the WIND_TCB
          struct has been changed and shouldn't be used directly anymore

Wed Dec 28 10:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/Synch_i.cpp:
          Cast number of seconds explicitly to time_t

Wed Dec 28 10:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
          Applied a workaround for Borland to not give argument not used
          warnings. This problem has been reported to Borland to get it
          fixed in the next version.

Wed Dec 28 09:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.cpp:
          Fixed 64bit conversion warning

Wed Dec 28 09:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/test_i.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/test_i.h:
          No need to derive explicitly from ServantBase

Wed Dec 28 09:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/catior/catior.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_Loader.cpp:
        * tao/PortableServer/Root_POA.cpp:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.cpp:
        * tao/PortableServer/Object_Adapter.cpp:
          Added missing include

Wed Dec 28 08:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/Optimized_Connection_Endpoint_Selector.cpp:
          Removed incorrect ; at end of method

Tue Dec 27 22:50:22 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/CosTrading.mpc:

          Fix typo in last change.

Tue Dec 27 18:17:49 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/CosTrading.mpc:

          Tweak so trading_serv_export.h is installed.

Tue Dec 27 17:21:54 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/CosNotification.mpc:

          Tweak so notify_serv_export and notify_persist_export.h are
          installed.

        * orbsvcs/orbsvcs/CosTime.mpc:

          Tweak so time_export.h is installed.

        * orbsvcs/orbsvcs/CosEvent.mpc:
        * orbsvcs/orbsvcs/ec_typed_events_serv.mpb:

          Tweak so that CEC_Defaults.h and event_serv_export.h are
          installed.

Tue Dec 27 16:17:30 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/CosConcurrency.mpc:

          Tweak so concurrency_export.h is installed.  Thanks to Vladimir
          Panov for pointing out this class of problems.

        * tao/Makefile.am:

          Regenerated due to new Optimized Connection Endpoint Selector
          feature.  C.f.:

          Tue Dec 27 08:22:42 2005  Phil Mesnier  <mesnier_p@ociweb.com>

Tue Dec 27 15:33:28 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Remove DISTCLEANFILES definitions.  We no longer ship
          tao-config and tao-config.1.

        * Makefile.am:

          Build examples and interop-tests subdirectories.

        * Makefile.am:

          I accidently clobbered this file by checking in the MPC
          generated version.   Restore to revision 1.13, the last
          known good version.

Tue Dec 27 15:11:18 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Release

          Add aclocal.m4 to RELEASE_FILES.  Thanks to Vladimir Panov
          < gbr at voidland dot org >.

Fri Dec 23 20:17:39 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.h:

          Changed lock strategy of implicit_ids_, filterable_data_, and
          variable_header_ maps from TAO_SYNCH_MUTEX to ACE_Null_Mutex,
          since accesses to the maps are already protected at a higher
          level.

          Explicitly set the size of the implicit_ids_, filterable_data_,
          and variable_header_ maps to 27, 31, and 31 hash buckets
          respectively.

          A fixed set of 9 keys are stored in implicit_ids_.  With the
          default hash_pjw() hash function, 27 buckets is the smallest
          table where each key is hashed to a unique bucket.  Further
          optimizations, perhaps using a minimal perfect hash, may be
          possible.

          A 31 bucket hash table size was selected for filterable_data_
          and variable_header_ because a typical structured event has very
          few if any attributes, the cost of allocating default (1024 hash
          buckets) size maps outweigh any benefits of fewer hash
          collisions.

Tue Dec 27 12:24:29 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Fixed botched ACLOCAL_AMFLAGS definition.

Tue Dec 27 11:34:29 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Build examples subdirectory.

        * examples/Makefile.am:

          Disable building CSD_Strategy and RTScheduling subdirectories.
          These *.mpc files need major changes to support separate build
          directories.  This is too risky to complete within this beta
          cycle.

        * performance-tests/Makefile.am:

          Disable building CSD_Strategy subdirectory.
          These *.mpc files need major changes to support separate build
          directories.  This is too risky to complete within this beta
          cycle.

        * examples/Load_Balancing/Makefile.am:
        * examples/Load_Balancing_persistent/Makefile.am:
        * examples/POA/Adapter_Activator/Makefile.am:
        * examples/POA/Explicit_Activation/Makefile.am:
        * examples/POA/On_Demand_Activation/Makefile.am:
        * examples/POA/Reference_Counted_Servant/Makefile.am:
        * examples/POA/TIE/Makefile.am:
        * examples/Persistent_Grid/Makefile.am:
        * examples/Simulator/Event_Supplier/Makefile.am:

          Regenerated.

        * examples/POA/Adapter_Activator/POA_Adapter_Activator.mpc:
        * examples/POA/Explicit_Activation/POA_Explicit_Activation.mpc:
        * examples/POA/On_Demand_Activation/POA_On_Demand_Activation.mpc:
        * examples/POA/Reference_Counted_Servant/Reference_Counted_Servant.mpc:

          Change automake specific includes definitions to to have both
          build dir and source dir relative paths.

        * examples/Load_Balancing/Load_Balancing.mpc:
        * examples/Load_Balancing_persistent/Load_Balancing_persistent.mpc:
        * examples/POA/TIE/POA_TIE.mpc:
        * examples/Persistent_Grid/Persistent_Grid.mpc:
        * examples/Simulator/Event_Supplier/Event_Supplier.mpc:

          Add *_IDL projects for compiling *.idl files.  This eliminates
          duplicate rules that would otherwise result when Makefile.am's
          are aggregated in the automake build.

Tue Dec 27 08:22:42 2005  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Profile_Transport_Resolver.cpp:
        * tao/Profile_Transport_Resolver.h:
        * tao/Strategies/OC_Endpoint_Selector_Loader.cpp:
        * tao/Strategies/OC_Endpoint_Selector_Loader.h:
        * tao/Strategies/OC_Endpoint_Selector_Factory.cpp:
        * tao/Strategies/OC_Endpoint_Selector_Factory.h:
        * tao/Strategies/Optimized_Connection_Endpoint_Selector.cpp:
        * tao/Strategies/Optimized_Connection_Endpoint_Selector.h:

          A new feature requested by Homag.  This feature is an
          alternative endpoint selector that improves the performance of
          connection establishment when an IOR contains unreachable
          endpoints. The two elements of this optimization are a
          connection cache lookup before attempting any connections and a
          second means for setting the connection timeout without loading
          the AMI library to use the TAO-specific connection timeout
          policy.

        * tests/AlternateIIOP/svc.conf:

          The alternate IIOP test now uses the Optimized Connection
          Endpoint Selector to speed up the selection of the correct endpoint.

Tue Dec 27 09:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/FlResource_Loader.h:
        * tao/TkResource_Loader.h:
          Added missing versioning include. Thanks to
          Ken Sedgwick <ken at bonsai dot com>

Tue Dec 27 09:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IORInterceptor/IORInterceptor_Details.h:
          Fixed pragma once warning

Fri Dec 23 16:16:20 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add orbsvcs/tests/Bug_2316_Regression/Makefile to
          AC_CONFIG_FILES.

        * orbsvcs/tests/Bug_2316_Regression/Makefile.am:

          New file.

Fri Dec 23 13:06:22 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:

          Don't assign values to dynamically allocated Any's if the
          allocation failed.

          Remove rec_ member variable.  The constructor extracts all
          relevant fields and adds them to property_lookup_ map.

          Const-qualify constructor argument.

Fri Dec 23 10:47:55 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:

          Removed unused variable.

Fri Dec 23 09:09:14 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tao/PI/PI_ORBInitializer.h:
        * tao/PI/PI_ORBInitializer.cpp:
        * tao/PI/PI_PolicyFactory.h:
        * tao/PI/PI_PolicyFactory.cpp:
        * tao/PI/ProcessingModePolicy.h:
        * tao/PI/ProcessingModePolicy.cpp:

          Added the TAO versioning namespace macros.

Fri Dec 23 08:50:37 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Echo_Collocated_ORBInitializer.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/interceptors.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/test_i.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Echo_Client_ORBInitializer.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Echo_Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_interceptor.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/server_interceptor.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/test_i.h:

          Fixed fuzz errors related to RefCountedServantBase and _MSC_VER >=
          1200.

Fri Dec 23 13:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/util/utl_err.cpp:
          Added include of Log_Msg.h to get ACE_ERROR. Can't reproduce
          it on my machine but it can be that because of other defines
          this file is not included implicitly. This fixes bugzilla bug
          2342. Thanks to Dave Craig <dwcraig at qualcomm dot com> for
          reporting this.

Fri Dec 23 10:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Acceptor.cpp:
        * examples/POA/On_Demand_Loading/Servant_Manager.cpp:
          Fixed 64bit conversion warnings

Fri Dec 23 10:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Native_Exceptions/Native_Exceptions.mpc:
        * tests/UNKNOWN_Exception/UNKNOWN_Exception.mpc:
          Changed the way we change the TAO_IDL flags so that adding
          more flags from the platform_macros.GNU file works for these
          projects

Fri Dec 23 10:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PI/PI_PolicyFactory.h:
          Fixed export macros

Fri Dec 23 10:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PI/ClientRequestDetails.{h,inl}:
        * tao/PI_Server/ServerRequestDetails.{h,inl}:
        * tao/IORInterceptor/IORInterceptor_Details.{h,inl,cpp}:
          Fixed pragma once warning, removed empty destructor, not needed

        * tao/IORInterceptor/IORInterceptor_Details.inl:
          Removed this file, it is now empty

        * tao/Makefile.am:
          Updated

Fri Dec 23 08:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PI/PI_ORBInitializer.h:
        * tao/PI/ProcessingModePolicy.h:
          Fixed export macros

Thu Dec 22 16:07:11 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * docs/tutorials/Quoter/RT_Event_Service/Makefile.am:
        * examples/Makefile.am:
        * examples/AMH/Sink_Server/Makefile.am:
        * examples/AMI/FL_Callback/Makefile.am:
        * examples/Buffered_AMI/Makefile.am:
        * examples/Buffered_Oneways/Makefile.am:
        * examples/CSD_Strategy/ThreadPool/Makefile.am:
        * examples/CSD_Strategy/ThreadPool2/Makefile.am:
        * examples/CSD_Strategy/ThreadPool3/Makefile.am:
        * examples/CSD_Strategy/ThreadPool5/Makefile.am:
        * examples/CSD_Strategy/ThreadPool6/Makefile.am:
        * examples/Content_Server/AMI_Iterator/Makefile.am:
        * examples/Content_Server/AMI_Observer/Makefile.am:
        * examples/Content_Server/SMI_Iterator/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/mif_example/Makefile.am:
        * examples/Load_Balancing/Makefile.am:
        * examples/Load_Balancing_persistent/Makefile.am:
        * examples/OBV/Typed_Events/Makefile.am:
        * examples/POA/DSI/Makefile.am:
        * examples/POA/Default_Servant/Makefile.am:
        * examples/POA/Forwarding/Makefile.am:
        * examples/POA/Generic_Servant/Makefile.am:
        * examples/POA/TIE/Makefile.am:
        * examples/Persistent_Grid/Makefile.am:
        * examples/PluggableUDP/tests/Basic/Makefile.am:
        * examples/PluggableUDP/tests/Performance/Makefile.am:
        * examples/PluggableUDP/tests/SimplePerformance/Makefile.am:
        * examples/Simulator/Event_Supplier/Makefile.am:
        * interop-tests/wchar/Makefile.am:
        * orbsvcs/Event_Service/Makefile.am:
        * orbsvcs/FTRT_Event_Service/Event_Service/Makefile.am:
        * orbsvcs/FTRT_Event_Service/Factory_Service/Makefile.am:
        * orbsvcs/FTRT_Event_Service/Gateway_Service/Makefile.am:
        * orbsvcs/FT_ReplicationManager/Makefile.am:
        * orbsvcs/Fault_Detector/Makefile.am:
        * orbsvcs/Fault_Notifier/Makefile.am:
        * orbsvcs/IFR_Service/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile.am:
        * orbsvcs/Naming_Service/Makefile.am:
        * orbsvcs/Notify_Service/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Makefile.am:
        * orbsvcs/examples/FaultTolerance/RolyPoly/Makefile.am:
        * orbsvcs/examples/LoadBalancing/Makefile.am:
        * orbsvcs/examples/Log/RTEvent/Makefile.am:
        * orbsvcs/examples/Notify/Federation/Agent/Makefile.am:
        * orbsvcs/examples/Notify/Federation/Gate/Makefile.am:
        * orbsvcs/examples/Notify/Federation/SpaceCraft/Makefile.am:
        * orbsvcs/examples/Notify/Subscribe/Makefile.am:
        * orbsvcs/examples/RtEC/IIOPGateway/Makefile.am:
        * orbsvcs/examples/RtEC/Kokyu/Makefile.am:
        * orbsvcs/examples/RtEC/MCast/Makefile.am:
        * orbsvcs/examples/RtEC/Schedule/Makefile.am:
        * orbsvcs/examples/RtEC/Simple/Makefile.am:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/TCP_Baseline/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/lib/Makefile.am:
        * orbsvcs/tests/Makefile.am:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Component_Switching/Makefile.am:
        * orbsvcs/tests/AVStreams/Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Latency/Makefile.am:
        * orbsvcs/tests/AVStreams/Modify_QoS/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Multiple_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/Makefile.am:
        * orbsvcs/tests/Bug_2137_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2247_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2248_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2285_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2287_Regression/Makefile.am:
        * orbsvcs/tests/EC_Custom_Marshal/Makefile.am:
        * orbsvcs/tests/EC_MT_Mcast/Makefile.am:
        * orbsvcs/tests/EC_Mcast/Makefile.am:
        * orbsvcs/tests/EC_Multiple/Makefile.am:
        * orbsvcs/tests/EC_Throughput/Makefile.am:
        * orbsvcs/tests/Event/Basic/Makefile.am:
        * orbsvcs/tests/Event/Mcast/Common/Makefile.am:
        * orbsvcs/tests/Event/Mcast/Complex/Makefile.am:
        * orbsvcs/tests/Event/Mcast/Simple/Makefile.am:
        * orbsvcs/tests/Event/Mcast/Two_Way/Makefile.am:
        * orbsvcs/tests/Event/Performance/Makefile.am:
        * orbsvcs/tests/Event/lib/Makefile.am:
        * orbsvcs/tests/FT_App/Makefile.am:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Makefile.am:
        * orbsvcs/tests/FaultTolerance/IOGR/Makefile.am:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/Makefile.am:
        * orbsvcs/tests/FtRtEvent/Makefile.am:
        * orbsvcs/tests/ImplRepo/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/Latency_Test/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Makefile.am:
        * orbsvcs/tests/Security/Big_Request/Makefile.am:
        * orbsvcs/tests/Security/Callback/Makefile.am:
        * orbsvcs/tests/Security/Crash_Test/Makefile.am:
        * orbsvcs/tests/Security/MT_IIOP_SSL/Makefile.am:
        * orbsvcs/tests/Security/MT_SSLIOP/Makefile.am:
        * orbsvcs/tests/Security/Secure_Invocation/Makefile.am:
        * performance-tests/Makefile.am:
        * performance-tests/Anyop/Makefile.am:
        * performance-tests/Callback/Makefile.am:
        * performance-tests/Cubit/TAO/DII_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/IDL_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/MT_Cubit/Makefile.am:
        * performance-tests/Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Latency/AMI/Makefile.am:
        * performance-tests/Latency/Collocation/Makefile.am:
        * performance-tests/Latency/DII/Makefile.am:
        * performance-tests/Latency/DSI/Makefile.am:
        * performance-tests/Latency/Deferred/Makefile.am:
        * performance-tests/Latency/Single_Threaded/Makefile.am:
        * performance-tests/Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/Latency/Thread_Pool/Makefile.am:
        * performance-tests/POA/Create_Reference/Makefile.am:
        * performance-tests/POA/Implicit_Activation/Makefile.am:
        * performance-tests/POA/Object_Creation_And_Registration/Makefile.am:
        * performance-tests/Protocols/Makefile.am:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/Makefile.am:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Makefile.am:
        * performance-tests/RTCorba/Thread_Pool/Makefile.am:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/AMI/Makefile.am:
        * performance-tests/Sequence_Latency/DII/Makefile.am:
        * performance-tests/Sequence_Latency/DSI/Makefile.am:
        * performance-tests/Sequence_Latency/Deferred/Makefile.am:
        * performance-tests/Sequence_Latency/Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Pool/Makefile.am:
        * performance-tests/Throughput/Makefile.am:

          Regenerated.

Thu Dec 22 15:24:38 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * TAO_IDL/tao_idl.mpc:
        * docs/tutorials/Quoter/Naming_Service/Quoter_Naming_Service.mpc:
        * docs/tutorials/Quoter/Simple/Client/Quoter_Simple_Client.mpc:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Quoter_Simple_Impl_Repo.mpc:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
        * docs/tutorials/Quoter/Simple/Persistent/Quoter_Simple_Persistent.mpc:
        * docs/tutorials/Quoter/Simple/Server/Quoter_Simple_Server.mpc:
        * examples/POA/Adapter_Activator/POA_Adapter_Activator.mpc:
        * examples/POA/Explicit_Activation/POA_Explicit_Activation.mpc:
        * examples/POA/On_Demand_Activation/POA_On_Demand_Activation.mpc:
        * examples/POA/Reference_Counted_Servant/Reference_Counted_Servant.mpc:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/CosEC_RtEC_Based_bin.mpc:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/CosEC_RtEC_Based_tests_Basic.mpc:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/CosEC_RtEC_Based_Mult.mpc:
        * orbsvcs/examples/Notify/Federation/Agent/Agent.mpc:
        * orbsvcs/examples/Notify/Federation/SpaceCraft/SpaceCraft.mpc:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/Colocated_Roundtrip.mpc:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/Federated_Roundtrip.mpc:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/RTCORBA_Baseline.mpc:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/RTCORBA_Callback.mpc:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/Roundtrip.mpc:
        * orbsvcs/performance-tests/RTEvent/TCP_Baseline/TCP_Baseline.mpc:
        * orbsvcs/tests/Bug_2285_Regression/Bug_2285_Regression.mpc:
        * orbsvcs/tests/Bug_2287_Regression/Bug_2287_Regression.mpc:
        * orbsvcs/tests/CosEvent/Basic/basiceventtestexe.mpb:
        * orbsvcs/tests/Event/Basic/rteventtestexe.mpb:
        * orbsvcs/tests/Event/Mcast/Complex/Complex.mpc:
        * orbsvcs/tests/Event/Mcast/Simple/Simple.mpc:
        * orbsvcs/tests/Event/Mcast/Two_Way/Two_Way.mpc:
        * orbsvcs/tests/Event/Performance/eventperftestexe.mpb:
        * performance-tests/Protocols/Protocols.mpc:

          Add automake specific blocks that either add or replace include
          paths definitions with $(srcdir) relative paths.

Thu Dec 22 13:04:09 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added BUILD_ACE_FOR_TAO automake conditional.  Explicitly
          set to false (at least for now).

Thu Dec 22 14:43:24 2005  Paul Calabrese  <calabrese_p@ociweb.com>

        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_SupplierControl.cpp:

          Fix some uninitialized data members.

Thu Dec 22 12:38:37 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:
        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

Thu Dec 22 14:13:14 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl:

          Made an attempt at supporting these new tests on VxWorks.

Wed Dec 21 19:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/Notify/Federation/federation.mwc:
          Removed this file, it causes project files with
          just different casing, which causes problems when extracting
          the zip release files under windows

Thu Dec 22 10:12:33 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tao/PI/ProcessingModePolicyC.h:
        * tao/PI/ProcessingModePolicyC.cpp:
        * tao/PI/ProcessingModePolicyS.h:

          These did not show up as unknown files for the previous commit.

Thu Dec 22 08:54:09 2005  Chad Elliott  <elliott_c@ociweb.com>

        Committing these changes on behalf of Tim Bradley
        <bradley_t@ociweb.com>.

          The following changes were made in order to support a new
          feature that is described in the CORBA 3.1 draft specification.
          The new feature consists of adding the capability to register
          Portable Interceptors with an associated set of Policy objects.
          In addition, a new Policy was introduced: the
          PortableInterceptor::ProcessingModePolicy.  This policy can be
          applied to either client request interceptors or server request
          interceptors.  There are three possible ProcessingMode values:

          - LOCAL_AND_REMOTE (the default)
          - LOCAL_ONLY
          - REMOTE_ONLY

          The policy is used during the dispatching of a CORBA request.
          It comes into play for remote requests as well as collocated
          (thru-poa) requests.  When the policy value is something other
          than the default value, the interception points on the
          corresponding interceptor may or may not be invoked.  For the
          LOCAL_ONLY policy value, the interception points are only invoked
          on the interceptor if the request is a collocated (thru-poa)
          request.  If it is a remote request, the LOCAL_ONLY policy value
          causes the interceptor to not apply to the current request.
          The REMOTE_ONLY has the opposite effect - only remote requests
          cause the interception points to be invoked in the interceptor.

        * tao/IORInterceptor/IORInterceptor_Details.cpp:
        * tao/IORInterceptor/IORInterceptor_Details.h:
        * tao/IORInterceptor/IORInterceptor_Details.inl:
        * tao/PI/ClientRequestDetails.cpp:
        * tao/PI/ClientRequestDetails.h:
        * tao/PI/ClientRequestDetails.inl:
        * tao/PI/PI_ORBInitializer.cpp:
        * tao/PI/PI_ORBInitializer.h:
        * tao/PI/PI_PolicyFactory.cpp:
        * tao/PI/PI_PolicyFactory.h:
        * tao/PI/ProcessingModePolicy.cpp:
        * tao/PI/ProcessingModePolicy.h:
        * tao/PI/ProcessingModePolicy.pidl:
        * tao/PI/ProcessingModePolicyC.cpp:
        * tao/PI/ProcessingModePolicyC.h:
        * tao/PI/ProcessingModePolicyS.h:
        * tao/PI_Server/ServerRequestDetails.cpp:
        * tao/PI_Server/ServerRequestDetails.h:
        * tao/PI_Server/ServerRequestDetails.inl:

          The files listed above have been added as part of the
          the new PI Policy support (including the new
          PI ProcessingModePolicy).

        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Client_Task.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Client_Task.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Collocated_Test.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Echo_Collocated_ORBInitializer.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Echo_Collocated_ORBInitializer.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/interceptors.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/interceptors.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/PI_ProcMode_Collocated.mpc:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Server_Task.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Server_Task.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/test_i.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/test.idl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/test_i.h:

          The files listed above make up a new "collocated" test for the
          new PortableInterceptor::ProcessingModePolicy "feature".

        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_interceptor.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_interceptor.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/client_main.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Client_Task.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Client_Task.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Echo_Client_ORBInitializer.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Echo_Client_ORBInitializer.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Echo_Server_ORBInitializer.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Echo_Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/PI_ProcMode_Remote.mpc:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/server_interceptor.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/server_interceptor.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/server_main.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Server_Task.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Server_Task.h:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/test_i.cpp:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/test.idl:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/test_i.h:

          The files listed above make up a new "remote" test for the
          new PortableInterceptor::ProcessingModePolicy "feature".

        * tao/PortableServer/Upcall_Wrapper.cpp:

          The Upcall_Wrapper class was modified to fix a bug that
          was observed while testing the new ProcessingModePolicy.
          The server request portable interceptors were being supplied
          with a ServerRequestInfo object that referenced uninitialized
          operation arguments in the collocated (thru_poa) case.

        * tao/PI/ClientRequestInfo.cpp:

          During testing of the new ProcessingModePolicy, another bug
          was observed.  Client request interceptors were not getting
          the proper "result argument" (both collocated and remote cases).
          The changes made to the tao/PI/ClientRequestInfo.cpp file fixes
          this bug.

        * tao/ClientRequestInterceptor_Adapter.h:
        * tao/Collocated_Invocation.cpp:
        * tao/IORInterceptor_Adapter.h:
        * tao/Invocation_Base.cpp:
        * tao/Invocation_Base.h:
        * tao/Invocation_Base.inl:
        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/Remote_Invocation.cpp:
        * tao/ServerRequestInterceptor_Adapter.h:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.h:
        * tao/PI/ClientRequestInterceptor_Adapter_Impl.cpp:
        * tao/PI/ClientRequestInterceptor_Adapter_Impl.h:
        * tao/PI/Interceptor_List_T.cpp:
        * tao/PI/Interceptor_List_T.h:
        * tao/PI/ORBInitInfo.cpp:
        * tao/PI/ORBInitInfo.h:
        * tao/PI/ORBInitInfo.pidl:
        * tao/PI/ORBInitInfoC.cpp:
        * tao/PI/ORBInitInfoC.h:
        * tao/PI/ORBInitInfoS.h:
        * tao/PI/PI.cpp:
        * tao/PI_Server/ServerInterceptorAdapter.cpp:
        * tao/PI_Server/ServerInterceptorAdapter.h:

          The files listed above were modified as part of the
          changes made to support policies at PI registration-time
          and the new PI ProcessingModePolicy.

        * tests/Portable_Interceptors/Collocated/Dynamic/test_i.cpp:

          Added a sleep before the shutdown to allow the client thread to
          complete the collocated call before shutting down the ORB to avoid
          BAD_INV_ORDER exceptions on fast multi-processor machines.

Thu Dec 22 14:04:12 UTC 2005  Johnny Willemsen <jwillemsen@remedy.nl>

        * tests/RTCORBA/Dynamic_Thread_Pool/client.cpp:
          Fixed variable not used warning

Thu Dec 22 12:25:12 UTC 2005  Johnny Willemsen <jwillemsen@remedy.nl>

        * tests/RTCORBA/Dynamic_Thread_Pool/*.mpc:
          Shortened filename to fix fuzz error

Wed Dec 21 13:06:53 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Use TAO_ENABLE_MINIMUM_CORBA macro instead of explicitly setting
          BUILD_MINIMUM_CORBA automake conditional to false.

        * m4/tao.m4:

          New file, autoconf macros for TAO-specific feature tests.

          Added TAO_ENABLE_MINIMUM_CORBA autoconf macro.  Configuring with
          --enable-minimum-corba will set the BUILD_MINIMUM_CORBA automake
          conditional.

        * configure.ac:
        * Makefile.am:

          Look for automake macro files (*.m4) in ../m4 and ./m4.

Wed Dec 21 12:08:57 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:

          Changed TAO_Log_Constraint_Visitor constructor to use
          ACE_CString constructors that don't copy or take ownership of
          the string, this allows us to wrap string literals for use as
          map bindings with as little overhead as possible.

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:

          Changed lock strategy of property_lookup_map_ from
          TAO_SYNCH_MUTEX to ACE_Null_Mutex, since all accesses to the map
          are already protected at a higher level.

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:

          Explicitly set the size of the property_lookup_map_ to 31 hash
          buckets.  A typical log record has very few if any attributes,
          the cost of allocating the default (1024 hash bucket) size map
          outweighs any benefits of fewer hash collisions.

Wed Dec 21 19:28:12 UTC 2005  Johnny Willemsen <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Upcall.cpp:
          No need to store the TAO_Adapter in an intermediate variable

        * examples/Load_Balancing_persistent/Load_Balancer_i.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
          Fixed 64bit conversion warning

        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.cpp:
          Initialise pointer with 0 and removed some debugging statements that
          appear always and don't add a value to the log

        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils_T.cpp:
          Removed some old comments

        * tao/orbconf.h:
          Did some cleanup, removed TAO_USE_SEQUENCE_TEMPLATES,
          TAO_MAXIMUM_NATIVE_TYPE_SIZE, TAO_MAX_TRANSPORT_REREAD_ATTEMPTS.
          I couldn't find these throughtout all the code.

Wed Dec 21 11:03:25 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * TAO_IDL/ast/ast_expression.cpp:
        * TAO_IDL/include/ast_expression.h:

          If !ACE_LACKS_LONGLONG_T, perform operations on CORBA::LongLong
          and CORBA::ULongLong types using 64 bit arithmetic.  Previously
          this was done with doubles (53 bit mantissa) for '+', '-', '*';
          or disallowed for the other operators.

        * TAO_IDL/ast/ast_expression.cpp:
        * TAO_IDL/include/ast_expression.h:

          Add EvalKind parameter to ::eval_bin_op and ::eval_mod_op so
          that operations can be done in terms of the given type.

        * TAO_IDL/ast/ast_expression.cpp:

          Remove handling of '%' operator in AST_Expression::eval_bin_op()
          as it is handled by AST_Expression::eval_mod_op().

Wed Dec 21 18:50:12 UTC 2005  Johnny Willemsen <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/constraint.l:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * tao/RTPortableServer/RT_Collocation_Resolver.cpp:
          Use true and false for booleans

Wed Dec 21 18:40:12 UTC 2005  Johnny Willemsen <jwillemsen@remedy.nl>

        * tests/Bug_2328_Regression/*:
          Added new regression for bug 2328. When having a client without
          codeset support and a server with, sending multiple strings in one
          invocation caused a crash with x.4.7. A retest just before the
          release of x.4.8 proved things where fixed already, just putting
          the regression into the repo to make sure we don't get this bug
          back.

Wed Dec 21 16:23:12 UTC 2005  Johnny Willemsen <jwillemsen@remedy.nl>

        * tao/Leader_Follower.cpp:
          Use prefix increment/decrement instead of postfix

        * tao/Object.cpp:
          Made lazy_strategy a real bool instead of an int

        * tao/CSD_ThreadPool/CSD_TP_Strategy.{h,inl}:
          Made num_threads a long to fix 64bit conversion warnings

        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp:
          Initialise pointer with 0

        * tests/IDL_Test/array.idl:
          Added some bound array types

        * tests/IDL_Test/interface.idl:
          Added an empty local interface

        * tests/IDL_Test/sequence.idl:
          Added a sequence of local interfaces

        * tests/RTCORBA/Dynamic_Thread_Pool/*:
          Added new test to show dynamic thread pools with the idle timeout
          functionality

Tue Dec 20 08:04:30 2005  Simon McQueen  <sm@prismtech.com>

        * TAO version 1.4.8 released.

Fri Dec 16 18:06:27 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/driver/drv_args.cpp:

          Added missing code that sets versioned namespace opening and
          closing text.

        * TAO_IDL/be/be_visitor_union/any_op_ch.cpp:

          Fixed typo that caused generated versioned namespace to be
          reopened before it was closed.

        * orbsvcs/orbsvcs/AV.mpc:
        * orbsvcs/orbsvcs/CosConcurrency.mpc:
        * orbsvcs/orbsvcs/CosEvent.mpc:
        * orbsvcs/orbsvcs/CosLifeCycle.mpc:
        * orbsvcs/orbsvcs/CosLoadBalancing.mpc:
        * orbsvcs/orbsvcs/CosNaming.mpc:
        * orbsvcs/orbsvcs/CosNotification.mpc:
        * orbsvcs/orbsvcs/CosProperty.mpc:
        * orbsvcs/orbsvcs/CosTime.mpc:
        * orbsvcs/orbsvcs/CosTrading.mpc:
        * orbsvcs/orbsvcs/DsEventLogAdmin.mpc:
        * orbsvcs/orbsvcs/DsLogAdmin.mpc:
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.mpc:
        * orbsvcs/orbsvcs/FTORB.mpc:
        * orbsvcs/orbsvcs/FaultTolerance.mpc:
        * orbsvcs/orbsvcs/FtRtEvent.mpc:
        * orbsvcs/orbsvcs/HTIOP.mpc:
        * orbsvcs/orbsvcs/PortableGroup.mpc:
        * orbsvcs/orbsvcs/RTCosScheduling.mpc:
        * orbsvcs/orbsvcs/RTEvent.mpc:
        * orbsvcs/orbsvcs/RTEventLogAdmin.mpc:
        * orbsvcs/orbsvcs/RTSched.mpc:
        * orbsvcs/orbsvcs/RT_Notification.mpc:
        * orbsvcs/orbsvcs/SSLIOP.mpc:
        * orbsvcs/orbsvcs/Security.mpc:
        * orbsvcs/orbsvcs/Svc_Utils.mpc:

          Core orbsvcs stubs/skeletons must have ability to support
          versioned namespaces.  IDL-capable MPC projects now inherit from
          the "tao_versioning_idl_defaults" MPC base project.

        * tao/CONV_FRAME.pidl:
        * tao/CharSeq.pidl:
        * tao/Current.pidl:
        * tao/Domain.pidl:
        * tao/DoubleSeq.pidl:
        * tao/FloatSeq.pidl:
        * tao/GIOP.pidl:
        * tao/IIOP.pidl:
        * tao/AnyTypeCode/AnySeq.pidl:
        * tao/AnyTypeCode/Bounds.pidl:
        * tao/AnyTypeCode/Dynamic.pidl:
        * tao/AnyTypeCode/Dynamic_Parameter.pidl:
        * tao/AnyTypeCode/ValueModifier.pidl:
        * tao/AnyTypeCode/Visibility.pidl:
        * tao/BiDir_GIOP/BiDirPolicy.pidl:
        * tao/CSD_Framework/CSD_Framework.pidl:
        * tao/CodecFactory/IOP_Codec.pidl:
        * tao/CodecFactory/IOP_Codec_include.pidl:
        * tao/DynamicAny/DynamicAny.pidl:
        * tao/IFR_Client/IFR_Base.pidl:
        * tao/IFR_Client/IFR_Basic.pidl:
        * tao/IFR_Client/IFR_Components.pidl:
        * tao/IFR_Client/IFR_Extended.pidl:

          Added versioned namespace related TAO_IDL command line options
          to the stub/skeleton generation documentation.

        * tests/Param_Test/results.h:

          Wrap forward declaration of class in CORBA namespace within a
          TAO versioned namespace since the core TAO library does so.

Thu Dec 15 16:19:48 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuebox/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuebox/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox/cdr_op_cs.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/driver/drv_args.cpp:

          Added ability to set "versioned" namespace opening and closing
          text.  Addresses problem where applications that do not enable
          versioned namespace support in their own code need not get
          "versioned" stubs/skeletons.

Tue Dec 13 12:13:26 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * COPYING: Updated this file to mention compliance issues wrt the
          new "The Energy Policy Act of 2005".  Thanks to Malcolm Spence
          for providing this.

Wed Dec 14 09:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Borland/README:
          Updated contact information

Tue Dec 13 13:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/string_traits_base.hpp:
          Removed static from the declaration of empty to fix VxWorks warnings

Tue Dec 13 12:55:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Discarding/notify.conf:
          Use DispatchingThreads instead of ListeningThreads, the last one
          is deprecated

Tue Dec 13 12:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/Notify/Subscribe/Notify_Subscribe.mpc:
          Set exename to Subscribe to match the run_test perl script

Tue Dec 13 12:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp (shutdown):
          Only unbind from the naming service when we have a valid object
          reference to it.

Tue Dec 13 10:22:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Codeset_Manager_Factory_Base.h:
          Fixed typo in comment

Tue Dec 13 09:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Shutdown_Utilities.{h,cpp}:
          The vc8 runtime seems to check wether a signal number is a valid
          one, if not it asserts. The Shutdown_Utilities where just
          calling remove_handler for all signal numbers, changed this to just
          call it for the signals we registered. This way we can end the
          orbsvcs executable with ctrl-c again.

Mon Dec 12 15:20:10 2005    <ossama@dre.vanderbilt.edu>

        * orbsvcs/Notify_Service/Notify_Service.mpc:

          Disable NT_Notify_Service project in ace_for_tao configuration.
          It depends on ace/NT_Service.*, which is currently not part of
        the ace_for_tao subset.

        * examples/Load_Balancing/Load_Balancing.mpc:

          Disable in ace_for_tao configuration.  It requires ACE_DLList,
          which is not part of the ace_for_tao subset.

Mon Dec 12 09:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Minor formatting improvement in debug logging

Sun Dec 11 17:39:54 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_ClientEngine.cpp:

          Added sleep before client call done(). This is workaround with
          the problem that some oneway requests lost when the server has
          multiple orb threads.

Fri Dec  9 16:36:27 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_Statistics.cpp:

          Made actual_vs_expected() dump more details with the failure.

Fri Dec  9 21:48:48 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Array_VarOut_T.h:
        * tao/Array_VarOut_T.inl:

          In the TAO_Array_Forany_T<> template class:

          - Changed initialization values for the CORBA::Boolean
            nocopy_ member from '0' to 'false'.

          - Removed the 'const' qualifier from the nocopy_ member.
            This member gets assigned to in the class assignment
            operator, and because of this, tools like insure++
            complain. It's a mystery why C++ compilers don't
            complain as well. This fix closes [BUGID:2326]. Thanks
            to Brian Buesker <bbuesker@qualcomm.com> for reporting
            the problem.

Thu Dec  8 16:37:06 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/RTCORBA/Activity/Activity.mpc:

          Do not override "macros" variable.  Add to it instead.  Fixes
          problem where versioned namespace preprocessor symbols were not
          added to generated Makefiles/projects.

        * examples/RTCORBA/Activity/Activity.h:
        * examples/RTCORBA/Activity/Builder.h:
        * examples/RTCORBA/Activity/Job_i.h:
        * examples/RTCORBA/Activity/POA_Holder.h:
        * examples/RTCORBA/Activity/Periodic_Task.h:
        * examples/RTScheduling/Job_i.h:
        * examples/RTScheduling/POA_Holder.h:
        * examples/Simple/bank/AccountManager_i.h:

          Fixed versioned namespace support.

Thu Dec  8 14:19:52 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosEvent/CEC_Dispatching_Task.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlert_Handler.h:

          Fixed versioned namespace support.  The versioning macros calls
          were missing.

Thu Dec  8 20:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * interop-tests/wchar/interop_wchar.mpc:
        * examples/PluggableUDP/tests/Basic/Basic.mpc:
        * examples/PluggableUDP/tests/SimplePerformance/SimplePerformance.mpc:
        * examples/POA/Default_Servant/POA_Default_Servant.mpc:
        * examples/POA/DSI/POA_DSI.mpc:
        * examples/Content_Server/AMI_Iterator/AMI_Iterator.mpc:
        * examples/Content_Server/AMI_Observer/AMI_Observer.mpc:
        * examples/Content_Server/SMI_Iterator/SMI_Iterator.mpc:
        * examples/Buffered_Oneways/Buffered_Oneways.mpc:
        * examples/Buffered_AMI/Buffered_AMI.mpc:
          Added 'after += ...' lines to files where projects share one or
          more IDL files.

Thu Dec  8 13:10:42 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Test_3/run_test.pl:

          Commented the client command line output previously added for
          debugging.

Thu Dec  8 07:17:36 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Asynch_Queued_Message.h:
        * tao/default_server.h:
        * tao/PortableServer/Operation_Table_Binary_Search.h:

          Fixed versioned namespace support.  The versioning macros calls
          were missing.

Thu Dec  8 06:54:31 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/examples/LoadBalancing/ServerRequestInterceptor.h:

          Fixed versioned namespace build errors, predominantly caused by
          forwared declarations not being placed within the appropriate
          {ACE,TAO}_{BEGIN,END}_VERSIONED_NAMESPACE_DECL block.

Thu Dec  8 06:45:36 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/OctetSeq/OctetSeq.mpc:
        * performance-tests/Anyop/Anyop.mpc:
        * performance-tests/POA/Create_Reference/Create_Reference.mpc:
        * performance-tests/POA/Implicit_Activation/Implicit_Activation.mpc:
        * performance-tests/POA/Object_Creation_And_Registration/Object_Creation_And_Registration.mpc:
        * performance-tests/Protocols/Protocols.mpc:
        * performance-tests/RTCorba/Thread_Pool/Thread_Pool.mpc:

          Disable these projects when "ace_for_tao" is enabled.

Wed Dec  7 19:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
          Workaround for Borland is also needed for BSD2006

Wed Dec  7 18:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/CSD_Strategy/ThreadPool/CSD_Test_ThreadPool.mpc:
        * examples/CSD_Strategy/ThreadPool2/CSD_Test_ThreadPool2.mpc:
        * examples/CSD_Strategy/ThreadPool3/CSD_Test_ThreadPool3.mpc:
        * examples/CSD_Strategy/ThreadPool3/CSD_Test_ThreadPool5.mpc:
        * examples/CSD_Strategy/ThreadPool3/CSD_Test_ThreadPool6.mpc:
          Added 'after += ...' lines to files where projects share one or
          more IDL files.

        * examples/CSD_Strategy/ThreadPool4/CSD_Test_ThreadPool4.mpc:
          Simplified

Wed Dec  7 05:43:53 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Connection_Timeout/Connection_Timeout.mpc:
        * tests/Hang_Shutdown/Hang.mpc:
        * tests/Param_Test/Param_Test.mpc:

          Disable these projects when "ace_for_tao" is enabled.

Wed Dec  7 10:59:55 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_i.cpp:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_Statistics.cpp:

          Added more logging in test results checking to help debug the
          TP_Test_3 failure on RHEL3_Minimum build.

        * tests/CSD_Strategy_Tests/TP_Foo_B/Callback_i.cpp:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Callback_i.h:

          Removed the ACE_Atomic_Op for num_callbacks_ data member since the
          CSD synchronizes the request dispatching.

Wed Dec  7 17:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2316_Regression/Bug_2316_Regression.mpc:
        * examples/POA/Forwarding/POA_Forwarding.mpc:
        * examples/Kokyu_dsrt_schedulers/mif_example/mif_example.mpc:
          Added 'after += ...' lines to files where projects share one or
          more IDL files.

Wed Dec  7 12:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Trader.h:
          Work around for TAO_Lockable is also needed for BCB2006 Update 1

Tue Dec  6 21:16:05 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/ServerRequestInterceptor.h:
        * orbsvcs/tests/Notify/lib/Activation_Manager.h:
        * orbsvcs/tests/Notify/lib/Command.h:
        * orbsvcs/tests/Notify/lib/EventChannel_Command.h:
        * orbsvcs/tests/Notify/lib/Options_Parser.cpp:
        * orbsvcs/tests/Notify/lib/Options_Parser.h:
        * orbsvcs/tests/Notify/lib/Peer.h:
        * orbsvcs/tests/Notify/lib/Periodic_Consumer.h:
        * orbsvcs/tests/Notify/lib/Periodic_Supplier.h:

          Fixed versioned namespace build errors, predominantly caused by
          forwared declarations not being placed within the appropriate
          {ACE,TAO}_{BEGIN,END}_VERSIONED_NAMESPACE_DECL block.

Tue Dec  6 14:55:41 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Test_3/run_test.pl:
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.cpp:

          Added debug message to help debugging the problem of
          "<server_main> failed: No such file or directory".

Tue Dec  6 15:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2285_Regression/Bug_2285_Regression.mpc:
          Added 'after += ...' lines to files where projects share one or
          more IDL files.

Tue Dec  6 15:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Security/BiDirectional/client.cpp:
        * orbsvcs/tests/Security/BiDirectional/test_i.cpp:
          Fixed 64bit conversion warnings

Tue Dec  6 08:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2287_Regression/Bug_2287_Regression.mpc:
        * examples/OBV/Typed_Events/Typed_Events.mpc:
        * examples/Load_Balancing/Load_Balancing.mpc:
          Added 'after += ...' lines to files where projects share one or
          more IDL files.

Tue Dec  6 08:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Trader.h:
          Also with BDS2006 we need to export the TAO_Lockable class as
          workaround. Reported this to Borland, hopefully they will fix
          this soon

Mon Dec  5 19:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2137_Regression/client.cpp:
          Added include of PI/PI.h to fix test failures in static builds

Mon Dec  5 14:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/releasenotes/index.html:
          Small improvements

Sun Dec  4 11:34:11 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp

        Moved definition of TOPOLOGY_ID_NAME earier in the file to avoid
        undefined argument error.

Sun Dec  4 11:14:45 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/be/be_helper.cpp

        Fixed an unused arg warning.

Sat Dec  3 20:54:28 2005  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp: Moved the namespace decl
          for TOPOLOGY_ID_NAME inside the VERSIONED_NAMESPACE_DECL block
          to fix broken versioned namespace builds.  Thanks to Ossama for
          pointing this out.

Sat Dec  3 19:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/QtTests/QtTests.mpc:
          Added anytypecode to the client project

Sat Dec  3 09:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/constants.idl:
          Removed the wstring constants for the time being, cause issues
          with some builds that lack wchar_t support

Fri Dec  2 16:18:15 2005  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp (DTOR):
          Add try/catch block around call to ec->destroy() because it
          seems that often in this test the EC is gone by the time
          destroy() gets called.  This raises a COMM_FAILURE which now
          gets caught and noticed printed.  We also now catch and print
          any exception raised in the DTOR since there's little chance of
          doing anything about it, and at least this way we get
          information.

Fri Dec  2 10:26:33 2005  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.h: Added 'extern'
          declaration in here as this seems to placate the VC8 compiler's
          errors.

Fri Dec  2 11:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/SSLIOP/params_dup.h:
          Added missing include of ace/pre.h

Fri Dec  2 11:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1627_Regression/test.mpc:
        * tests/Bug_1551_Regression/test.mpc:
        * tests/Bug_1482_Regression/test.mpc:
        * tests/Bug_1627_Regression/Bug_1627_Regression.mpc:
        * tests/Bug_1551_Regression/Bug_1551_Regression.mpc:
        * tests/Bug_1482_Regression/Bug_1482_Regression.mpc:
          Renamed test.mpc to a more specific name to fix duplicate errors
          in the MPC generation

Fri Dec  2 11:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/constants.idl:
          Added several wstring constants for test

Fri Dec  2 01:35:31 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.c:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.cpp:

          Reintroduced `params_dup.c' and removed `params_dup.cpp' file.
          Some C++ compiler/platform combinations cannot handle the broken
          OpenSSL function pointer conversions.  Stick with a C compiler.

        * orbsvcs/orbsvcs/SSLIOP/params_dup.h:

          Include the new "ace/config-macros.h" header instead of
          "ace/config-lite.h".  The former can be parsed by C compilers.

        * tao/TAO_Singleton_Manager.cpp:
        * tao/TAO_Singleton_Manager.h:

          Moved static "instance_" pointer to an anonymous namespace
          within the implementation file.  Allows the friend declaration
          to be removed, in turn fixing builds that cannot handle the
          global scope qualifier prepended to that friend declaration.

          Removed unused "preallocated_object" static array.

        * tao/Versioned_Namespace.h:

          Update preprocessor check to use new config-macros.h specific
          include guard preprocessor symbol.

Thu Dec  1 08:07:23 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * TAO-INSTALL.html: Updated this file for VxWorks.
          Thanks to Nathan Anderson <nathan dot l dot anderson at lmco dot
          com> for these suggestions.

Thu Dec  1 20:17:29 2005  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Topology_Object.h:
        * orbsvcs/orbsvcs/Notify/Topology_Object.cpp:

          Removed TOPOLOGY_ID from here.  It should have been nmoved when
          the persistence stuff was broken into a separate library.

        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Saver.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.cpp:

          Moved TOPOLOGY_ID into here since that's all that uses it.

Thu Dec  1 12:08:17 2005  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Object.h: Revert previous change as it
          apparently confused Borland BC6.

        * orbsvcs/orbsvcs/Notify/Topology_Object.*:
        * orbsvcs/orbsvcs/Notify/Reconnection_Registry.*:

          Changed manifest constants for TOPOLOGY_ID_NAME, REGISTRY_TYPE,
          RECONNECT_ID, RECONNECT_IOR, and REGISTRY_CALLBACK_TYPE from
          statics within the namespace to being declared in the namespace
          in the header, but defined in the .cpp file.  This de-warns on
          OS X Tiger G++ 3.3 builds, but may also have a minor reduction
          in footprint everywhere since now there will be only one
          instance of these rather than an instance everywhere the
          relevant header gets #included.

Thu Dec  1 18:10:48 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/AMH_Exceptions/AMH_Exceptions.mpc:
        * tests/AMH_Oneway/AMH_Oneway.mpc:
        * tests/AMI_Buffering/AMI_Buffering.mpc:
        * tests/Abstract_Interface/Abstract_Interface.mpc:
        * tests/Any/Recursive/RecursiveHello.mpc:
        * tests/BiDirectional/BiDirectional.mpc:
        * tests/BiDirectional_NestedUpcall/BiDir_NestedUpcall.mpc:
        * tests/Big_AMI/Big_AMI.mpc:
        * tests/Big_Oneways/Big_Oneways.mpc:
        * tests/Big_Reply/Big_Reply.mpc:
        * tests/Big_Request_Muxing/Big_Request_Muxing.mpc:
        * tests/Big_Twoways/Big_Twoways.mpc:
        * tests/Blocking_Sync_None/Blocking_Sync_None.mpc:
        * tests/Bug_1020_Basic_Regression/Bug_1020_Basic_Regression.mpc:
        * tests/Bug_1269_Regression/Bug_1269_Regression.mpc:
        * tests/Bug_1270_Regression/Bug_1270_Regression.mpc:
        * tests/Bug_1330_Regression/Bug_1330_Regression.mpc:
        * tests/Bug_1361_Regression/Bug_1361_Regression.mpc:
        * tests/Bug_1476_Regression/Bug_1476_Regression.mpc:
        * tests/Bug_1482_Regression/test.mpc:
        * tests/Bug_1495_Regression/Bug_1495.mpc:
        * tests/Bug_1551_Regression/test.mpc:
        * tests/Bug_1568_Regression/Bug_1568_Regression.mpc:
        * tests/Bug_1627_Regression/test.mpc:
        * tests/Bug_2174_Regression/Bug_2174_Regression.mpc:
        * tests/Bug_2183_Regression/Bug_2183_Regression.mpc:
        * tests/Bug_2234_Regression/Bug_2234_Regression.mpc:
        * tests/CSD_Strategy_Tests/TP_Common/CSD_TP_Test_Lib.mpc:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/CSD_TP_Test_Dynamic.mpc:
        * tests/CSD_Strategy_Tests/TP_Test_Static/CSD_TP_Test_Static.mpc:
        * tests/Cache_Growth_Test/Cache_Growth_Test.mpc:
        * tests/CallbackTest/CallbackTest.mpc:
        * tests/Client_Leaks/Client_Leaks.mpc:
        * tests/Collocation/Collocation.mpc:
        * tests/Connect_Strategy_Test/Connect_Strategy_Test.mpc:
        * tests/Connection_Purging/Connection_Purging.mpc:
        * tests/Crash_On_Write/Crash_On_Write.mpc:
        * tests/Crashed_Callback/Crashed_Callback.mpc:
        * tests/DLL_ORB/DLL_ORB.mpc:
        * tests/DSI_Gateway/DSI_Gateway.mpc:
        * tests/Explicit_Event_Loop/Explicit_Event_Loop.mpc:
        * tests/Exposed_Policies/Exposed_Policies.mpc:
        * tests/FL_Cube/FL_Cube.mpc:
        * tests/Faults/Faults.mpc:
        * tests/File_IO/File_IO.mpc:
        * tests/Forwarding/Forwarding.mpc:
        * tests/Hang_Shutdown/Hang.mpc:
        * tests/Hello/Hello.mpc:
        * tests/ICMG_Any_Bug/Hello.mpc:
        * tests/IPV6/IPV6_Hello.mpc:
        * tests/InterOp-Naming/InterOp-Naming.mpc:
        * tests/Leader_Followers/Leader_Followers.mpc:
        * tests/LongUpcalls/LongUpcalls.mpc:
        * tests/MProfile/MProfile.mpc:
        * tests/MProfile_Connection_Timeout/MProfile_Connection_Timeout.mpc:
        * tests/MProfile_Forwarding/MProfile_Forwarding.mpc:
        * tests/MT_BiDir/MT_BiDir.mpc:
        * tests/MT_Client/MT_Client.mpc:
        * tests/MT_Server/MT_Server.mpc:
        * tests/Multiple/Multiple.mpc:
        * tests/Multiple_Inheritance/Multiple_Inheritance.mpc:
        * tests/Muxed_GIOP_Versions/Muxed_GIOP_Versions.mpc:
        * tests/Muxing/Muxing.mpc:
        * tests/Native_Exceptions/Native_Exceptions.mpc:
        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.mpc:
        * tests/NestedUpcall/Triangle_Test/TT.mpc:
        * tests/Nested_Event_Loop/Nested_Event_Loop.mpc:
        * tests/No_Server_MT_Connect_Test/No_Server_Connect_Test.mpc:
        * tests/OBV/Any/OBV_Any.mpc:
        * tests/OBV/Factory/OBV_Factory.mpc:
        * tests/OBV/Forward/OBV_Forward.mpc:
        * tests/OBV/Supports/Supports_Test.mpc:
        * tests/OBV/TC_Alignment/OBV_TC_Alignment.mpc:
        * tests/OBV/ValueBox/valuebox.mpc:
        * tests/Object_Loader/Object_Loader.mpc:
        * tests/Objref_Sequence_Test/Objref_Sequence_Test.mpc:
        * tests/OctetSeq/OctetSeq.mpc:
        * tests/Oneway_Buffering/Oneway_Buffering.mpc:
        * tests/Oneways_Invoking_Twoways/Oneways_Invoking_Twoways.mpc:
        * tests/POA/Persistent_ID/Persistent_ID.mpc:
        * tests/Param_Test/Param_Test.mpc:
        * tests/Portable_Interceptors/AMI/PI_AMI.mpc:
        * tests/Portable_Interceptors/Benchmark/PI_Benchmark.mpc:
        * tests/Portable_Interceptors/Bug_1559/Bug_1559.mpc:
        * tests/Portable_Interceptors/Dynamic/PI_Dynamic.mpc:
        * tests/Portable_Interceptors/IORInterceptor/PI_IORInterceptor.mpc:
        * tests/Portable_Interceptors/ORB_Shutdown/PI_ORB_Shutdown.mpc:
        * tests/Portable_Interceptors/PICurrent/PI_PICurrent.mpc:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/PI_Request_Interceptor_Flow.mpc:
        * tests/Portable_Interceptors/Service_Context_Manipulation/PI_Svc_Context_Manip.mpc:
        * tests/QtTests/QtTests.mpc:
        * tests/RTCORBA/Banded_Connections/RTCORBA_Banded_Conn.mpc:
        * tests/RTCORBA/Client_Propagated/RTCORBA_Client_Propagated.mpc:
        * tests/RTCORBA/Client_Protocol/RTCORBA_Client_Protocol.mpc:
        * tests/RTCORBA/Diffserv/RTCORBA_Diffserv.mpc:
        * tests/RTCORBA/Explicit_Binding/RTCORBA_Explicit_Binding.mpc:
        * tests/RTCORBA/Persistent_IOR/RTCORBA_Persistent_IOR.mpc:
        * tests/RTCORBA/Policy_Combinations/RTCORBA_Policy_Combinations.mpc:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Priority_Inversion_With_Bands.mpc:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/PaE_Selection.mpc:
        * tests/RTCORBA/Server_Declared/RTCORBA_Server_Declared.mpc:
        * tests/RTCORBA/Server_Protocol/RTCORBA_Server_Protocol.mpc:
        * tests/RTCORBA/Thread_Pool/RTCORBA_Thread_Pool.mpc:
        * tests/RTScheduling/Scheduling_Interceptor/Scheduler_Interceptor.mpc:
        * tests/Reliable_Oneways/Reliable_Oneways.mpc:
        * tests/Server_Connection_Purging/Server_Connection_Purging.mpc:
        * tests/Server_Leaks/Server_Leaks.mpc:
        * tests/Single_Read/Single_Read.mpc:
        * tests/Smart_Proxies/Smart_Proxies.mpc:
        * tests/Stack_Recursion/Stack_Recursion.mpc:
        * tests/Strategies/Strategies.mpc:
        * tests/Timed_Buffered_Oneways/Timed_Buffered_Oneways.mpc:
        * tests/Timeout/Timeout.mpc:
        * tests/Two_Objects/Two_Objects.mpc:
        * tests/UNKNOWN_Exception/UNKNOWN_Exception.mpc:
        * tests/Xt_Stopwatch/Xt_Stopwatch.mpc:

          Added 'after += ...' lines to files where projects share one or
          more IDL files. This change will order the builds and eliminate
          concurrency problems in VC8 builds. This is a temporary solution
          until there is time to apply J.T. Conklin's <jtc@acorntoolworks.com>
          approach of creating a separate project in each file that just
          executes the IDL compiler on the shared files, and ordering all
          other projects that build the resulting generated files to
          come after this step.

Thu Dec  1 16:08:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/Thread_Pool.cpp:
          Fixed bug in thread pool id calculation

Thu Dec  1 16:02:36 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/MT_Timeout/MT_Timeout.mpc:

          Added 'after' line in one project to order the builds (which
          share an IDL file) for VC8.

Thu Dec  1 14:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO-INSTALL.html:
          Updated VxWorks part

Wed Nov 30 10:23:05 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/performance-tests/RTEvent/lib/Client_Options.h:
        * orbsvcs/performance-tests/RTEvent/lib/Low_Priority_Setup.h:
        * orbsvcs/performance-tests/RTEvent/lib/RTEC_Initializer.h:
        * orbsvcs/performance-tests/RTEvent/lib/Send_Task.h:
        * orbsvcs/tests/EC_Throughput/ECT_Driver.h:
        * orbsvcs/tests/Event/Basic/BCast.h:
        * orbsvcs/tests/Event/Mcast/Common/EC_Wrapper.h:
        * orbsvcs/tests/Event/Performance/Latency.h:
        * orbsvcs/tests/Event/lib/Driver.h:
        * orbsvcs/tests/FT_App/FT_Creator.h:
        * orbsvcs/tests/FT_App/TAO_Object_Group_Creator.h:
        * orbsvcs/tests/FtRtEvent/PushSupplier.h:

          Fixed forward declarations so that they take into account
          versioned namespace support.

Wed Nov 30 00:33:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/Content_Server/AMI_Iterator/AMI_Iterator.mpc:
        * examples/Content_Server/AMI_Observer/AMI_Observer.mpc:
        * examples/Content_Server/SMI_Iterator/SMI_Iterator.mpc:
        * examples/Load_Balancing_persistent/Load_Balancing_persistent.mpc:
        * examples/POA/Generic_Servant/POA_Generic_Servant.mpc:
        * examples/POA/TIE/POA_TIE.mpc:
        * examples/Persistent_Grid/Persistent_Grid.mpc:
        * orbsvcs/examples/LoadBalancing/LoadBalancing.mpc:
        * orbsvcs/orbsvcs/AV.mpc:
        * orbsvcs/tests/EC_Custom_Marshal/EC_Custom_Marshal.mpc:
        * orbsvcs/tests/EC_Throughput/EC_Throughput.mpc:
        * orbsvcs/tests/ImplRepo/ImplRepo.mpc:
        * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Test.mpc:

          Disable these projects when "ace_for_tao" is enabled.

        * tao/GIOP_Message_Generator_Parser_Impl.inl:

          Removed "static" keywork from constant variable declaration.
          Corrected semantics are not supported in shared libraries on
          VxWorks.  Thanks to Frank Rehberger for suggesting the change,
          and to Johnny for pointing out the VxWorks issue.  [Bug 2304]

Wed Nov 30 14:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RT_ORB_Loader.cpp:
        * tao/RTCORBA/Thread_Pool.{h,cpp}:
          Fixed warnings in GCC build

Wed Nov 30 12:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Security/MT_SSLIOP/run_test_heavy.pl:
          New regression test script. Test the TAO SSLIOP under heavy load
          and it will fail. This test takes a long time to succeed so
          didn't put it in the standard test suite. We have no idea why
          it fails, but something is buggy in the SSLIOP support

Wed Nov 30 11:13:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RT_ORB.{h,cpp}:
        * tao/RTCORBA/RT_ORB_Loader.cpp:
        * tao/RTCORBA/RT_ORBInitializer.{h,cpp}:
        * tao/RTCORBA/Thread_Pool.{h,cpp,inl}:
        * docs/rtcorba/features.html:
          When using RTCorba threadpools dynamic threads can be used, these
          will be created on demand but will life forever after that. A new
          option has been added to the RT_ORB_Loader:
          RTORBDynamicThreadIdleTimeout. With this option a number of micro
          seconds can be specified. If a dynamic thread has not performed
          anywork in that time it will end itself. This way dynamic threads
          can go away if the load reduces again on the server, at the moment
          they are needed they are recreated. Because of this some internal
          administration has been updated, argument parsing has been updated
          and the timeout is passed through several interfacs.

        * docs/releasenotes/index.html:
          Fixed RTCorba link

Wed Nov 30 08:08:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/RequestProcessingStrategyAOMOnly.h:
          Added brief class description

Tue Nov 29 06:44:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/FTRT_Event_Service/Event_Service/FT_EventService.h:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.h:
        * orbsvcs/FT_ReplicationManager/FT_Property_Validator.cpp:
        * orbsvcs/FT_ReplicationManager/FT_Property_Validator.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.h:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.h:
        * orbsvcs/Fault_Detector/Fault_Detector_i.cpp:
        * orbsvcs/Fault_Detector/Fault_Detector_i.h:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/orbsvcs/ETCL/ETCL_Interpreter.h:
        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_Dispatching.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Extensions.h:

          More versioned namespace build fixes.

Tue Nov 29 13:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/LRU_Connection_Purging_Strategy.cpp:
          Use prefix increment instead of postfix

Tue Nov 29 11:21:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.h:
          Added argument names to perform_work methods, improves doxygen
          docu

Tue Nov 29 09:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/PluggableUDP/tests/Performance/Performance.mpc:
          Added 'after' lines to order the builds for VC8.

Mon Nov 28 22:22:11 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Nested_Upcall_Crash/Nested_Upcall_Crash.mpc:
        * tests/RTCORBA/Linear_Priority/RTCORBA_Linear_Priority.mpc:

          Added 'after' lines to order the builds for VC8.

Mon Nov 28 12:09:12 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * performance-tests/CSD_Strategy/TestApps/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/Broken/ClientApp.cpp:
        * tests/CSD_Strategy_Tests/Broken/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_1/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_3/ClientApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_Static/ServerApp.cpp:

          Made main thread call ACE_Object_Manager::instance()->wait()
          after orb shutdown. This would avoid the problem that the main
          thread possiably exit before all CSD threads exit and crash
          upon exit.

Mon Nov 28 07:30:58 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/params_dup.h:

          Added missing "/**/ between "include" and "{pre,post}.h".

        * tao/Utils/Server_Main.h:

          Fixed "obsolete #pragma once" warning.

Sun Nov 27 04:00:27 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/orbsvcs/Scheduler_Factory.cpp:
        * orbsvcs/orbsvcs/Scheduler_Factory.h:
        * orbsvcs/orbsvcs/Scheduler_Factory.i:
        * orbsvcs/orbsvcs/AV/AV_Core.h:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy.h:
        * orbsvcs/orbsvcs/AV/Policy.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Factory.h:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Changes.h:
        * orbsvcs/orbsvcs/ETCL/ETCL_l.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Adapters.h:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.h:
        * orbsvcs/orbsvcs/Event/EC_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_ConsumerControl.h:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.h:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Loader.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Factory.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils.h:
        * orbsvcs/orbsvcs/IFRService/ProvidesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/PublishesDef_i.h:
        * orbsvcs/orbsvcs/Log/BasicLog_i.cpp:
        * orbsvcs/orbsvcs/Log/BasicLog_i.h:
        * orbsvcs/orbsvcs/Log/Hash_LogStore.h:
        * orbsvcs/orbsvcs/Log/Log_Compaction_Handler.h:
        * orbsvcs/orbsvcs/Log/Log_Flush_Handler.h:
        * orbsvcs/orbsvcs/Naming/Naming_Service_Container.h:
        * orbsvcs/orbsvcs/Notify/Factory.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Updates.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Updates.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Updates_T.h:
        * orbsvcs/orbsvcs/Notify/Property.h:
        * orbsvcs/orbsvcs/Notify/Timer.h:
        * orbsvcs/orbsvcs/Notify/Timer_Reactor.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connection_Handler.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_EVP_PKEY.cpp:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.c:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.cpp:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.h:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * tao/Basic_Types.h:
        * tao/TAO_Singleton_Manager.inl:
        * tao/AnyTypeCode/String_TypeCode_Traits.h:
        * tao/AnyTypeCode/TAOA.h:
        * tao/AnyTypeCode/TypeCodeA.cpp:
        * tao/AnyTypeCode/TypeCode_Case_Base_T.h:
        * tao/AnyTypeCode/TypeCode_Constants.cpp:
        * tao/IFR_Client/IFR_BasicC.cpp:
        * tao/ImR_Client/ImR_Client.cpp:
        * tao/ImR_Client/ImR_Client.h:
        * tao/ObjRefTemplate/ORT_Adapter_Factory_Impl.cpp:
        * tao/ObjRefTemplate/ORT_Adapter_Factory_Impl.h:
        * tao/PI/InvalidSlotA.cpp:
        * tao/PI/ORBInitInfoC.cpp:
        * tao/PI/ORBInitInfoC.h:
        * tao/PI/PICurrentC.cpp:
        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.h:
        * tao/PortableServer/IdAssignmentStrategySystem.cpp:
        * tao/PortableServer/IdAssignmentStrategySystem.h:
        * tao/PortableServer/IdAssignmentStrategyUser.cpp:
        * tao/PortableServer/IdAssignmentStrategyUser.h:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.h:
        * tao/PortableServer/IdUniquenessStrategyMultiple.cpp:
        * tao/PortableServer/IdUniquenessStrategyMultiple.h:
        * tao/PortableServer/IdUniquenessStrategyUnique.cpp:
        * tao/PortableServer/IdUniquenessStrategyUnique.h:
        * tao/PortableServer/IdUniquenessStrategyUniqueFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyUniqueFactoryImpl.h:
        * tao/PortableServer/ImplicitActivationStrategyExplicit.cpp:
        * tao/PortableServer/ImplicitActivationStrategyExplicit.h:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.cpp:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.h:
        * tao/PortableServer/ImplicitActivationStrategyImplicit.cpp:
        * tao/PortableServer/ImplicitActivationStrategyImplicit.h:
        * tao/PortableServer/LifespanStrategyFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyFactoryImpl.h:
        * tao/PortableServer/LifespanStrategyPersistentFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyPersistentFactoryImpl.h:
        * tao/PortableServer/LifespanStrategyTransientFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyTransientFactoryImpl.h:
        * tao/PortableServer/Non_Servant_Upcall.h:
        * tao/PortableServer/PortableServer.cpp:
        * tao/PortableServer/PortableServerA.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.h:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.h:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.h:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.h:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.h:
        * tao/PortableServer/ServantRetentionStrategyFactory.h:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.h:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.h:
        * tao/PortableServer/ServantRetentionStrategyRetainFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetainFactoryImpl.h:
        * tao/PortableServer/StrategyFactory.h:
        * tao/PortableServer/ThreadStrategyFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategyFactoryImpl.h:
        * tao/PortableServer/ThreadStrategyORBControl.cpp:
        * tao/PortableServer/ThreadStrategyORBControl.h:
        * tao/PortableServer/ThreadStrategySingle.cpp:
        * tao/PortableServer/ThreadStrategySingle.h:
        * tao/PortableServer/ThreadStrategySingleFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategySingleFactoryImpl.h:
        * tao/PortableServer/Var_Size_SArgument_T.cpp:
        * tao/PortableServer/Var_Size_SArgument_T.h:
        * tao/PortableServer/Var_Size_SArgument_T.inl:
        * tao/RTCORBA/Network_Priority_Mapping_Manager.h:
        * tao/RTCORBA/RTCORBAA.cpp:
        * tao/RTCORBA/RT_ORB.h:
        * tao/RTPortableServer/RTPortableServerA.cpp:
        * tao/RTScheduling/RTSchedulerA.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryA.cpp:
        * tao/Utils/PolicyList_Destroyer.h:
        * tao/Utils/Server_Main.cpp:
        * tao/Utils/Server_Main.h:

          Corrected build errors in versioned namespace builds.

Sat Nov 26 14:57:56 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/include/idl_global.h:

          Modified files overlooked in the checkin of

          Fri Nov 25 19:26:03 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

Fri Nov 25 18:54:19 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * NEWS:

          Updated with latest versioned namespace information.

        * TAO_IDL/tao_idl.mpc:
        * orbsvcs/orbsvcs/CosNaming_Serv.mpc:
        * orbsvcs/orbsvcs/FTORB.mpc:
        * orbsvcs/orbsvcs/IFRService.mpc:
        * orbsvcs/orbsvcs/PortableGroup.mpc:
        * orbsvcs/orbsvcs/RTEvent_Serv.mpc:
        * orbsvcs/orbsvcs/Svc_Utils.mpc:
        * tao/Strategies.mpc:

          Updated to take into account latest "ace_for_tao" subset
          changes.

        * tao/TAO_Singleton_Manager.h:
        * tao/AnyTypeCode/CharSeqA.cpp:
        * tao/AnyTypeCode/CharSeqA.h:
        * tao/AnyTypeCode/CurrentA.cpp:
        * tao/AnyTypeCode/CurrentA.h:
        * tao/AnyTypeCode/DomainA.cpp:
        * tao/AnyTypeCode/DomainA.h:
        * tao/AnyTypeCode/DoubleSeqA.cpp:
        * tao/AnyTypeCode/DoubleSeqA.h:
        * tao/AnyTypeCode/DynamicA.cpp:
        * tao/AnyTypeCode/DynamicA.h:
        * tao/AnyTypeCode/Dynamic_ParameterA.cpp:
        * tao/AnyTypeCode/Dynamic_ParameterA.h:
        * tao/AnyTypeCode/ExceptionA.cpp:
        * tao/AnyTypeCode/ExceptionA.h:
        * tao/AnyTypeCode/FloatSeqA.cpp:
        * tao/AnyTypeCode/FloatSeqA.h:
        * tao/AnyTypeCode/GIOPA.cpp:
        * tao/AnyTypeCode/GIOPA.h:
        * tao/AnyTypeCode/IIOPA.cpp:
        * tao/AnyTypeCode/IIOPA.h:
        * tao/AnyTypeCode/IIOP_EndpointsA.cpp:
        * tao/AnyTypeCode/IIOP_EndpointsA.h:
        * tao/AnyTypeCode/IOP_IORA.cpp:
        * tao/AnyTypeCode/IOP_IORA.h:
        * tao/AnyTypeCode/LongDoubleSeqA.cpp:
        * tao/AnyTypeCode/LongDoubleSeqA.h:
        * tao/AnyTypeCode/LongLongSeqA.cpp:
        * tao/AnyTypeCode/LongLongSeqA.h:
        * tao/AnyTypeCode/LongSeqA.cpp:
        * tao/AnyTypeCode/LongSeqA.h:
        * tao/AnyTypeCode/Messaging_PolicyValueA.cpp:
        * tao/AnyTypeCode/Messaging_PolicyValueA.h:
        * tao/AnyTypeCode/ObjectIdListA.cpp:
        * tao/AnyTypeCode/ObjectIdListA.h:
        * tao/AnyTypeCode/PI_ForwardA.cpp:
        * tao/AnyTypeCode/PI_ForwardA.h:
        * tao/AnyTypeCode/ParameterModeA.cpp:
        * tao/AnyTypeCode/ParameterModeA.h:
        * tao/AnyTypeCode/PolicyA.cpp:
        * tao/AnyTypeCode/PolicyA.h:
        * tao/AnyTypeCode/Policy_ForwardA.cpp:
        * tao/AnyTypeCode/Policy_ForwardA.h:
        * tao/AnyTypeCode/PortableInterceptorA.h:
        * tao/AnyTypeCode/ServicesA.cpp:
        * tao/AnyTypeCode/ServicesA.h:
        * tao/AnyTypeCode/ShortSeqA.cpp:
        * tao/AnyTypeCode/ShortSeqA.h:
        * tao/AnyTypeCode/StringSeqA.cpp:
        * tao/AnyTypeCode/StringSeqA.h:
        * tao/AnyTypeCode/SystemExceptionA.cpp:
        * tao/AnyTypeCode/SystemExceptionA.h:
        * tao/AnyTypeCode/TAOA.cpp:
        * tao/AnyTypeCode/TimeBaseA.cpp:
        * tao/AnyTypeCode/TimeBaseA.h:
        * tao/AnyTypeCode/ULongLongSeqA.cpp:
        * tao/AnyTypeCode/ULongLongSeqA.h:
        * tao/AnyTypeCode/ULongSeqA.cpp:
        * tao/AnyTypeCode/ULongSeqA.h:
        * tao/AnyTypeCode/UShortSeqA.cpp:
        * tao/AnyTypeCode/UShortSeqA.h:
        * tao/AnyTypeCode/ValueModifierA.cpp:
        * tao/AnyTypeCode/ValueModifierA.h:
        * tao/AnyTypeCode/VisibilityA.cpp:
        * tao/AnyTypeCode/VisibilityA.h:
        * tao/AnyTypeCode/WCharSeqA.cpp:
        * tao/AnyTypeCode/WCharSeqA.h:
        * tao/AnyTypeCode/WStringSeqA.cpp:
        * tao/AnyTypeCode/WStringSeqA.h:
        * tao/AnyTypeCode/WrongTransactionA.cpp:
        * tao/AnyTypeCode/WrongTransactionA.h:
        * tao/AnyTypeCode/orb_typesA.cpp:
        * tao/AnyTypeCode/orb_typesA.h:
        * tao/CSD_Framework/CSD_FrameworkA.cpp:
        * tao/CSD_Framework/CSD_FrameworkA.h:
        * tao/CSD_Framework/CSD_FrameworkC.cpp:
        * tao/CSD_Framework/CSD_FrameworkC.h:
        * tao/Domain/DomainS.cpp:
        * tao/Domain/DomainS.h:
        * tao/Domain/DomainS.inl:
        * tao/Domain/DomainS_T.h:
        * tao/Domain/DomainS_T.inl:
        * tao/DynamicAny/DynamicAnyC.cpp:
        * tao/DynamicAny/DynamicAnyC.h:
        * tao/IFR_Client/IFR_BaseC.cpp:
        * tao/IFR_Client/IFR_BaseC.h:
        * tao/IFR_Client/IFR_BaseC.inl:
        * tao/IFR_Client/IFR_BaseS.h:
        * tao/IFR_Client/IFR_BasicC.h:
        * tao/IFR_Client/IFR_BasicC.inl:
        * tao/IFR_Client/IFR_ComponentsC.cpp:
        * tao/IFR_Client/IFR_ComponentsC.h:
        * tao/IFR_Client/IFR_ComponentsC.inl:
        * tao/IFR_Client/IFR_ExtendedC.cpp:
        * tao/IFR_Client/IFR_ExtendedC.h:
        * tao/IFR_Client/IFR_ExtendedC.inl:
        * tao/IORInterceptor/IORInfoC.cpp:
        * tao/IORInterceptor/IORInfoC.h:
        * tao/IORInterceptor/IORInterceptorC.cpp:
        * tao/IORInterceptor/IORInterceptorC.h:
        * tao/IORManipulation/IORA.cpp:
        * tao/IORManipulation/IORC.cpp:
        * tao/IORManipulation/IORC.h:
        * tao/IORTable/IORTableC.cpp:
        * tao/IORTable/IORTableC.h:
        * tao/ImR_Client/ImplRepoC.cpp:
        * tao/ImR_Client/ImplRepoC.h:
        * tao/ImR_Client/ImplRepoC.inl:
        * tao/ImR_Client/ImplRepoS.cpp:
        * tao/ImR_Client/ImplRepoS.h:
        * tao/ImR_Client/ServerObjectC.cpp:
        * tao/ImR_Client/ServerObjectC.h:
        * tao/ImR_Client/ServerObjectC.inl:
        * tao/ImR_Client/ServerObjectS.cpp:
        * tao/ImR_Client/ServerObjectS.h:
        * tao/Messaging/ExceptionHolderA.cpp:
        * tao/Messaging/ExceptionHolderA.h:
        * tao/Messaging/ExceptionHolderC.cpp:
        * tao/Messaging/ExceptionHolderC.h:
        * tao/Messaging/ExceptionHolderC.inl:
        * tao/Messaging/MessagingA.cpp:
        * tao/Messaging/MessagingA.h:
        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/MessagingC.h:
        * tao/Messaging/MessagingC.inl:
        * tao/Messaging/MessagingS.cpp:
        * tao/Messaging/MessagingS.h:
        * tao/Messaging/MessagingS_T.h:
        * tao/Messaging/MessagingS_T.inl:
        * tao/Messaging/Messaging_No_ImplA.cpp:
        * tao/Messaging/Messaging_No_ImplA.h:
        * tao/Messaging/Messaging_No_ImplC.cpp:
        * tao/Messaging/Messaging_No_ImplC.h:
        * tao/Messaging/Messaging_RT_PolicyA.cpp:
        * tao/Messaging/Messaging_RT_PolicyA.h:
        * tao/Messaging/Messaging_RT_PolicyC.cpp:
        * tao/Messaging/Messaging_RT_PolicyC.h:
        * tao/Messaging/Messaging_SyncScope_PolicyA.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyA.h:
        * tao/Messaging/Messaging_SyncScope_PolicyC.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyC.h:
        * tao/Messaging/OldExceptionHolderA.cpp:
        * tao/Messaging/OldExceptionHolderA.h:
        * tao/Messaging/OldExceptionHolderC.cpp:
        * tao/Messaging/OldExceptionHolderC.h:
        * tao/Messaging/OldExceptionHolderC.inl:
        * tao/Messaging/PollableC.cpp:
        * tao/Messaging/PollableC.h:
        * tao/Messaging/TAO_ExtA.cpp:
        * tao/Messaging/TAO_ExtA.h:
        * tao/Messaging/TAO_ExtC.cpp:
        * tao/Messaging/TAO_ExtC.h:
        * tao/ObjRefTemplate/Default_ORTA.cpp:
        * tao/ObjRefTemplate/Default_ORTC.cpp:
        * tao/ObjRefTemplate/Default_ORTC.h:
        * tao/ObjRefTemplate/ObjectReferenceTemplateA.cpp:
        * tao/ObjRefTemplate/ObjectReferenceTemplateC.cpp:
        * tao/ObjRefTemplate/ObjectReferenceTemplateC.h:
        * tao/ObjRefTemplate/ObjectReferenceTemplate_includeC.h:
        * tao/PI/ClientRequestInfoA.cpp:
        * tao/PI/ClientRequestInfoA.h:
        * tao/PI/ClientRequestInfoC.cpp:
        * tao/PI/ClientRequestInterceptorA.cpp:
        * tao/PI/ClientRequestInterceptorA.h:
        * tao/PI/ClientRequestInterceptorC.cpp:
        * tao/PI/InterceptorA.cpp:
        * tao/PI/InterceptorA.h:
        * tao/PI/InterceptorC.cpp:
        * tao/PI/InterceptorC.h:
        * tao/PI/InvalidSlotA.h:
        * tao/PI/InvalidSlotC.cpp:
        * tao/PI/InvalidSlotC.h:
        * tao/PI/ORBInitializerA.cpp:
        * tao/PI/ORBInitializerA.h:
        * tao/PI/ORBInitializerC.cpp:
        * tao/PI/ORBInitializerC.h:
        * tao/PI/PICurrentA.cpp:
        * tao/PI/PICurrentA.h:
        * tao/PI/PICurrentC.h:
        * tao/PI/PIForwardRequestA.cpp:
        * tao/PI/PIForwardRequestA.h:
        * tao/PI/PIForwardRequestC.cpp:
        * tao/PI/PIForwardRequestC.h:
        * tao/PI/PolicyFactoryA.cpp:
        * tao/PI/PolicyFactoryA.h:
        * tao/PI/PolicyFactoryC.cpp:
        * tao/PI/PolicyFactoryC.h:
        * tao/PI/RequestInfoA.cpp:
        * tao/PI/RequestInfoA.h:
        * tao/PI/RequestInfoC.cpp:
        * tao/PI/RequestInfoC.h:
        * tao/PI_Server/ServerRequestInfoA.cpp:
        * tao/PI_Server/ServerRequestInfoA.h:
        * tao/PI_Server/ServerRequestInfoC.cpp:
        * tao/PI_Server/ServerRequestInfoC.h:
        * tao/PI_Server/ServerRequestInterceptorA.cpp:
        * tao/PI_Server/ServerRequestInterceptorA.h:
        * tao/PI_Server/ServerRequestInterceptorC.cpp:
        * tao/PI_Server/ServerRequestInterceptorC.h:
        * tao/PortableServer/AdapterActivatorA.cpp:
        * tao/PortableServer/AdapterActivatorA.h:
        * tao/PortableServer/AdapterActivatorC.cpp:
        * tao/PortableServer/AdapterActivatorC.h:
        * tao/PortableServer/ForwardRequestA.cpp:
        * tao/PortableServer/ForwardRequestA.h:
        * tao/PortableServer/ForwardRequestC.cpp:
        * tao/PortableServer/ForwardRequestC.h:
        * tao/PortableServer/IdAssignmentPolicyA.cpp:
        * tao/PortableServer/IdAssignmentPolicyA.h:
        * tao/PortableServer/IdAssignmentPolicyC.cpp:
        * tao/PortableServer/IdAssignmentPolicyC.h:
        * tao/PortableServer/IdUniquenessPolicyA.cpp:
        * tao/PortableServer/IdUniquenessPolicyA.h:
        * tao/PortableServer/IdUniquenessPolicyC.cpp:
        * tao/PortableServer/IdUniquenessPolicyC.h:
        * tao/PortableServer/ImplicitActivationPolicyA.cpp:
        * tao/PortableServer/ImplicitActivationPolicyA.h:
        * tao/PortableServer/ImplicitActivationPolicyC.cpp:
        * tao/PortableServer/ImplicitActivationPolicyC.h:
        * tao/PortableServer/LifespanPolicyA.cpp:
        * tao/PortableServer/LifespanPolicyA.h:
        * tao/PortableServer/LifespanPolicyC.cpp:
        * tao/PortableServer/LifespanPolicyC.h:
        * tao/PortableServer/POAManagerC.cpp:
        * tao/PortableServer/POAManagerC.h:
        * tao/PortableServer/PS_CurrentC.cpp:
        * tao/PortableServer/PS_CurrentC.h:
        * tao/PortableServer/PS_ForwardA.cpp:
        * tao/PortableServer/PS_ForwardA.h:
        * tao/PortableServer/PS_ForwardC.cpp:
        * tao/PortableServer/PS_ForwardC.h:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/PolicyS.h:
        * tao/PortableServer/PolicyS_T.h:
        * tao/PortableServer/PolicyS_T.inl:
        * tao/PortableServer/PortableServerC.cpp:
        * tao/PortableServer/PortableServerC.h:
        * tao/PortableServer/PortableServerS.h:
        * tao/PortableServer/PortableServer_includeC.h:
        * tao/PortableServer/RequestProcessingPolicyA.cpp:
        * tao/PortableServer/RequestProcessingPolicyA.h:
        * tao/PortableServer/RequestProcessingPolicyC.cpp:
        * tao/PortableServer/RequestProcessingPolicyC.h:
        * tao/PortableServer/ServantActivatorA.cpp:
        * tao/PortableServer/ServantActivatorA.h:
        * tao/PortableServer/ServantActivatorC.cpp:
        * tao/PortableServer/ServantActivatorC.h:
        * tao/PortableServer/ServantLocatorA.cpp:
        * tao/PortableServer/ServantLocatorA.h:
        * tao/PortableServer/ServantLocatorC.cpp:
        * tao/PortableServer/ServantLocatorC.h:
        * tao/PortableServer/ServantManagerA.cpp:
        * tao/PortableServer/ServantManagerA.h:
        * tao/PortableServer/ServantManagerC.cpp:
        * tao/PortableServer/ServantManagerC.h:
        * tao/PortableServer/ServantRetentionPolicyA.cpp:
        * tao/PortableServer/ServantRetentionPolicyA.h:
        * tao/PortableServer/ServantRetentionPolicyC.cpp:
        * tao/PortableServer/ServantRetentionPolicyC.h:
        * tao/PortableServer/ThreadPolicyA.cpp:
        * tao/PortableServer/ThreadPolicyA.h:
        * tao/PortableServer/ThreadPolicyC.cpp:
        * tao/PortableServer/ThreadPolicyC.h:
        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTCORBA/RTCORBAC.h:
        * tao/RTCORBA/RTCORBA_includeC.h:
        * tao/RTPortableServer/RTPortableServerC.cpp:
        * tao/RTPortableServer/RTPortableServerC.h:
        * tao/RTPortableServer/RTPortableServerS.h:
        * tao/RTPortableServer/RTPortableServer_includeC.h:
        * tao/RTScheduling/RTSchedulerC.cpp:
        * tao/RTScheduling/RTSchedulerC.h:
        * tao/RTScheduling/RTScheduler_includeA.h:
        * tao/RTScheduling/RTScheduler_includeC.h:
        * tao/Strategies/sciop_endpointsC.cpp:
        * tao/Strategies/sciop_endpointsC.h:
        * tao/Strategies/uiop_endpointsC.cpp:
        * tao/Strategies/uiop_endpointsC.h:
        * tao/TypeCodeFactory/TypeCodeFactoryC.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryC.h:
        * tao/Valuetype/StringValueC.cpp:
        * tao/Valuetype/StringValueC.h:
        * tao/Valuetype/StringValueC.inl:

          Added missing versioned namespace support.

Fri Nov 25 19:26:03 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_field.cpp:
        * TAO_IDL/fe/fe_declarator.cpp:

          Added code generation for explicit inclusionn of
          tao/Managed_Types.h if TAO_(W)String_Manager is seen
          anywhere in the generated code. This inclusion is
          redundant now, but will make it easier to merge the
          new sequence implementation branch, where managed_Types.h
          will be changed to the name of a new file, into which
          templatized versions of TAO_(W)String_Manager have
          been factored.

Fri Nov 25 07:43:56 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TAO_Singleton_Manager.h (~TAO_Singleton_Manager):

          Made destructor protected to address warnings about a class with
          a private destructor and no friends.

Fri Nov 25 15:06:43 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_interface_header.cpp:

          Applied a patch submitted by Max Khon <mkhon@swsoft.com>
          to fix a bug in computing the inheritance list of an IDL
          interface. This fix closes [BUGID:2318].

Fri Nov 25 13:01:23 2005  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/tests/ImplRepo/run_test.pl:

          Added time parameter to WaitKill to fix spurious test error.

Fri Nov 25 11:18:12 2005  Simon McQueen  <sm@prismtech.com>

        * orsbvcs/tests/Bug_2074_Regression/run_test.pl:

          Correct the use lib path to give this a sporting chance.
          Can't have ever been run from this location.

Thu Nov 24 19:50:35 2005  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:

          Override the base class ::decode method with one that
          doesn't try and extract an object key from the CDR encoding.
          MIOP profiles don't have an object key marshalled between
          the address info and the tagged components.

          This fixes bug #2316.

        * orbsvcs/tests/Bug_2316_Regression/Bug_2316_Regression.mpc:
        * orbsvcs/tests/Bug_2316_Regression/README:
        * orbsvcs/tests/Bug_2316_Regression/Test.idl:
        * orbsvcs/tests/Bug_2316_Regression/Test_impl.cpp:
        * orbsvcs/tests/Bug_2316_Regression/Test_impl.h:
        * orbsvcs/tests/Bug_2316_Regression/client.cpp:
        * orbsvcs/tests/Bug_2316_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2316_Regression/server.cpp:
        * orbsvcs/tests/Bug_2316_Regression/svc.conf:

          Regression test for the above.

Thu Nov 24 19:07:56 2005  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:

          Fix calculation of protocol name length. This fixes the
          failure in orbsvcs/tests/Miop/McastHello.

Thu Nov 24 15:56:31 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Bug_1670_Regression/Bug_1670_Regression.mpc:

          Added 'after' line in one project to avoid concurrently
          clashes in VC8 builds, since the two projects share an
          IDL file.

Thu Nov 24 03:01:29 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEvent.h:
        * orbsvcs/orbsvcs/ETCL/ETCL_l.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_y.cpp:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.i:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.i:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ConnectionHandler_T.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Factory.cpp:
        * orbsvcs/orbsvcs/Metrics/Metrics_UpcallMonitor.h:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Notify/Refcountable.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils_T.cpp:
        * orbsvcs/orbsvcs/Security/Security_Current.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/orbsvcs/Trader/Trader.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.h:
        * tao/Acceptor_Registry.h:
        * tao/Asynch_Reply_Dispatcher_Base.h:
        * tao/BooleanSeqC.cpp:
        * tao/BooleanSeqC.h:
        * tao/CDR.h:
        * tao/CONV_FRAMEC.cpp:
        * tao/CONV_FRAMEC.h:
        * tao/CORBA_methods.h:
        * tao/CharSeqC.cpp:
        * tao/CharSeqC.h:
        * tao/Client_Strategy_Factory.h:
        * tao/Codeset_Manager.h:
        * tao/Codeset_Translator_Base.h:
        * tao/Collocation_Strategy.h:
        * tao/Condition.h:
        * tao/Connect_Strategy.h:
        * tao/Connection_Handler.h:
        * tao/Connection_Handler.inl:
        * tao/Connector_Impl.h:
        * tao/CurrentC.cpp:
        * tao/CurrentC.h:
        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/DomainC.inl:
        * tao/DoubleSeqC.cpp:
        * tao/DoubleSeqC.h:
        * tao/Exception.h:
        * tao/Fault_Tolerance_Service.h:
        * tao/FlResource_Factory.h:
        * tao/FloatSeqC.cpp:
        * tao/FloatSeqC.h:
        * tao/Flushing_Strategy.h:
        * tao/GIOPC.cpp:
        * tao/GIOPC.h:
        * tao/GIOPC.inl:
        * tao/GIOP_Utils.h:
        * tao/GUIResource_Factory.h:
        * tao/IIOPC.cpp:
        * tao/IIOPC.h:
        * tao/IIOP_EndpointsC.cpp:
        * tao/IIOP_EndpointsC.h:
        * tao/IIOP_Lite_Factory.cpp:
        * tao/IOPC.cpp:
        * tao/IOPC.h:
        * tao/IOP_IORC.cpp:
        * tao/IOP_IORC.h:
        * tao/IORInterceptor_Adapter.h:
        * tao/Incoming_Message_Queue.h:
        * tao/Invocation_Adapter.h:
        * tao/Invocation_Endpoint_Selectors.h:
        * tao/LF_Connect_Strategy.h:
        * tao/LF_Strategy.h:
        * tao/Leader_Follower.h:
        * tao/LocateRequest_Invocation_Adapter.h:
        * tao/LongDoubleSeqC.cpp:
        * tao/LongDoubleSeqC.h:
        * tao/LongLongSeqC.cpp:
        * tao/LongLongSeqC.h:
        * tao/LongSeqC.cpp:
        * tao/LongSeqC.h:
        * tao/Messaging_PolicyValueC.cpp:
        * tao/Messaging_PolicyValueC.h:
        * tao/Messaging_SyncScopeC.cpp:
        * tao/Messaging_SyncScopeC.h:
        * tao/ORBInitializer_Registry.h:
        * tao/ORB_Core.h:
        * tao/Object.h:
        * tao/ObjectIdListC.cpp:
        * tao/ObjectIdListC.h:
        * tao/Object_KeyC.cpp:
        * tao/Object_KeyC.h:
        * tao/OctetSeqC.cpp:
        * tao/OctetSeqC.h:
        * tao/PI_ForwardC.cpp:
        * tao/PI_ForwardC.h:
        * tao/ParameterModeC.cpp:
        * tao/ParameterModeC.h:
        * tao/Pluggable_Messaging.h:
        * tao/PolicyC.cpp:
        * tao/PolicyC.h:
        * tao/PolicyC.inl:
        * tao/Policy_Current.h:
        * tao/Policy_ForwardC.cpp:
        * tao/Policy_ForwardC.h:
        * tao/PortableInterceptorC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/Profile.h:
        * tao/Profile_Transport_Resolver.cpp:
        * tao/Profile_Transport_Resolver.h:
        * tao/Queued_Message.h:
        * tao/Reactive_Connect_Strategy.h:
        * tao/Resource_Factory.h:
        * tao/Sequence.h:
        * tao/ServicesC.cpp:
        * tao/ServicesC.h:
        * tao/ShortSeqC.cpp:
        * tao/ShortSeqC.h:
        * tao/StringSeqC.cpp:
        * tao/StringSeqC.h:
        * tao/Synch_Invocation.h:
        * tao/TAOC.cpp:
        * tao/TAOC.h:
        * tao/TAO_Internal.h:
        * tao/TAO_Server_Request.h:
        * tao/TAO_Singleton_Manager.cpp:
        * tao/TAO_Singleton_Manager.h:
        * tao/Thread_Lane_Resources.h:
        * tao/TimeBaseC.cpp:
        * tao/TimeBaseC.h:
        * tao/Transport_Acceptor.h:
        * tao/Transport_Cache_Manager.h:
        * tao/Transport_Connector.h:
        * tao/Transport_Mux_Strategy.h:
        * tao/Transport_Queueing_Strategies.h:
        * tao/TypeCodeFactory_Adapter.h:
        * tao/Typecode_typesC.cpp:
        * tao/Typecode_typesC.h:
        * tao/ULongLongSeqC.cpp:
        * tao/ULongLongSeqC.h:
        * tao/ULongSeqC.cpp:
        * tao/ULongSeqC.h:
        * tao/UShortSeqC.cpp:
        * tao/UShortSeqC.h:
        * tao/VarOut_T.cpp:
        * tao/Var_Size_Argument_T.inl:
        * tao/Versioned_Namespace.h:
        * tao/WCharSeqC.cpp:
        * tao/WCharSeqC.h:
        * tao/WStringSeqC.cpp:
        * tao/WStringSeqC.h:
        * tao/Wait_Strategy.h:
        * tao/WrongTransactionC.cpp:
        * tao/WrongTransactionC.h:
        * tao/default_resource.h:
        * tao/orb_typesC.cpp:
        * tao/orb_typesC.h:
        * tao/target_specification.h:
        * tao/target_specification.i:
        * tao/AnyTypeCode/AnySeqA.cpp:
        * tao/AnyTypeCode/AnySeqA.h:
        * tao/AnyTypeCode/AnySeqC.cpp:
        * tao/AnyTypeCode/AnySeqC.h:
        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.cpp:
        * tao/AnyTypeCode/Any_Impl.h:
        * tao/AnyTypeCode/Any_Impl_T.h:
        * tao/AnyTypeCode/Any_Impl_T.inl:
        * tao/AnyTypeCode/Any_Unknown_IDL_Type.h:
        * tao/AnyTypeCode/BooleanSeqA.cpp:
        * tao/AnyTypeCode/BooleanSeqA.h:
        * tao/AnyTypeCode/BoundsA.cpp:
        * tao/AnyTypeCode/BoundsA.h:
        * tao/AnyTypeCode/BoundsC.cpp:
        * tao/AnyTypeCode/BoundsC.h:
        * tao/AnyTypeCode/CONV_FRAMEA.cpp:
        * tao/AnyTypeCode/CONV_FRAMEA.h:
        * tao/AnyTypeCode/DynamicC.cpp:
        * tao/AnyTypeCode/DynamicC.h:
        * tao/AnyTypeCode/Dynamic_ParameterC.cpp:
        * tao/AnyTypeCode/Dynamic_ParameterC.h:
        * tao/AnyTypeCode/OctetSeqA.cpp:
        * tao/AnyTypeCode/OctetSeqA.h:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.h:
        * tao/AnyTypeCode/ValueModifierC.cpp:
        * tao/AnyTypeCode/ValueModifierC.h:
        * tao/AnyTypeCode/VisibilityC.cpp:
        * tao/AnyTypeCode/VisibilityC.h:
        * tao/BiDir_GIOP/BiDirPolicyC.cpp:
        * tao/BiDir_GIOP/BiDirPolicyC.h:
        * tao/CodecFactory/IOP_CodecC.cpp:
        * tao/CodecFactory/IOP_CodecC.h:
        * tao/CodecFactory/IOP_Codec_includeC.h:
        * tao/Codeset/Codeset_Translator_Factory.h:
        * tao/DynamicInterface/DII_Invocation_Adapter.cpp:
        * tao/DynamicInterface/DII_Invocation_Adapter.h:
        * tao/Messaging/AMH_Response_Handler.h:
        * tao/Messaging/Asynch_Invocation.h:
        * tao/Messaging/Asynch_Invocation_Adapter.h:
        * tao/Messaging/Asynch_Reply_Dispatcher.h:
        * tao/Messaging/Connection_Timeout_Policy_i.h:
        * tao/PI/ClientRequestInfo.cpp:
        * tao/PI/ClientRequestInfoC.h:
        * tao/PI/ClientRequestInterceptorC.h:
        * tao/PortableServer/IdUniquenessStrategyUnique.h:
        * tao/PortableServer/Key_Adapters.h:
        * tao/PortableServer/Servant_Dispatcher.cpp:
        * tao/PortableServer/Servant_Dispatcher.h:
        * tao/Utils/Synch_Refcountable.h:
        * tao/Valuetype/Valuetype_Adapter_Impl.h:

          Corrected build errors in versioned namespace builds.

Wed Nov 23 22:24:38 2005  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Event_Manager.h:

          Explicitly declared a private copy constructor and assignment
          operator for TAO_Notify_Event_Manager.  By not declaring them,
          the compiler has to generate them.  In generating them, it needs
          to be able to know the complete type for the template arguments
          to its ACE_Auto_Ptr<> private instances.  Various circular
          dependencies make that difficult to impossible without
          restructuring, so we take this approach instead.

          This change should eliminate warnings from Windows-based
          compilers (e.g., VC8) about calling delete through a pointer to
          an incomplete type while instantiating ACE_Auto_Ptr<> methods.

        * orbsvcs/orbsvcs/Notify/Object.h:
        * orbsvcs/orbsvcs/Notify/Object.cpp:

          Only needed a forward decl in Object.h; we only needed the
          complete type in Object.cpp.  Maybe this will help footprint.

Wed Nov 23 09:20:03 2005  Chris Cleeland  <cleeland_c@ociweb.com>

          Fix a few things I should have caught in the Great Merge, but
          missed.

        * orbsvcs/orbsvcs/Notify/Consumer.cpp (dispatch_request): Change
          from using deprecated TAO_DEFAULT_MINOR_CODE to TAO::VMCID.

        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp: Use
          real C++ static_cast<> rather than deprecated ACE_static_cast().

Wed Nov 23 14:53:09 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Portable_Interceptors/ForwardRequest/PI_ForwardRequest.mpc:

          Added an 'after' line to one project to avoid concurrency
          collisions in VC8 builds, since the 2 projects in this file
          share IDL.

Wed Nov 23 14:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/ValueBox/client.cpp:
          This test was doing a few release calls to much causing it to
          crash.

Wed Nov 23 14:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_valuebox/valuebox_ci.cpp:
          Make sure all generated pointers are initialised to 0

Wed Nov 23 10:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/BiDirectional/run_test_ipv6.pl:
        * tests/CallbackTest/run_test_ipv6.pl:
        * tests/IPV6/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test_ipv6.pl:
          Updated these scripts because of the following change, use
          1|0 instead of YES|NO
          Tue Nov 22 07:49:59 2005  Douglas C. Schmidt

Tue Nov 22 22:58:55 2005  Chris Cleeland  <cleeland@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:

          Fixed warnings about preferring one conversion over another
          from a _var that appeared on a couple of platforms.

Tue Nov 22 07:49:59 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tao/ORB_Core.cpp (init): Updated the code to use 1 or 0 for
          options, rather than YES or NO.  Thanks to Abhi Sachdev for
          motivating this cleanup.

        * docs/Options.html: Updated the documentation to remove the use of
          YES and NO as options and replace them with 1 or 0 to be
          consistent with the other options.

Tue Nov 22 04:14:05 2005  Bala Natarajan  <bala_natarajan at symantec dot com>

        * TAO_IDL/be_include/be_visitor_traits.h:

          Added missing operation declaration.

Tue Nov 22 01:42:48 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup.mpc:

          Rather than disable this project in the ACE_FOR_TAO
          configuration, inherit from acesocketslib_for_tao to allow it to
          be used.

Tue Nov 22 09:33:30 (IST) 2005  Bala Natarajan <bala_natarajan@symantec.com>

        * orbsvcs/orbsvcs/PortableGroup.mpc:

          Do not build in ACE_FOR_TAO configuration.

Mon Nov 21 19:28:51 2005  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/EventChannel.h: Removed mistakenly left
          in attempt to #include EventChannel.inl.

Mon Nov 21 22:22:41 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuebox/valuebox_cs.cpp:

          Removed commented out code.

        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be_include/be_visitor_traits.h:

          Added code generation of Value_Traits<> template
          specialization for boxed valuetypes. Thanks to
          Johnny Willemse <jwillemsen@remedy.nl> for reporting
          the missing code. This fix closes [BUGID:2311].

Mon Nov 21 20:14:09 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/RTCORBA/Private_Connection/RTCORBA_Private_Connection.mpc:

          Added an 'after' line for one of the two projects, since they
          share an IDL file and VC8 concurrency features need an
          ordering.

Mon Nov 21 13:21:03 2005  Chris Cleeland  <cleeland_c@ociweb.com>

          This entry is the result of an accumulation of many changes in
          the OCITAO repository for the Notification Service and the
          subsequent merge of those changes back to DOC.  There have been
          general changes to improve code formatting in accordance with
          ACE guidelines, improve lax checking of emulated exceptions, and
          the like, so these sorts of changes are not noted on a per-file
          basis.

          These changes include changes from the following OCITAO 1.4a
          OCIChangeLog entries:

          Thu Oct 27 13:01:00 2005  Wallace Zhang  <zhangw@ociweb.com>
          Wed Sep 28 14:25:52 2005  David Giovannini  <giovannd@ociweb.com>
          Mon Sep 26 15:58:41 USMST 2005  Yan Dai  <dai_y@ociweb.com>
          Tue Sep 13 17:14:25 2005  Justin Michel  <michel_j@ociweb.com>
          Sun Sep 11 14:21:45 2005  Justin Michel  <michel_j@ociweb.com>
          Thu Aug 18 13:50:50 2005  David Giovannini  <giovannd@ociweb.com>
          Tue Aug 16 14:16:47 2005  Justin Michel  <michel_j@ociweb.com>
          Wed Jul 27 12:38:01 2005  Justin Michel  <michel_j@ociweb.com>
          Wed Jul 13 14:28:39 2005  Justin Michel  <michel_j@ociweb.com>
          Mon Jul 11 16:47:08 2005  Justin Michel  <michel_j@ociweb.com>
          Mon May 23 09:18:46 2005  David Giovannini  <giovanninid@ociweb.com>
          Fri Apr 22 15:24:43 2005  David Giovannini <giovanninid@ociweb.com>

        * orbsvcs/Notify_Service/Notify_Server.cpp:

          Added #include of valuetype header file to that the service can
          use valuetypes portably.

        * orbsvcs/Notify_Service/Notify_Service.cpp:

          Made some error messages more informative and removed dead code.

        * orbsvcs/orbsvcs/Notify/Admin.cpp:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:

          Improve compliance with ACE formatting guidelines.

        * orbsvcs/orbsvcs/Notify/Admin.cpp:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/Event_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Find_Worker_T.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
        * orbsvcs/orbsvcs/Notify/Object.cpp:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Reconnection_Registry.cpp:
        * orbsvcs/orbsvcs/Notify/SupplierAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/Topology_Object.cpp:
        * orbsvcs/tests/Notify/Basic/Filter.cpp:
        * orbsvcs/tests/Notify/Basic/MultiTypes.cpp:
        * orbsvcs/tests/Notify/Reconnecting/Consumer.cpp:
        * orbsvcs/tests/Notify/Reconnecting/Supplier.cpp:
        * orbsvcs/tests/Notify/Structured_Filter/Structured_Supplier.cpp:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Supplier.cpp:
        * orbsvcs/tests/Notify/lib/Application_Command.cpp:
        * orbsvcs/tests/Notify/lib/ConsumerAdmin_Command.cpp:
        * orbsvcs/tests/Notify/lib/EventChannel_Command.cpp:
        * orbsvcs/tests/Notify/lib/Filter_Command.cpp:
        * orbsvcs/tests/Notify/lib/Periodic_Consumer_Command.cpp:
        * orbsvcs/tests/Notify/lib/Periodic_Supplier_Command.cpp:
        * orbsvcs/tests/Notify/lib/SupplierAdmin_Command.cpp:
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Supplier.cpp:

          Emulated exception cleanup.

        * orbsvcs/orbsvcs/Notify/Consumer.h:
        * orbsvcs/orbsvcs/Notify/Peer.cpp:
        * orbsvcs/orbsvcs/Notify/RT_Notify_Service.h:
        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.h:
        * orbsvcs/tests/Notify/PluggableTopology/main.cpp:

          Improved/removed crufty comments.

        * orbsvcs/orbsvcs/Notify/AllocTracker.h (ACE_WIN32_HEAP_MONITOR):

          Explicitly scoped reference to CrtHeapDumper to address a
          compiler error.

        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.h:
        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.cpp:

          Changed methods using TAO_Notify_Method_Request_Queueable to use
          a pointer rather than a reference.  This improves expectations
          in areas of code that take the address of the reference and
          store it or treat it as a pointer.

        * orbsvcs/orbsvcs/Notify/Consumer.cpp (dispatch_request):
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:

          Handle COMM_FAILURE and TIMEOUT exceptions when pushing to a
          consumer. These exceptions used to result in simply discarding
          the event, but now they are considered a failure, and consumer
          resources will be released.

        * orbsvcs/orbsvcs/Notify/Consumer.cpp (dispatch_batch):
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:

          Fixed the detection of dead consumers for batches of events, so
          that killing (or crashing) a consumer will correctly discard
          remaining queued events for that consumer, and prevent new
          events from being queued.

        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:

          Simplify the types of threads from "dispatching, listener,
          source, and lookup" to simply be "consumer" and "supplier"
          threads.  This is the way they were used, anyway.

          Changed the info message printed at startup to correctly
          indicate that -DispatchingThreads threads are used
          *per-consumer_admin*.  Previously it indicated that the thread
          pool was per-channel.

        * orbsvcs/orbsvcs/Notify/EventChannel.h:
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp (destroy):

          Fixed a memory leak where event channel destroy was not cleaning
          up the admins.  This avoids circular reference counting problems
          similar to those described in the next entry.

        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp (destroy):
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp (destroy):
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp (destroy):
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp (destroy):
        * orbsvcs/orbsvcs/Notify/ProxySupplier.cpp (destroy):
        * orbsvcs/orbsvcs/Notify/SupplierAdmin.cpp (destroy):

          Fixed exceptions=0 builds logical error in destroy methods and
          made certain all owned circular refcounted members are released
          in class::destroy methods.

        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp (init):

          Prefer ACE_Auto_Ptr<> to auto_ptr<>.

        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.h (event_var_):

          Eliminated 'const'.

        * orbsvcs/orbsvcs/Notify/Method_Request_Event.h (CTOR):
        * orbsvcs/orbsvcs/Notify/Method_Request_Event.cpp (CTOR):

          Changed potentially confusing name of argument; it had "_var"
          appended when it was really a pointer of sorts.

        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.cpp:

          Eliminated 'const' on event_var_ data member and changed
          potentially confusing name of local variable in copy() b/c it
          had "_var" appended when it was really a pointer of sorts.

        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:

          Changed the filterable_data_ and variable_header_
          maps. Previously they contained a CORBA::Any* which was not
          properly reference counted; the reference count was always one
          regardless of the number of threads using the Any.  Now it is
          changed to contain the light-weighted CORBA::Any Object. Now the
          "bind" method for the map will pass in the value from
          StructuredEvent by value. Since the payload object of the
          CORBA::Any is reference counted, we are safe.

          This change fixed a Notification Service crash.

        * orbsvcs/orbsvcs/Notify/Object.h (lock_):

          Added new mutex to serialize access to state variables.  In the
          past, the notification service reused mutexes for different
          purposes, allowing a mutex in one scope to be used in a
          different scope.  When we started using reference counting on
          objects properly, these scopes occasionally crossed, creating
          deadlocks, race conditions, and all other sorts of mayhem
          associated with misuse of mutexes.

        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:
        * orbsvcs/orbsvcs/Notify/Peer.h:
        * orbsvcs/orbsvcs/Notify/Proxy.cpp:
        * orbsvcs/orbsvcs/Notify/Reactive_Task.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.cpp:
        * orbsvcs/tests/Notify/XML_Persistence/run_test.pl:

          Changed how the persistence specific methods handle nil object
          references - since TAO throws an exception with url ref styles
          on nil references.

        * orbsvcs/orbsvcs/Notify/README:

          Changed "ListenerThreads" to "SourceThreads".

        * orbsvcs/orbsvcs/Notify/Reactive_Task.h (timer_):

          Changed to private scope.  There was no need for it to be
          anything but private.

        * orbsvcs/orbsvcs/Notify/Refcountable.h (TAO_Notify_Tracker):
        * orbsvcs/orbsvcs/Notify/Refcountable.cpp (TAO_Notify_Tracker):

          Added class to track reference counted objects in the
          notification service.  This is disabled by default, and enabled
          by setting the preprocessor macro
          TAO_NOTIFY_REFCOUNT_DIAGNOSTICS to 1.  Note that currently this
          class requires the availability of the STL map and string
          features.

          Use CORBA::Long for reference count rather than compilation
          environment's 'long'.

        * orbsvcs/orbsvcs/Notify/Routing_Slip.cpp:

          Updates to use isSet() predicate on TAO_Notify_Event::Ptr.

        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.h:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:

          Remove the fix for zombie threads, and instead use THR_DETACHED
          to avoid the problem entirely.

        * orbsvcs/orbsvcs/Notify/Topology_Factory.h (DTOR):
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:

          Add explicit virtual destructor to get around the problem in g++
          4.0 where inlines get hidden.  Without the virtual DTOR, this
          class does not get exported and code that dynamically loads
          classes derived from this class cannot access this type and
          access the derived instances through pointers of this type.
          This happens most notably when loading topology persistence
          mechanisms via the Service Configurator.

          The actual code for the do-nothing destructor is in
          EventChannelFactory.cpp.  I did this because the only chunk of
          code that uses Topology_Factory is already in that file, and it
          didn't seem terribly reasonable to create a completely new file
          to hold a do-nothing implementation of a destructor.

        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.h:
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.cpp:

          Added explicit virtual destructor for the same reasons as
          described immediately above.

        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.cpp:

          Changed ANY_CODE from being static to being
          scope-local.

        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:

          Removed asserts associated with parameters. If a param is not
          optional we throw a BAD_PARAM exception.

        * orbsvcs/tests/Notify/Basic/Basic.mpc:
        * orbsvcs/tests/Notify/XML_Persistence/XML_Persistence.mpc:

          Provide explicit exenames for each project.  While not strictly
          required, this is "best practice" because it eliminates the need
          for MPC to open each source file and search for the pattern
          "*main*" to intuit an exename.

        * orbsvcs/tests/Notify/Basic/Sequence.cpp:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Notify_Sequence_Push_Consumer.cpp:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Consumer.cpp:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Supplier.cpp:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Notify_Sequence_Push_Consumer.h:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Notify_Sequence_Push_Consumer.cpp:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Consumer.cpp:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Supplier.cpp:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/XML_Persistence/main.cpp:

          Fix incorrect use of pacing interval and other test issues.

        * orbsvcs/tests/Notify/Discarding/Notify_Structured_Push_Consumer.cpp:

          Fixed ACE_DEBUG printf-style message that had one too many
          arguments.

        * orbsvcs/tests/Notify/Reconnecting/event.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_mt_both.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_mt_topo.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_st_both.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_st_topo.conf:
        * orbsvcs/tests/Notify/XML_Persistence/svc.conf:

          Changed name of factory function used to dynamically load
          persistence mechanism to be consistent with the new use of
          ACE_FACTORY_NAMESPACE_DEFINE.

        * orbsvcs/tests/Notify/XML_Persistence/run_test.pl:

          Use -ORBObjRefStyle url so that IORs will be comparable.

Mon Nov 21 07:23:46 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:

          Re-export TAO_SSLIOP_Transport class.  It is currently used
          outside of the TAO_SSLIOP shared library by some of our
          regression tests.

Fri Nov 18 19:27:29 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/lex.yy.cpp:

          Reverted change of

          Wed Nov 16 21:53:08 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

          since it caused problems with Borland and Intel compilers.
          We'll try it again after the next beta, or when there is
          more time to track down the problems.

Fri Nov 18 15:08:19 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Typedef_String_Array/typedef_string_array.mpc:

          Added 'after' line to one of two projects that share an IDL
          file, to avoid concurrency problems with the VC8 build.

Thu Nov 17 16:38:27 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/RTCORBA/MT_Client_Protocol_Priority/RTCORBA_MT_Client_Proto_Prio.mpc:

          Added 'after' line to one project to avoid concurrency clashes
          in IDL compiler execution when compiling with VC8.

Thu Nov 17 07:57:13 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * docs/releasenotes/index.html:

          Added CSD feature to ORB related section.

Thu Nov 17 06:55:53 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Security/SL3_CredentialsAcquirerFactory.h:
        * orbsvcs/orbsvcs/Security/SL3_CredentialsCurator.h:

          Re-export the classes in these files.  Addresses unresolved
          symbol errors in g++ 4.x builds.

Thu Nov 17 06:49:02 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/params_dup.h:

          Declare wrapper functions with their versioned namespace macro
          counterparts.

        * orbsvcs/orbsvcs/SSLIOP/params_dup.c:

          Include "params_dup.h" to pull in wrapper function names with
          versioned namespace support.

Thu Nov 17 13:17:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Borland/ChatClient.mpc:
          New MPC file, add vcl=1 to your default.features and pass VCL=1
          to the make flags to build this

        * examples/Borland/README:
          Updated

Thu Nov 17 12:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Borland/ChatClient.bpr:
        * examples/Borland/ChatClient.res:
          Updated to BCB6 format

Wed Nov 16 21:53:08 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/lex.yy.cpp.diff:

          Since the change of

          Wed Nov 16 11:23:15 2005  Jeff Parsons  <j.parsons@vanderbilt.edu>

          checked in a version of lex.yy.cpp that had been generated
          elsewhere, regenerated this file with the version of flex
          that's on tango.dre.vanderbilt.edu, and updated the
          corresponding diff file.

Wed Nov 16 14:12:08 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B.idl:
        * tests/CSD_Strategy_Tests/TP_Test_1/run_test.pl:

          Rolled back the changes
          "Sun Nov 13 12:15:58 USMST 2005  Yan Dai  <dai_y@ociweb.com>"
          made for debugging test failures on VxWorks build.

        * NEWS:

          Added description for CSD feature.

Wed Nov 16 11:23:15 2005  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/idl.yy.cpp:

          Applied patches submitted by Thomas Lockhart
          <Thomas.Lockhart@jpl.nasa.gov> to enable the IDL compiler's
          lexer to handle extra numeric fields produced by the gcc
          4.0.1 preprocessor. Closes [BUGID:2294].

Wed Nov 16 09:14:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current_Impl.cpp:

          Include "tao/ORB_Constants.h" to pull TAO::VMCID constant.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_CredentialsAcquirer.h
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_TargetCredentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_TargetCredentials.h:

          Corrected typos in versioned namespace macros.

Wed Nov 16 09:05:08 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.h (Current):

          Removed "const" qualifier for tss_slot_ member.  It must
          currently remain mutable.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_OpenSSL_st_T.h:

          Include "tao/Versioned_Namespace.h" to pull in versioned
          namespace macro definitions.

Wed Nov 16 14:52:32 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/NestedUpcall/Simple/Simple.mpc:

          Added 'after' line to one of the two projects in the MPC file,
          so VC8 doesn't execute the IDL compiler concurrently.

Tue Nov 15 23:48:47 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_SSL.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_X509.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler.cpp:

          Removed empty files.

        * orbsvcs/orbsvcs/ETCL/ETCL.ll:
        * orbsvcs/orbsvcs/ETCL/ETCL.yy:
        * orbsvcs/orbsvcs/ETCL/ETCL_l.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_y.cpp:

          Added missing versioned namespace macros.

        * orbsvcs/orbsvcs/Property/CosPropertyService_i.cpp:
        * orbsvcs/orbsvcs/Property/CosPropertyService_i.h:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.h:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_PCP_Manager.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_PCP_Manager.h:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_PCP_Manager.i:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ServerScheduler_i.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ServerScheduler_i.h:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ServerScheduler_i.i:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Acceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connection_Handler.inl:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Transport.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Accept_Strategy.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Accept_Strategy.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.i:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ClientCredentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ClientCredentials.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.i:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Credentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Credentials.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Credentials.inl:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_CredentialsAcquirer.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_CredentialsAcquirer.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_CredentialsAcquirerFactory.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_CredentialsAcquirerFactory.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.inl:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current_Impl.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current_Impl.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current_Impl.inl:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_EVP_PKEY.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_EVP_PKEY.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.i:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Invocation_Interceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Invocation_Interceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ORBInitializer.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_OpenSSL_st_T.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_OpenSSL_st_T.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_OpenSSL_st_T.inl:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_OwnCredentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_OwnCredentials.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_SSL.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_TargetCredentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_TargetCredentials.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Util.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Util.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_X509.h:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.c:
        * orbsvcs/orbsvcs/SSLIOP/params_dup.h:
        * orbsvcs/orbsvcs/SSLIOP/ssl_endpointsC.cpp:
        * orbsvcs/orbsvcs/SSLIOP/ssl_endpointsC.h:
        * orbsvcs/orbsvcs/Sched/Config_Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/Config_Scheduler.h:
        * orbsvcs/orbsvcs/Sched/DynSched.cpp:
        * orbsvcs/orbsvcs/Sched/DynSched.h:
        * orbsvcs/orbsvcs/Sched/DynSched.i:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils.h:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils_T.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils_T.h:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.h:
        * orbsvcs/orbsvcs/Sched/SchedEntry.cpp:
        * orbsvcs/orbsvcs/Sched/SchedEntry.h:
        * orbsvcs/orbsvcs/Sched/SchedEntry.i:
        * orbsvcs/orbsvcs/Sched/Scheduler_Generic.cpp:
        * orbsvcs/orbsvcs/Sched/Scheduler_Generic.h:
        * orbsvcs/orbsvcs/Sched/Strategy_Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/Strategy_Scheduler.h:
        * orbsvcs/orbsvcs/Security/CSI_Utils.cpp:
        * orbsvcs/orbsvcs/Security/CSI_Utils.h:
        * orbsvcs/orbsvcs/Security/SL2_EstablishTrustPolicy.cpp:
        * orbsvcs/orbsvcs/Security/SL2_EstablishTrustPolicy.h:
        * orbsvcs/orbsvcs/Security/SL2_QOPPolicy.cpp:
        * orbsvcs/orbsvcs/Security/SL2_QOPPolicy.h:
        * orbsvcs/orbsvcs/Security/SL3_ContextEstablishmentPolicy.cpp:
        * orbsvcs/orbsvcs/Security/SL3_ContextEstablishmentPolicy.h:
        * orbsvcs/orbsvcs/Security/SL3_CredentialsAcquirerFactory.cpp:
        * orbsvcs/orbsvcs/Security/SL3_CredentialsAcquirerFactory.h:
        * orbsvcs/orbsvcs/Security/SL3_CredentialsCurator.cpp:
        * orbsvcs/orbsvcs/Security/SL3_CredentialsCurator.h:
        * orbsvcs/orbsvcs/Security/SL3_ObjectCredentialsPolicy.cpp:
        * orbsvcs/orbsvcs/Security/SL3_ObjectCredentialsPolicy.h:
        * orbsvcs/orbsvcs/Security/SL3_PolicyFactory.cpp:
        * orbsvcs/orbsvcs/Security/SL3_PolicyFactory.h:
        * orbsvcs/orbsvcs/Security/SL3_SecurityCurrent.cpp:
        * orbsvcs/orbsvcs/Security/SL3_SecurityCurrent.h:
        * orbsvcs/orbsvcs/Security/SL3_SecurityCurrent.inl:
        * orbsvcs/orbsvcs/Security/SL3_SecurityCurrent_Impl.cpp:
        * orbsvcs/orbsvcs/Security/SL3_SecurityCurrent_Impl.h:
        * orbsvcs/orbsvcs/Security/SL3_SecurityManager.cpp:
        * orbsvcs/orbsvcs/Security/SL3_SecurityManager.h:
        * orbsvcs/orbsvcs/Security/Security_Current.cpp:
        * orbsvcs/orbsvcs/Security/Security_Current.h:
        * orbsvcs/orbsvcs/Security/Security_Current.inl:
        * orbsvcs/orbsvcs/Security/Security_Current_Impl.cpp:
        * orbsvcs/orbsvcs/Security/Security_Current_Impl.h:
        * orbsvcs/orbsvcs/Security/Security_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/Security/Security_ORBInitializer.h:
        * orbsvcs/orbsvcs/Security/Security_PolicyFactory.cpp:
        * orbsvcs/orbsvcs/Security/Security_PolicyFactory.h:
        * orbsvcs/orbsvcs/Time/TAO_TIO.cpp:
        * orbsvcs/orbsvcs/Time/TAO_TIO.h:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Clerk.cpp:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Clerk.h:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Server.cpp:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Server.h:
        * orbsvcs/orbsvcs/Time/TAO_UTO.cpp:
        * orbsvcs/orbsvcs/Time/TAO_UTO.h:
        * orbsvcs/orbsvcs/Time/Timer_Helper.cpp:
        * orbsvcs/orbsvcs/Time/Timer_Helper.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Interpreter.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_Interpreter.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Nodes.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_Nodes.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:
        * orbsvcs/orbsvcs/Trader/Interpreter.cpp:
        * orbsvcs/orbsvcs/Trader/Interpreter.h:
        * orbsvcs/orbsvcs/Trader/Interpreter_Utils.cpp:
        * orbsvcs/orbsvcs/Trader/Interpreter_Utils.h:
        * orbsvcs/orbsvcs/Trader/Interpreter_Utils_T.cpp:
        * orbsvcs/orbsvcs/Trader/Interpreter_Utils_T.h:
        * orbsvcs/orbsvcs/Trader/Locking.h:
        * orbsvcs/orbsvcs/Trader/Offer_Database.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Database.h:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators.h:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators_T.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators_T.h:
        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.cpp:
        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.h:
        * orbsvcs/orbsvcs/Trader/Trader.cpp:
        * orbsvcs/orbsvcs/Trader/Trader.h:
        * orbsvcs/orbsvcs/Trader/Trader_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.h:
        * orbsvcs/orbsvcs/Trader/Trader_T.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_T.h:
        * orbsvcs/orbsvcs/Trader/Trader_Utils.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_Utils.h:
        * orbsvcs/orbsvcs/Trader/constraint.l:
        * orbsvcs/orbsvcs/Trader/constraint.y:

          Added versioned namespace support.

Tue Nov 15 07:44:59 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/tests/Bug_2285_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2287_Regression/Makefile.am:

          Regenerate with a separate project for compiling *.idl files.
          The corresponding *.mpc changes will be committed at a later
          date since the repo is frozen.

Tue Nov 15 06:56:51 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Makefile.am:
        * examples/POA/Explicit_Activation/Makefile.am:
        * orbsvcs/Naming_Service/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Makefile.am:
        * orbsvcs/examples/Log/RTEvent/Makefile.am:
        * orbsvcs/examples/Notify/Lanes/Makefile.am:
        * orbsvcs/examples/Notify/ThreadPool/Makefile.am:
        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/tests/Makefile.am:
        * orbsvcs/tests/Notify/Basic/Makefile.am:
        * orbsvcs/tests/Notify/Blocking/Makefile.am:
        * orbsvcs/tests/Notify/Destroy/Makefile.am:
        * orbsvcs/tests/Notify/Discarding/Makefile.am:
        * orbsvcs/tests/Notify/Driver/Makefile.am:
        * orbsvcs/tests/Notify/MT_Dispatching/Makefile.am:
        * orbsvcs/tests/Notify/Ordering/Makefile.am:
        * orbsvcs/tests/Notify/RT_lib/Makefile.am:
        * orbsvcs/tests/Notify/Reconnecting/Makefile.am:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Structured_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Makefile.am:
        * orbsvcs/tests/Notify/lib/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/Filter/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Makefile.am:
        * orbsvcs/tests/Security/Crash_Test/Makefile.am:
        * orbsvcs/tests/Security/MT_IIOP_SSL/Makefile.am:
        * orbsvcs/tests/Security/Secure_Invocation/Makefile.am:
        * performance-tests/Makefile.am:
        * tao/Makefile.am:

          Regenerated.

        * configure.ac:

          Add new files to AC_CONFIG_FILES.

        * examples/CSD_Strategy/Makefile.am:
        * examples/CSD_Strategy/ThreadPool/Makefile.am:
        * examples/CSD_Strategy/ThreadPool2/Makefile.am:
        * examples/CSD_Strategy/ThreadPool3/Makefile.am:
        * examples/CSD_Strategy/ThreadPool4/Makefile.am:
        * examples/CSD_Strategy/ThreadPool5/Makefile.am:
        * examples/CSD_Strategy/ThreadPool6/Makefile.am:
        * orbsvcs/tests/Bug_2074_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2285_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2287_Regression/Makefile.am:
        * performance-tests/CSD_Strategy/Makefile.am:
        * performance-tests/CSD_Strategy/TestApps/Makefile.am:
        * performance-tests/CSD_Strategy/TestInf/Makefile.am:
        * performance-tests/CSD_Strategy/TestServant/Makefile.am:

          New files.

Tue Nov 15 07:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/*:
          Handle sequences of forward declared object references and
          added some more unit tests

Mon Nov 14 23:37:09 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:
        * examples/CSD_Strategy/ThreadPool4/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool5/Foo_i.cpp:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_i.cpp:

          Fixed memory leaks.

Mon Nov 14 13:54:08 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.am (libTAO_PortableGroup_la_SOURCES):
        * orbsvcs/orbsvcs/PortableGroup/PG_Factory_Map.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Factory_Set.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Map.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroup_Map.cpp:

          Removed empty map/set source files.

        * orbsvcs/orbsvcs/Log/BasicLogFactory_i.cpp:
        * orbsvcs/orbsvcs/Log/BasicLogFactory_i.h:
        * orbsvcs/orbsvcs/Log/EventLogConsumer.cpp:
        * orbsvcs/orbsvcs/Log/EventLogConsumer.h:
        * orbsvcs/orbsvcs/Log/EventLogFactory_i.cpp:
        * orbsvcs/orbsvcs/Log/EventLogFactory_i.h:
        * orbsvcs/orbsvcs/Log/EventLogNotification.cpp:
        * orbsvcs/orbsvcs/Log/EventLogNotification.h:
        * orbsvcs/orbsvcs/Log/EventLog_i.cpp:
        * orbsvcs/orbsvcs/Log/EventLog_i.h:
        * orbsvcs/orbsvcs/Log/Hash_Iterator_i.cpp:
        * orbsvcs/orbsvcs/Log/Hash_Iterator_i.h:
        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:
        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.h:
        * orbsvcs/orbsvcs/Log/Hash_LogStore.cpp:
        * orbsvcs/orbsvcs/Log/Hash_LogStore.h:
        * orbsvcs/orbsvcs/Log/Hash_Persistence_Strategy.cpp:
        * orbsvcs/orbsvcs/Log/Hash_Persistence_Strategy.h:
        * orbsvcs/orbsvcs/Log/Iterator_i.cpp:
        * orbsvcs/orbsvcs/Log/Iterator_i.h:
        * orbsvcs/orbsvcs/Log/LogActivator.cpp:
        * orbsvcs/orbsvcs/Log/LogActivator.h:
        * orbsvcs/orbsvcs/Log/LogMgr_i.cpp:
        * orbsvcs/orbsvcs/Log/LogMgr_i.h:
        * orbsvcs/orbsvcs/Log/LogNotification.cpp:
        * orbsvcs/orbsvcs/Log/LogNotification.h:
        * orbsvcs/orbsvcs/Log/LogRecordStore.cpp:
        * orbsvcs/orbsvcs/Log/LogRecordStore.h:
        * orbsvcs/orbsvcs/Log/LogRecordStore_persist.cpp:
        * orbsvcs/orbsvcs/Log/LogRecordStore_persist.h:
        * orbsvcs/orbsvcs/Log/LogStore.h:
        * orbsvcs/orbsvcs/Log/Log_Compaction_Handler.cpp:
        * orbsvcs/orbsvcs/Log/Log_Compaction_Handler.h:
        * orbsvcs/orbsvcs/Log/Log_Constraint_Interpreter.cpp:
        * orbsvcs/orbsvcs/Log/Log_Constraint_Interpreter.h:
        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Log/Log_Flush_Handler.cpp:
        * orbsvcs/orbsvcs/Log/Log_Flush_Handler.h:
        * orbsvcs/orbsvcs/Log/Log_Persistence_Strategy.h:
        * orbsvcs/orbsvcs/Log/Log_i.cpp:
        * orbsvcs/orbsvcs/Log/Log_i.h:
        * orbsvcs/orbsvcs/Log/NotifyLogConsumer.cpp:
        * orbsvcs/orbsvcs/Log/NotifyLogConsumer.h:
        * orbsvcs/orbsvcs/Log/NotifyLogFactory_i.cpp:
        * orbsvcs/orbsvcs/Log/NotifyLogFactory_i.h:
        * orbsvcs/orbsvcs/Log/NotifyLogNotification.cpp:
        * orbsvcs/orbsvcs/Log/NotifyLogNotification.h:
        * orbsvcs/orbsvcs/Log/NotifyLog_i.cpp:
        * orbsvcs/orbsvcs/Log/NotifyLog_i.h:
        * orbsvcs/orbsvcs/Log/PersistStore.cpp:
        * orbsvcs/orbsvcs/Log/PersistStore.h:
        * orbsvcs/orbsvcs/Log/RTEventLogConsumer.cpp:
        * orbsvcs/orbsvcs/Log/RTEventLogConsumer.h:
        * orbsvcs/orbsvcs/Log/RTEventLogFactory_i.cpp:
        * orbsvcs/orbsvcs/Log/RTEventLogFactory_i.h:
        * orbsvcs/orbsvcs/Log/RTEventLogNotification.cpp:
        * orbsvcs/orbsvcs/Log/RTEventLogNotification.h:
        * orbsvcs/orbsvcs/Log/RTEventLog_i.cpp:
        * orbsvcs/orbsvcs/Log/RTEventLog_i.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_FrameManager.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_LocalCache.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_LocalCache_T.cpp:
        * orbsvcs/orbsvcs/Metrics/Metrics_LocalCache_T.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_Logger.cpp:
        * orbsvcs/orbsvcs/Metrics/Metrics_Logger.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_UpcallMonitor.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_UpcallMonitor.i:
        * orbsvcs/orbsvcs/Metrics/Metrics_UpcallMonitor_T.cpp:
        * orbsvcs/orbsvcs/Metrics/Metrics_UpcallMonitor_T.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_UpcallMonitor_T.i:
        * orbsvcs/orbsvcs/Metrics/Metrics_Utils.cpp:
        * orbsvcs/orbsvcs/Metrics/Metrics_Utils.h:
        * orbsvcs/orbsvcs/Metrics/Metrics_Utils.i:
        * orbsvcs/orbsvcs/Naming/Bindings_Iterator_T.cpp:
        * orbsvcs/orbsvcs/Naming/Bindings_Iterator_T.h:
        * orbsvcs/orbsvcs/Naming/Entries.cpp:
        * orbsvcs/orbsvcs/Naming/Entries.h:
        * orbsvcs/orbsvcs/Naming/Flat_File_Persistence.cpp:
        * orbsvcs/orbsvcs/Naming/Flat_File_Persistence.h:
        * orbsvcs/orbsvcs/Naming/Hash_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Hash_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/Naming_Client.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Client.h:
        * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.h:
        * orbsvcs/orbsvcs/Naming/Naming_Loader.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Loader.h:
        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Server.h:
        * orbsvcs/orbsvcs/Naming/Naming_Service_Container.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Service_Container.h:
        * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.h:
        * orbsvcs/orbsvcs/Naming/Persistent_Entries.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Entries.h:
        * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/Storable.h:
        * orbsvcs/orbsvcs/Naming/Storable.inl:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.h:
        * orbsvcs/orbsvcs/Naming/Transient_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Transient_Naming_Context.h:
        * orbsvcs/orbsvcs/Notify/Admin.cpp:
        * orbsvcs/orbsvcs/Notify/Admin.h:
        * orbsvcs/orbsvcs/Notify/Admin.inl:
        * orbsvcs/orbsvcs/Notify/AdminProperties.cpp:
        * orbsvcs/orbsvcs/Notify/AdminProperties.h:
        * orbsvcs/orbsvcs/Notify/AdminProperties.inl:
        * orbsvcs/orbsvcs/Notify/Bit_Vector.cpp:
        * orbsvcs/orbsvcs/Notify/Bit_Vector.h:
        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.cpp:
        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.h:
        * orbsvcs/orbsvcs/Notify/Builder.cpp:
        * orbsvcs/orbsvcs/Notify/Builder.h:
        * orbsvcs/orbsvcs/Notify/Consumer.cpp:
        * orbsvcs/orbsvcs/Notify/Consumer.h:
        * orbsvcs/orbsvcs/Notify/Consumer.inl:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.h:
        * orbsvcs/orbsvcs/Notify/Consumer_Map.h:
        * orbsvcs/orbsvcs/Notify/Container_T.cpp:
        * orbsvcs/orbsvcs/Notify/Container_T.h:
        * orbsvcs/orbsvcs/Notify/Container_T.inl:
        * orbsvcs/orbsvcs/Notify/CosNotify_Initializer.cpp:
        * orbsvcs/orbsvcs/Notify/CosNotify_Initializer.h:
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.h:
        * orbsvcs/orbsvcs/Notify/Default_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Default_Factory.h:
        * orbsvcs/orbsvcs/Notify/Delivery_Request.cpp:
        * orbsvcs/orbsvcs/Notify/Delivery_Request.h:
        * orbsvcs/orbsvcs/Notify/Delivery_Request.inl:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.h:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.h:
        * orbsvcs/orbsvcs/Notify/Event.cpp:
        * orbsvcs/orbsvcs/Notify/Event.h:
        * orbsvcs/orbsvcs/Notify/Event.inl:
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannel.h:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.h:
        * orbsvcs/orbsvcs/Notify/EventType.cpp:
        * orbsvcs/orbsvcs/Notify/EventType.h:
        * orbsvcs/orbsvcs/Notify/EventType.inl:
        * orbsvcs/orbsvcs/Notify/EventTypeSeq.cpp:
        * orbsvcs/orbsvcs/Notify/EventTypeSeq.h:
        * orbsvcs/orbsvcs/Notify/Event_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Event_Manager.h:
        * orbsvcs/orbsvcs/Notify/Event_Map_Entry_T.cpp:
        * orbsvcs/orbsvcs/Notify/Event_Map_Entry_T.h:
        * orbsvcs/orbsvcs/Notify/Event_Map_Entry_T.inl:
        * orbsvcs/orbsvcs/Notify/Event_Map_T.cpp:
        * orbsvcs/orbsvcs/Notify/Event_Map_T.h:
        * orbsvcs/orbsvcs/Notify/Event_Map_T.inl:
        * orbsvcs/orbsvcs/Notify/Event_Persistence_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Event_Persistence_Factory.h:
        * orbsvcs/orbsvcs/Notify/Event_Persistence_Strategy.h:
        * orbsvcs/orbsvcs/Notify/Factory.h:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.h:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.inl:
        * orbsvcs/orbsvcs/Notify/FilterFactory.h:
        * orbsvcs/orbsvcs/Notify/Find_Worker_T.cpp:
        * orbsvcs/orbsvcs/Notify/Find_Worker_T.h:
        * orbsvcs/orbsvcs/Notify/Find_Worker_T.inl:
        * orbsvcs/orbsvcs/Notify/ID_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/ID_Factory.h:
        * orbsvcs/orbsvcs/Notify/ID_Factory.inl:
        * orbsvcs/orbsvcs/Notify/Method_Request.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Event.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Event.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Shutdown.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Shutdown.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Updates.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Updates.h:
        * orbsvcs/orbsvcs/Notify/Method_Request_Updates_T.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Updates_T.inl:
        * orbsvcs/orbsvcs/Notify/Name_Value_Pair.cpp:
        * orbsvcs/orbsvcs/Notify/Name_Value_Pair.h:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.h:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_CO_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_CO_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_Collection_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_Collection_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_POA_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_POA_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.h:
        * orbsvcs/orbsvcs/Notify/Notify_Extensions.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Extensions.h:
        * orbsvcs/orbsvcs/Notify/Object.cpp:
        * orbsvcs/orbsvcs/Notify/Object.h:
        * orbsvcs/orbsvcs/Notify/Object.inl:
        * orbsvcs/orbsvcs/Notify/POA_Helper.cpp:
        * orbsvcs/orbsvcs/Notify/POA_Helper.h:
        * orbsvcs/orbsvcs/Notify/POA_Helper.inl:
        * orbsvcs/orbsvcs/Notify/Peer.cpp:
        * orbsvcs/orbsvcs/Notify/Peer.h:
        * orbsvcs/orbsvcs/Notify/Persistent_File_Allocator.cpp:
        * orbsvcs/orbsvcs/Notify/Persistent_File_Allocator.h:
        * orbsvcs/orbsvcs/Notify/Properties.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.h:
        * orbsvcs/orbsvcs/Notify/Properties.inl:
        * orbsvcs/orbsvcs/Notify/Property.h:
        * orbsvcs/orbsvcs/Notify/PropertySeq.cpp:
        * orbsvcs/orbsvcs/Notify/PropertySeq.h:
        * orbsvcs/orbsvcs/Notify/PropertySeq.inl:
        * orbsvcs/orbsvcs/Notify/Property_Boolean.cpp:
        * orbsvcs/orbsvcs/Notify/Property_Boolean.h:
        * orbsvcs/orbsvcs/Notify/Property_Boolean.inl:
        * orbsvcs/orbsvcs/Notify/Property_T.cpp:
        * orbsvcs/orbsvcs/Notify/Property_T.h:
        * orbsvcs/orbsvcs/Notify/Property_T.inl:
        * orbsvcs/orbsvcs/Notify/Proxy.cpp:
        * orbsvcs/orbsvcs/Notify/Proxy.h:
        * orbsvcs/orbsvcs/Notify/Proxy.inl:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.h:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.inl:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer_T.cpp:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer_T.h:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.h:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.inl:
        * orbsvcs/orbsvcs/Notify/ProxySupplier_T.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier_T.h:
        * orbsvcs/orbsvcs/Notify/Proxy_T.cpp:
        * orbsvcs/orbsvcs/Notify/Proxy_T.h:
        * orbsvcs/orbsvcs/Notify/QoSProperties.cpp:
        * orbsvcs/orbsvcs/Notify/QoSProperties.h:
        * orbsvcs/orbsvcs/Notify/QoSProperties.inl:
        * orbsvcs/orbsvcs/Notify/RT_Builder.cpp:
        * orbsvcs/orbsvcs/Notify/RT_Builder.h:
        * orbsvcs/orbsvcs/Notify/RT_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/RT_Factory.h:
        * orbsvcs/orbsvcs/Notify/RT_Notify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/RT_Notify_Service.h:
        * orbsvcs/orbsvcs/Notify/RT_POA_Helper.cpp:
        * orbsvcs/orbsvcs/Notify/RT_POA_Helper.h:
        * orbsvcs/orbsvcs/Notify/RT_Properties.cpp:
        * orbsvcs/orbsvcs/Notify/RT_Properties.h:
        * orbsvcs/orbsvcs/Notify/RT_Properties.inl:
        * orbsvcs/orbsvcs/Notify/Random_File.cpp:
        * orbsvcs/orbsvcs/Notify/Random_File.h:
        * orbsvcs/orbsvcs/Notify/Reactive_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Reactive_Task.h:
        * orbsvcs/orbsvcs/Notify/Reactive_Task.inl:
        * orbsvcs/orbsvcs/Notify/Reconnect_Worker_T.cpp:
        * orbsvcs/orbsvcs/Notify/Reconnect_Worker_T.h:
        * orbsvcs/orbsvcs/Notify/Reconnection_Registry.cpp:
        * orbsvcs/orbsvcs/Notify/Reconnection_Registry.h:
        * orbsvcs/orbsvcs/Notify/Refcountable.cpp:
        * orbsvcs/orbsvcs/Notify/Refcountable.h:
        * orbsvcs/orbsvcs/Notify/Refcountable_Guard_T.h:
        * orbsvcs/orbsvcs/Notify/Refcountable_Guard_T.inl:
        * orbsvcs/orbsvcs/Notify/Routing_Slip.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip.h:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Persistence_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Persistence_Manager.h:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Queue.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Queue.h:
        * orbsvcs/orbsvcs/Notify/Save_Persist_Worker_T.cpp:
        * orbsvcs/orbsvcs/Notify/Save_Persist_Worker_T.h:
        * orbsvcs/orbsvcs/Notify/Seq_Worker_T.cpp:
        * orbsvcs/orbsvcs/Notify/Seq_Worker_T.h:
        * orbsvcs/orbsvcs/Notify/Seq_Worker_T.inl:
        * orbsvcs/orbsvcs/Notify/Service.cpp:
        * orbsvcs/orbsvcs/Notify/Service.h:
        * orbsvcs/orbsvcs/Notify/Standard_Event_Persistence.cpp:
        * orbsvcs/orbsvcs/Notify/Standard_Event_Persistence.h:
        * orbsvcs/orbsvcs/Notify/Subscription_Change_Worker.cpp:
        * orbsvcs/orbsvcs/Notify/Subscription_Change_Worker.h:
        * orbsvcs/orbsvcs/Notify/Supplier.cpp:
        * orbsvcs/orbsvcs/Notify/Supplier.h:
        * orbsvcs/orbsvcs/Notify/Supplier.inl:
        * orbsvcs/orbsvcs/Notify/SupplierAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/SupplierAdmin.h:
        * orbsvcs/orbsvcs/Notify/Supplier_Map.h:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.h:
        * orbsvcs/orbsvcs/Notify/Timer.h:
        * orbsvcs/orbsvcs/Notify/Timer_Queue.cpp:
        * orbsvcs/orbsvcs/Notify/Timer_Queue.h:
        * orbsvcs/orbsvcs/Notify/Timer_Reactor.cpp:
        * orbsvcs/orbsvcs/Notify/Timer_Reactor.h:
        * orbsvcs/orbsvcs/Notify/Topology_Factory.h:
        * orbsvcs/orbsvcs/Notify/Topology_Loader.cpp:
        * orbsvcs/orbsvcs/Notify/Topology_Loader.h:
        * orbsvcs/orbsvcs/Notify/Topology_Object.cpp:
        * orbsvcs/orbsvcs/Notify/Topology_Object.h:
        * orbsvcs/orbsvcs/Notify/Topology_Object.inl:
        * orbsvcs/orbsvcs/Notify/Topology_Saver.cpp:
        * orbsvcs/orbsvcs/Notify/Topology_Saver.h:
        * orbsvcs/orbsvcs/Notify/Worker_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Worker_Task.h:
        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Loader.h:
        * orbsvcs/orbsvcs/Notify/XML_Saver.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Saver.h:
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.h:
        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.cpp:
        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.h:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/RT_StructuredProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/RT_StructuredProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredEvent.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredEvent.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.h:
        * orbsvcs/orbsvcs/PortableGroup/GOA.cpp:
        * orbsvcs/orbsvcs/PortableGroup/GOA.h:
        * orbsvcs/orbsvcs/PortableGroup/MIOP.cpp:
        * orbsvcs/orbsvcs/PortableGroup/MIOP.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Default_Property_Validator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Default_Property_Validator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Factory_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Factory_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Equal_To.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Equal_To.inl:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Hash.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Hash.inl:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_MemberInfo.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_MemberInfo.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Null_Property_Validator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Null_Property_Validator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroup_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Adapter_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Adapter_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Operators.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Operators.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Encoder.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Encoder.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Encoder.inl:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set_Find.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Utils.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Utils.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Servant_Dispatcher.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Servant_Dispatcher.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Utils.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Utils.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_conf.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Acceptor_Registry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Acceptor_Registry.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Loader.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Loader.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Request_Dispatcher.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Request_Dispatcher.h:
        * orbsvcs/orbsvcs/PortableGroup/Portable_Group_Map.cpp:
        * orbsvcs/orbsvcs/PortableGroup/Portable_Group_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.i:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.i:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Message_Block_Data_Iterator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Message_Block_Data_Iterator.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Wait_Never.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Wait_Never.h:

          Added versioned namespace support.

Mon Nov 14 15:00:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
          The first argument of Objref_Traits::marshal should be
          a const argument

Mon Nov 14 09:13:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence.hpp:
          Fixed compile error with HPUX

Mon Nov 14 07:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/mock_stream.{hpp,cpp}:
        * tests/Sequence_Unit_Tests/fwd_mock_reference.{hpp,cpp}:
          New mock_stream and fwd_mock_reference, needed for some more unit
          tests

Sun Nov 13 12:15:58 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B.idl:

          Changed the done() method to be oneway to see if this fixes TRANSIENT
          exception caught on VXWORKS builds.

        * tests/CSD_Strategy_Tests/TP_Test_1/run_test.pl:

          Extended timeout for server process startup to see if this fixes
          server.ior not found problem on VXWORKS builds.

Sat Nov 12 09:55:33 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Change "FaultTolerance/FT_IOGR_Property.i" to
          "FaultTolerance/FT_IOGR_Property.inl".

          Remove "ETCL/ETCL_Constraint.i".

Sat Nov 12 01:34:26 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosLoadBalancing.mpc:
        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlertMap.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadListMap.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMap.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Location_Index_Map.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_MonitorMap.cpp:

          Removed empty LoadBalancing/*Map.cpp source files.

        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Initializer.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Initializer.h:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Interceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Interceptor.h:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Loader.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Primary_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Primary_Replication_Strategy.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Replication_Strategy.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Basic_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Basic_Replication_Strategy.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ConnectionHandler_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ConnectionHandler_T.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.inl:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Become_Primary_Listener.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Become_Primary_Listener.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ConsumerAdmin.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Factory.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Factory.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Fault_Listener.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Group_Manager.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Group_Manager.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ORBInitializer.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxyConsumer.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxySupplier.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_SupplierAdmin.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_SupplierAdmin.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_Base.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_Base.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_T.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Listener.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FtEventServiceInterceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FtEventServiceInterceptor.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/GroupInfoPublisher.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/GroupInfoPublisher.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/IOGR_Maker.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/IOGR_Maker.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ObjectGroupManagerHandler.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ObjectGroupManagerHandler.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ProxyConsumerStateWorker.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ProxyConsumerStateWorker.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ProxySupplierStateWorker.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ProxySupplierStateWorker.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Strategy.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/SCTP_Fault_Detector.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/SCTP_Fault_Detector.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Update_Manager.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Update_Manager.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/UpdateableHandler.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/UpdateableHandler.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/create_persistent_poa.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/create_persistent_poa.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/replace_key.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.inl:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.inl:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Safe_InputCDR.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Safe_InputCDR.inl:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/ScopeGuard.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.inl:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/activate_with_id.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/resolve_init.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.i:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor_Impl.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor_Impl.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Completion_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Completion_Handler.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Endpoint.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Endpoint.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Endpoint.i:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Factory.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Factory.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Profile.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Profile.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.h:
        * orbsvcs/orbsvcs/HTIOP/htiop_endpointsC.cpp:
        * orbsvcs/orbsvcs/HTIOP/htiop_endpointsC.h:
        * orbsvcs/orbsvcs/IFRService/AbstractInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/AbstractInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/AliasDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/AliasDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ArrayDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ArrayDef_i.h:
        * orbsvcs/orbsvcs/IFRService/AttributeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/AttributeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentContainer_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ComponentContainer_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentModuleDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ComponentModuleDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentRepository_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ComponentRepository_i.h:
        * orbsvcs/orbsvcs/IFRService/ConstantDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ConstantDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ConsumesDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ConsumesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/Contained_i.cpp:
        * orbsvcs/orbsvcs/IFRService/Contained_i.h:
        * orbsvcs/orbsvcs/IFRService/Container_i.cpp:
        * orbsvcs/orbsvcs/IFRService/Container_i.h:
        * orbsvcs/orbsvcs/IFRService/EmitsDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/EmitsDef_i.h:
        * orbsvcs/orbsvcs/IFRService/EnumDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/EnumDef_i.h:
        * orbsvcs/orbsvcs/IFRService/EventDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/EventDef_i.h:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExceptionDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExceptionDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtAbstractInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtAbstractInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtAttributeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtAttributeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtLocalInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtLocalInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtValueDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtValueDef_i.h:
        * orbsvcs/orbsvcs/IFRService/FactoryDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/FactoryDef_i.h:
        * orbsvcs/orbsvcs/IFRService/FinderDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/FinderDef_i.h:
        * orbsvcs/orbsvcs/IFRService/FixedDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/FixedDef_i.h:
        * orbsvcs/orbsvcs/IFRService/HomeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/HomeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/IDLType_i.cpp:
        * orbsvcs/orbsvcs/IFRService/IDLType_i.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Loader.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Loader.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.h:
        * orbsvcs/orbsvcs/IFRService/IRObject_i.cpp:
        * orbsvcs/orbsvcs/IFRService/IRObject_i.h:
        * orbsvcs/orbsvcs/IFRService/InterfaceAttrExtension_i.cpp:
        * orbsvcs/orbsvcs/IFRService/InterfaceAttrExtension_i.h:
        * orbsvcs/orbsvcs/IFRService/InterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/InterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/LocalInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/LocalInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ModuleDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ModuleDef_i.h:
        * orbsvcs/orbsvcs/IFRService/NativeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/NativeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/OperationDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/OperationDef_i.h:
        * orbsvcs/orbsvcs/IFRService/Options.cpp:
        * orbsvcs/orbsvcs/IFRService/Options.h:
        * orbsvcs/orbsvcs/IFRService/PrimitiveDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/PrimitiveDef_i.h:
        * orbsvcs/orbsvcs/IFRService/RecursDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/RecursDef_i.h:
        * orbsvcs/orbsvcs/IFRService/Repository_i.cpp:
        * orbsvcs/orbsvcs/IFRService/Repository_i.h:
        * orbsvcs/orbsvcs/IFRService/SequenceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/SequenceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/StringDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/StringDef_i.h:
        * orbsvcs/orbsvcs/IFRService/StructDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/StructDef_i.h:
        * orbsvcs/orbsvcs/IFRService/TypedefDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/TypedefDef_i.h:
        * orbsvcs/orbsvcs/IFRService/UnionDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/UnionDef_i.h:
        * orbsvcs/orbsvcs/IFRService/UsesDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/UsesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ValueBoxDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ValueBoxDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ValueDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ValueDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ValueMemberDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ValueMemberDef_i.h:
        * orbsvcs/orbsvcs/IFRService/WstringDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/WstringDef_i.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Utilization_Monitor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Utilization_Monitor.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ClientComponent.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ClientComponent.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ClientORBInitializer.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ClientORBInitializer.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ClientRequestInterceptor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ClientRequestInterceptor.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Component.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Component.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_IORInterceptor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_IORInterceptor.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.inl:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlert.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlert.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlert.inl:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlertInfo.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlertInfo.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlertMap.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlert_Handler.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.inl:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadListMap.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMap.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.inl:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Location_Index_Map.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_MemberLocator.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_MemberLocator.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ORBInitializer.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Pull_Handler.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Pull_Handler.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Random.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Random.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_RoundRobin.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_RoundRobin.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ServerRequestInterceptor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ServerRequestInterceptor.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_conf.h:

          Added versioned namespace support.

Fri Nov 11 08:55:05 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosEvent/CEC_Factory.h:

          Include "tao/Versioned_Namespace.h" for
          TAO_BEGIN_VERSIONED_NAMESPACE_DECL macro definition.

Fri Nov 11 08:50:02 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp:

          Include "ace/OS_NS_unistd.h" for ACE_OS::getgid() prototype.

Thu Nov 10 10:18:20 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.cpp:

          Merged a bug fix from OCI 1.4a.
          "Thu Nov 10 02:34:04 2005  Ciju John  <john_c@ociweb.com>"

Thu Nov 10 10:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosEvent/CEC_ConsumerControl.cpp:
          Fixed incorrect macro

Wed Nov  9 22:34:24 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Channel_Clients_T.cpp:
        * orbsvcs/orbsvcs/Channel_Clients_T.h:
        * orbsvcs/orbsvcs/Channel_Clients_T.i:
        * orbsvcs/orbsvcs/Event_Service_Constants.h:
        * orbsvcs/orbsvcs/Event_Utilities.cpp:
        * orbsvcs/orbsvcs/Event_Utilities.h:
        * orbsvcs/orbsvcs/Event_Utilities.i:
        * orbsvcs/orbsvcs/IOR_Multicast.cpp:
        * orbsvcs/orbsvcs/IOR_Multicast.h:
        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/orbsvcs/RTEvent_Serv.mpc:
        * orbsvcs/orbsvcs/Runtime_Scheduler.cpp:
        * orbsvcs/orbsvcs/Runtime_Scheduler.h:
        * orbsvcs/orbsvcs/Shutdown_Utilities.cpp:
        * orbsvcs/orbsvcs/Shutdown_Utilities.h:
        * orbsvcs/orbsvcs/Time_Utilities.cpp:
        * orbsvcs/orbsvcs/Time_Utilities.h:
        * orbsvcs/orbsvcs/Time_Utilities.i:
        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:
        * orbsvcs/orbsvcs/AV/AVStreams_i.h:
        * orbsvcs/orbsvcs/AV/AVStreams_i.i:
        * orbsvcs/orbsvcs/AV/AV_Core.cpp:
        * orbsvcs/orbsvcs/AV/AV_Core.h:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy.cpp:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy.h:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.h:
        * orbsvcs/orbsvcs/AV/Fill_ACE_QoS.cpp:
        * orbsvcs/orbsvcs/AV/Fill_ACE_QoS.h:
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.cpp:
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.h:
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.i:
        * orbsvcs/orbsvcs/AV/Flows_T.cpp:
        * orbsvcs/orbsvcs/AV/Flows_T.h:
        * orbsvcs/orbsvcs/AV/MCast.cpp:
        * orbsvcs/orbsvcs/AV/MCast.h:
        * orbsvcs/orbsvcs/AV/MCast.i:
        * orbsvcs/orbsvcs/AV/Policy.cpp:
        * orbsvcs/orbsvcs/AV/Policy.h:
        * orbsvcs/orbsvcs/AV/Policy.i:
        * orbsvcs/orbsvcs/AV/Protocol_Factory.cpp:
        * orbsvcs/orbsvcs/AV/Protocol_Factory.h:
        * orbsvcs/orbsvcs/AV/QoS_UDP.cpp:
        * orbsvcs/orbsvcs/AV/QoS_UDP.h:
        * orbsvcs/orbsvcs/AV/QoS_UDP.i:
        * orbsvcs/orbsvcs/AV/RTCP.cpp:
        * orbsvcs/orbsvcs/AV/RTCP.h:
        * orbsvcs/orbsvcs/AV/RTCP_Channel.cpp:
        * orbsvcs/orbsvcs/AV/RTCP_Channel.h:
        * orbsvcs/orbsvcs/AV/RTCP_Packet.cpp:
        * orbsvcs/orbsvcs/AV/RTCP_Packet.h:
        * orbsvcs/orbsvcs/AV/RTP.cpp:
        * orbsvcs/orbsvcs/AV/RTP.h:
        * orbsvcs/orbsvcs/AV/Resource_Factory.h:
        * orbsvcs/orbsvcs/AV/SCTP_SEQ.cpp:
        * orbsvcs/orbsvcs/AV/SCTP_SEQ.h:
        * orbsvcs/orbsvcs/AV/TCP.cpp:
        * orbsvcs/orbsvcs/AV/TCP.h:
        * orbsvcs/orbsvcs/AV/Transport.cpp:
        * orbsvcs/orbsvcs/AV/Transport.h:
        * orbsvcs/orbsvcs/AV/Transport.i:
        * orbsvcs/orbsvcs/AV/UDP.cpp:
        * orbsvcs/orbsvcs/AV/UDP.h:
        * orbsvcs/orbsvcs/AV/UDP.i:
        * orbsvcs/orbsvcs/AV/default_resource.cpp:
        * orbsvcs/orbsvcs/AV/default_resource.h:
        * orbsvcs/orbsvcs/AV/media_timer.cpp:
        * orbsvcs/orbsvcs/AV/media_timer.h:
        * orbsvcs/orbsvcs/AV/ntp-time.h:
        * orbsvcs/orbsvcs/AV/sfp.cpp:
        * orbsvcs/orbsvcs/AV/sfp.h:
        * orbsvcs/orbsvcs/Concurrency/CC_Lock.cpp:
        * orbsvcs/orbsvcs/Concurrency/CC_Lock.h:
        * orbsvcs/orbsvcs/Concurrency/CC_LockSet.cpp:
        * orbsvcs/orbsvcs/Concurrency/CC_LockSet.h:
        * orbsvcs/orbsvcs/Concurrency/CC_LockSetFactory.cpp:
        * orbsvcs/orbsvcs/Concurrency/CC_LockSetFactory.h:
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Loader.cpp:
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Loader.h:
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Utils.cpp:
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Utils.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ConsumerAdmin.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ConsumerAdmin.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ConsumerControl.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Default_Factory.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Default_Factory.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Default_Factory.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_Defaults.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Dispatching.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Dispatching.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Dispatching_Task.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Dispatching_Task.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_DynamicImplementation.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_DynamicImplementation.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_DynamicImplementation.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_EventChannel.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_EventChannel.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_EventChannel.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Factory.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Factory.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_MT_Dispatching.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_MT_Dispatching.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullConsumer.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullConsumer.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullConsumer.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullSupplier.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullSupplier.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullSupplier.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushConsumer.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_Pulling_Strategy.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Pulling_Strategy.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_ConsumerControl.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_ConsumerControl.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_Pulling_Strategy.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_Pulling_Strategy.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_Pulling_Strategy.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_SupplierControl.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_SupplierControl.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_SupplierControl.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_SupplierAdmin.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_SupplierAdmin.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_SupplierAdmin.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_SupplierControl.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_SupplierControl.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedConsumerAdmin.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedConsumerAdmin.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEvent.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEvent.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEventChannel.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEventChannel.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEventChannel.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.i:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedSupplierAdmin.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedSupplierAdmin.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedSupplierAdmin.i:
        * orbsvcs/orbsvcs/ESF/ESF_Busy_Lock.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Busy_Lock.h:
        * orbsvcs/orbsvcs/ESF/ESF_Busy_Lock.i:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Read.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Read.h:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.h:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.i:
        * orbsvcs/orbsvcs/ESF/ESF_Defaults.h:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Changes.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Changes.h:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Changes.i:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Command.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Command.h:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Command.i:
        * orbsvcs/orbsvcs/ESF/ESF_Immediate_Changes.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Immediate_Changes.h:
        * orbsvcs/orbsvcs/ESF/ESF_Immediate_Changes.i:
        * orbsvcs/orbsvcs/ESF/ESF_Peer_Admin.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Peer_Admin.h:
        * orbsvcs/orbsvcs/ESF/ESF_Peer_Workers.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Peer_Workers.h:
        * orbsvcs/orbsvcs/ESF/ESF_Peer_Workers.i:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Admin.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Admin.h:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Admin.i:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Collection.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Collection.h:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_List.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_List.h:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_List.i:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_RB_Tree.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_RB_Tree.h:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_RB_Tree.i:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_RefCount_Guard.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_RefCount_Guard.h:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_RefCount_Guard.i:
        * orbsvcs/orbsvcs/ESF/ESF_RefCount_Guard.h:
        * orbsvcs/orbsvcs/ESF/ESF_RefCount_Guard.i:
        * orbsvcs/orbsvcs/ESF/ESF_Shutdown_Proxy.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Shutdown_Proxy.h:
        * orbsvcs/orbsvcs/ESF/ESF_Shutdown_Proxy.i:
        * orbsvcs/orbsvcs/ESF/ESF_Worker.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Worker.h:
        * orbsvcs/orbsvcs/ETCL/ETCL.ll:
        * orbsvcs/orbsvcs/ETCL/ETCL_Constraint.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_Constraint.i:
        * orbsvcs/orbsvcs/ETCL/ETCL_Constraint_Visitor.h:
        * orbsvcs/orbsvcs/ETCL/ETCL_Interpreter.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_Interpreter.h:
        * orbsvcs/orbsvcs/ETCL/ETCL_l.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Adapters.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Adapters.h:
        * orbsvcs/orbsvcs/Event/ECG_Address_Server_Base.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Address_Server_Base.h:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.cpp:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.h:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.i:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Sender.cpp:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Sender.h:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Sender.i:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.h:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.i:
        * orbsvcs/orbsvcs/Event/ECG_ConsumerEC_Control.cpp:
        * orbsvcs/orbsvcs/Event/ECG_ConsumerEC_Control.h:
        * orbsvcs/orbsvcs/Event/ECG_Defaults.h:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.h:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.i:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.h:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.i:
        * orbsvcs/orbsvcs/Event/ECG_Reactive_ConsumerEC_Control.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Reactive_ConsumerEC_Control.h:
        * orbsvcs/orbsvcs/Event/ECG_Reconnect_ConsumerEC_Control.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Reconnect_ConsumerEC_Control.h:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Address_Server.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Address_Server.h:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Address_Server.i:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Mcast_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Mcast_EH.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_EH.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_EH.i:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.i:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Protocol.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.i:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.inl:
        * orbsvcs/orbsvcs/Event/EC_And_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_And_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Basic_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Basic_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_Basic_Filter_Builder.i:
        * orbsvcs/orbsvcs/Event/EC_Bitmask_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Bitmask_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Busy_Lock.cpp:
        * orbsvcs/orbsvcs/Event/EC_Busy_Lock.h:
        * orbsvcs/orbsvcs/Event/EC_Busy_Lock.i:
        * orbsvcs/orbsvcs/Event/EC_Channel_Destroyer.cpp:
        * orbsvcs/orbsvcs/Event/EC_Channel_Destroyer.h:
        * orbsvcs/orbsvcs/Event/EC_Conjunction_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Conjunction_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Event/EC_ConsumerAdmin.h:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.i:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxyConsumer.h:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxySupplier.h:
        * orbsvcs/orbsvcs/Event/EC_Disjunction_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Disjunction_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.cpp:
        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.h:
        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.i:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel.h:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel_Base.cpp:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel_Base.h:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel_Base.i:
        * orbsvcs/orbsvcs/Event/EC_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Filter.i:
        * orbsvcs/orbsvcs/Event/EC_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_Filter_Builder.i:
        * orbsvcs/orbsvcs/Event/EC_Gateway.cpp:
        * orbsvcs/orbsvcs/Event/EC_Gateway.h:
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP.cpp:
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP.h:
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.i:
        * orbsvcs/orbsvcs/Event/EC_Gateway_Sched.cpp:
        * orbsvcs/orbsvcs/Event/EC_Gateway_Sched.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.i:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.i:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.i:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Scheduling.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Scheduling.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Scheduling.i:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils.h:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils.i:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.cpp:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.h:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.i:
        * orbsvcs/orbsvcs/Event/EC_MT_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_MT_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Masked_Type_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Masked_Type_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Negation_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Negation_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Null_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Null_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.cpp:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.h:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.i:
        * orbsvcs/orbsvcs/Event/EC_Per_Supplier_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Per_Supplier_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Per_Supplier_Filter.i:
        * orbsvcs/orbsvcs/Event/EC_Prefix_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Prefix_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_Prefix_Filter_Builder.i:
        * orbsvcs/orbsvcs/Event/EC_Priority_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Priority_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Priority_Scheduling.cpp:
        * orbsvcs/orbsvcs/Event/EC_Priority_Scheduling.h:
        * orbsvcs/orbsvcs/Event/EC_Priority_Scheduling.i:
        * orbsvcs/orbsvcs/Event/EC_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Event/EC_ProxyConsumer.h:
        * orbsvcs/orbsvcs/Event/EC_ProxyConsumer.i:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.h:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.i:
        * orbsvcs/orbsvcs/Event/EC_Proxy_Disconnector.cpp:
        * orbsvcs/orbsvcs/Event/EC_Proxy_Disconnector.h:
        * orbsvcs/orbsvcs/Event/EC_QOS_Info.h:
        * orbsvcs/orbsvcs/Event/EC_QOS_Info.i:
        * orbsvcs/orbsvcs/Event/EC_RTCORBA_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_RTCORBA_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_RTCORBA_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_RTCORBA_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.h:
        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.i:
        * orbsvcs/orbsvcs/Event/EC_Reactive_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.h:
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.i:
        * orbsvcs/orbsvcs/Event/EC_Reactive_Timeout_Generator.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_Timeout_Generator.h:
        * orbsvcs/orbsvcs/Event/EC_Sched_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Sched_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Sched_Factory.i:
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter_Builder.i:
        * orbsvcs/orbsvcs/Event/EC_Scheduling_Strategy.cpp:
        * orbsvcs/orbsvcs/Event/EC_Scheduling_Strategy.h:
        * orbsvcs/orbsvcs/Event/EC_SupplierAdmin.cpp:
        * orbsvcs/orbsvcs/Event/EC_SupplierAdmin.h:
        * orbsvcs/orbsvcs/Event/EC_SupplierControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_SupplierControl.h:
        * orbsvcs/orbsvcs/Event/EC_Supplier_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Supplier_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Supplier_Filter.i:
        * orbsvcs/orbsvcs/Event/EC_Supplier_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Supplier_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_TPC_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_TPC_Dispatching_Task.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_Dispatching_Task.h:
        * orbsvcs/orbsvcs/Event/EC_TPC_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxyConsumer.h:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxySupplier.h:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxySupplier.i:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Filter.i:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Generator.cpp:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Generator.h:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Generator.i:
        * orbsvcs/orbsvcs/Event/EC_Trivial_Supplier_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Trivial_Supplier_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Type_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Type_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_UDP_Admin.cpp:
        * orbsvcs/orbsvcs/Event/EC_UDP_Admin.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORBInitializer.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicyFactory.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicyFactory.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.inl:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientService_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientService_Activate.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Endpoint_Selector_Factory.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Endpoint_Selector_Factory.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.i:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.inl:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Invocation_Endpoint_Selectors.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Invocation_Endpoint_Selectors.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ORBInitializer.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_PolicyFactory.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_PolicyFactory.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.i:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.inl:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerORBInitializer.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicyFactory.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicyFactory.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicy_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicy_i.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicy_i.inl:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerRequest_Interceptor.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerRequest_Interceptor.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerService_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerService_Activate.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:

          Added versioned namespace support.

Wed Nov  9 22:54:43 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * tao/CSD_ThreadPool/CSD_TP_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Strategy.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Strategy.h:
        * tao/CSD_ThreadPool/CSD_TP_Strategy.inl:
        * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.cpp:

        Merged changes from OCI TAO 1.4a that optionally supports the
        serialization of requests. (See OCIChangeLog entry
        "Mon Nov  7 09:31:11 MST 2005  Tim Bradley  <bradley_t@ociweb.com>"
        for details.)

Wed Nov  9 15:59:01 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tests/Bug_2234_Regression/client.cpp

        Fixed a warning on the OS X build.

Wed Nov  9 13:39:13 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * examples/CSD_Strategy/ThreadPool4/Foo.idl:
        * examples/CSD_Strategy/ThreadPool4/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool4/Foo_i.h:
        * examples/CSD_Strategy/ThreadPool5/Foo.idl:
        * examples/CSD_Strategy/ThreadPool5/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool5/Foo_i.h:

          Added exception raise to test_callback() in idl. This would fix the
          warnings on borland builds.

Wed Nov  9 10:20:05 USMST 2005  Yan Dai  <dai_y@ociweb.com>

        * performance-tests/CSD_Strategy/TestInf/csd_pt_testinf.mpc:

          Removed duplicated dependency on pi and codecfactory and removed
          dependency on interceptors since it's not needed and it makes the
          test library not built on minumum corba build.

Wed Nov  9 14:57:54 2005  Simon McQueen  <sm@prismtech.com>

        * tests/Bug_2289_Regression/Bug_2289_Regression.mpc:
        * tests/Bug_2289_Regression/MyInterfaceImpl.cpp:
        * tests/Bug_2289_Regression/MyInterfaceImpl.h:
        * tests/Bug_2289_Regression/README:
        * tests/Bug_2289_Regression/Test.idl:
        * tests/Bug_2289_Regression/client.cpp:

          Updated this test so it doesn't need handcrafted code.

        * tests/Bug_2289_Regression/MyStruct.idl:
        * tests/Bug_2289_Regression/MyStructC.cpp:
        * tests/Bug_2289_Regression/MyStructC.h:
        * tests/Bug_2289_Regression/MyStructC.inl:
        * tests/Bug_2289_Regression/MyStructS.cpp:
        * tests/Bug_2289_Regression/MyStructS.h:
        * tests/Bug_2289_Regression/MyStructS.inl:
        * tests/Bug_2289_Regression/MyStructS_T.cpp:
        * tests/Bug_2289_Regression/MyStructS_T.h:
        * tests/Bug_2289_Regression/MyStructS_T.inl:

          Removed these files. They are no longer needed.

Wed Nov  9 14:25:41 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/constants.idl:

          Reverted the change of

          Tue Nov  8 20:11:47 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

          since that constant value is being used to address an Intel compiler
          bug, and the value itself is a legal one. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for pointing this out.

Tue Nov  8 20:11:47 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/constants.idl:

          Changed the literal rhs for one of the constants
          to a value that won't challenge compilers that are not
          compliant with the ANSI/IEEE minimum positive value for
          double. This change should eliminate a warning on
          SuSE 9.3 ICC90.

Tue Nov  8 11:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2074_Regression/Bug_2074_Regression.mpc:
          Added minimum_corba as base project

Tue Nov  8 10:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Big_Request_Muxing/server.cpp:
          Slightly changed this server, when we directly have all expected
          messages then there is no need to wait for anymore. If we don't
          have all messages, we print how many we have and then we run
          the orb for another 5 seconds to see if we get extra messages

Tue Nov  8 10:25:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence.hpp:
          Reimplemented the copy constructor and implemented the assignment
          operator in terms of using the copy constructor

Tue Nov  8 10:01:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Makefile.am:
          Removed POA_Current.inl

Tue Nov  8 08:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_ut.cpp:
          Changed test_get_buffer_true_with_release_false to use
          a BOOST_CHECK to chekd that we correctly return a null pointer

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_ut.cpp:
          Trying to test the normal sequence behaviour and the special
          TAO optimization when TAO_NO_COPY_OCTET_SEQUENCES in one file
          will make things hard to maintain, this file now just tests
          the default behaviour, the special behaviour is now done in the
          new unit test listed below.

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp:
          New unit test file

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence.hpp:
          Fixed get_buffer()

        * tests/Sequence_Unit_Tests/Sequence_Unit_Tests.mpc:
        * tests/Sequence_Unit_Tests/run_test.pl:
          Added the new unit test

Tue Nov  8 08:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence.hpp:
          Specialization for unbounded octet sequences, enabled when
          TAO_NO_COPY_OCTET_SEQUENCES is defined to 1. This is not
          ready yet, but this way it is easier to share the code
          and build it on multiple systems

        * tests/Sequence_Unit_Tests/Unbounded_Octet.cpp:
          Include unbounded_octet_sequences.hpp

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_ut.cpp:
          Added a first extra test for when TAO_NO_COPY_OCTET_SEQUENCES
          is defined

Tue Nov  8 08:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/bounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/object_reference_sequence_element_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_element_ut.cpp:
        * tests/Sequence_Unit_Tests/testing_allocation_traits_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:
          Made these unit tests working with boost 1.33

        * tests/Sequence_Unit_Tests/unbounded_value_sequence.hpp:
          Enabled the explicit for the single argument constructor

        * tests/Sequence_Unit_Tests/run_test.pl:
          Reduced test time to 10 seconds, long enough

Tue Nov  8 08:02:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2287_Regression/ServerRequest_Interceptor2.cpp:
          Fixed compile error on Solaris

Mon Nov  7 16:25:38 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/CosEC_RtEC_Based_Mult.mpc
        * orbsvcs/tests/Notify/lib/Notify_lib.mpc
        * orbsvcs/tests/Security/Crash_Test/Security_Crash_Test.mpc
        * orbsvcs/tests/Security/MT_IIOP_SSL/MT_IIOP_SSL.mpc
        * orbsvcs/tests/Security/Secure_Invocation/Secure_Invocation.mpc
        * orbsvcs/tests/Trading/Trading.mpc
        * performance-tests/CSD_Strategy/TestInf/csd_pt_testinf.mpc

        Fixes for linking problems on OS X.

Mon Nov  7 12:07:44 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/POA_Current.h (POA_Current):

          Re-exported this class.  Unfortunately, some other TAO libraries
          make direct calls on this class.  Addresses unresolved symbol
          errors.

        * tao/PortableServer/POA_Current.inl:

          Removed this unused file.

Mon Nov  7 19:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_value_sequence_ut.cpp:
          Extended test_get_buffer_true_with_release_true test

Mon Nov  7 08:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Primary_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.cpp:
        * orbsvcs/tests/Notify/lib/EventChannel_Command.cpp:
          Fixed warning in MinGW build

Mon Nov  7 08:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/Thread_Pool.{h,inl}:
          Don't export TAO_Thread_Pool_Threads and removed
          threads accessor it exposes internal data
          and current_threads modifier which just is invalid todo

Mon Nov  7 00:54:58 MST 2005  Yan Dai  <dai_y@ociweb.com>

        * examples/CSD_Strategy/ThreadPool4/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool5/Foo_i.cpp:

          Fixed warnings that complains mis-use of throw expression.

Sun Nov  6 14:34:51 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/field_ch.cpp:
        * TAO_IDLbe/be_visitor_valuetype/field_cs.cpp:

          Made the generated signature of member mutators
          consistent with IN parameter semantics.

Sat Nov  5 01:43:59 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PI/ClientRequestInfo.h (TAO_ClientRequestInfo):

          Re-exported this class.  TAO's FT client side requires access to
          it.

Fri Nov  4 11:57:12 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Versioned_Namespace.h:

          Added TAO_ORBCONF_H include/define sanity check.

        * tao/Utils/Synch_Refcountable.h:

          Include "tao/Versioned_Namespace.h" to pull in versioned
          namespace macros.

Fri Nov  4 10:31:15 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/SmartProxies/Smart_Proxies.h:
        * tao/SmartProxies/Smart_Proxies.inl:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Acceptor.h:
        * tao/Strategies/DIOP_Acceptor.i:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connection_Handler.h:
        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Connector.h:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * tao/Strategies/DIOP_Endpoint.h:
        * tao/Strategies/DIOP_Endpoint.i:
        * tao/Strategies/DIOP_Factory.cpp:
        * tao/Strategies/DIOP_Factory.h:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/DIOP_Profile.h:
        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/DIOP_Transport.h:
        * tao/Strategies/FIFO_Connection_Purging_Strategy.cpp:
        * tao/Strategies/FIFO_Connection_Purging_Strategy.h:
        * tao/Strategies/LFU_Connection_Purging_Strategy.cpp:
        * tao/Strategies/LFU_Connection_Purging_Strategy.h:
        * tao/Strategies/LF_Strategy_Null.cpp:
        * tao/Strategies/LF_Strategy_Null.h:
        * tao/Strategies/NULL_Connection_Purging_Strategy.cpp:
        * tao/Strategies/NULL_Connection_Purging_Strategy.h:
        * tao/Strategies/SCIOP_Acceptor.cpp:
        * tao/Strategies/SCIOP_Acceptor.h:
        * tao/Strategies/SCIOP_Acceptor.i:
        * tao/Strategies/SCIOP_Connection_Handler.cpp:
        * tao/Strategies/SCIOP_Connection_Handler.h:
        * tao/Strategies/SCIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Connector.h:
        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Strategies/SCIOP_Endpoint.h:
        * tao/Strategies/SCIOP_Endpoint.i:
        * tao/Strategies/SCIOP_Factory.cpp:
        * tao/Strategies/SCIOP_Factory.h:
        * tao/Strategies/SCIOP_Lite_Factory.cpp:
        * tao/Strategies/SCIOP_Lite_Factory.h:
        * tao/Strategies/SCIOP_Profile.cpp:
        * tao/Strategies/SCIOP_Profile.h:
        * tao/Strategies/SCIOP_Transport.cpp:
        * tao/Strategies/SCIOP_Transport.h:
        * tao/Strategies/SHMIOP_Acceptor.cpp:
        * tao/Strategies/SHMIOP_Acceptor.h:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.h:
        * tao/Strategies/SHMIOP_Connector.cpp:
        * tao/Strategies/SHMIOP_Connector.h:
        * tao/Strategies/SHMIOP_Endpoint.cpp:
        * tao/Strategies/SHMIOP_Endpoint.h:
        * tao/Strategies/SHMIOP_Endpoint.i:
        * tao/Strategies/SHMIOP_Factory.cpp:
        * tao/Strategies/SHMIOP_Factory.h:
        * tao/Strategies/SHMIOP_Profile.cpp:
        * tao/Strategies/SHMIOP_Profile.h:
        * tao/Strategies/SHMIOP_Transport.cpp:
        * tao/Strategies/SHMIOP_Transport.h:
        * tao/Strategies/UIOP_Acceptor.cpp:
        * tao/Strategies/UIOP_Acceptor.h:
        * tao/Strategies/UIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Connection_Handler.h:
        * tao/Strategies/UIOP_Connector.cpp:
        * tao/Strategies/UIOP_Connector.h:
        * tao/Strategies/UIOP_Endpoint.cpp:
        * tao/Strategies/UIOP_Endpoint.h:
        * tao/Strategies/UIOP_Endpoint.i:
        * tao/Strategies/UIOP_Factory.cpp:
        * tao/Strategies/UIOP_Factory.h:
        * tao/Strategies/UIOP_Lite_Factory.cpp:
        * tao/Strategies/UIOP_Lite_Factory.h:
        * tao/Strategies/UIOP_Profile.cpp:
        * tao/Strategies/UIOP_Profile.h:
        * tao/Strategies/UIOP_Transport.cpp:
        * tao/Strategies/UIOP_Transport.h:
        * tao/Strategies/advanced_resource.cpp:
        * tao/Strategies/advanced_resource.h:
        * tao/TypeCodeFactory/Recursive_TypeCode.cpp:
        * tao/TypeCodeFactory/Recursive_TypeCode.h:
        * tao/TypeCodeFactory/Recursive_TypeCode.inl:
        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.h:
        * tao/TypeCodeFactory/TypeCodeFactory_Loader.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_Loader.h:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_i.h:
        * tao/Utils/Encodable.cpp:
        * tao/Utils/Encodable.h:
        * tao/Utils/Implicit_Deactivator.cpp:
        * tao/Utils/Implicit_Deactivator.h:
        * tao/Utils/ORB_Destroyer.cpp:
        * tao/Utils/ORB_Destroyer.h:
        * tao/Utils/ORB_Manager.cpp:
        * tao/Utils/ORB_Manager.h:
        * tao/Utils/PolicyList_Destroyer.cpp:
        * tao/Utils/PolicyList_Destroyer.inl:
        * tao/Utils/RIR_Narrow.cpp:
        * tao/Utils/RIR_Narrow.h:
        * tao/Utils/Servant_Var.h:
        * tao/Utils/Servant_Var.inl:
        * tao/Utils/Synch_Refcountable.cpp:
        * tao/Utils/Synch_Refcountable.h:
        * tao/Utils/Synch_Refcountable.inl:
        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/AbstractBase.inl:
        * tao/Valuetype/AbstractBase_Invocation_Adapter.cpp:
        * tao/Valuetype/AbstractBase_Invocation_Adapter.h:
        * tao/Valuetype/AbstractBase_T.cpp:
        * tao/Valuetype/AbstractBase_T.h:
        * tao/Valuetype/Sequence_T.cpp:
        * tao/Valuetype/Sequence_T.h:
        * tao/Valuetype/Sequence_T.inl:
        * tao/Valuetype/ValueBase.cpp:
        * tao/Valuetype/ValueBase.h:
        * tao/Valuetype/ValueBase.inl:
        * tao/Valuetype/ValueFactory.cpp:
        * tao/Valuetype/ValueFactory.h:
        * tao/Valuetype/ValueFactory_Map.cpp:
        * tao/Valuetype/ValueFactory_Map.h:
        * tao/Valuetype/Value_CORBA_methods.h:
        * tao/Valuetype/Value_VarOut_T.cpp:
        * tao/Valuetype/Value_VarOut_T.h:
        * tao/Valuetype/Valuetype_Adapter_Impl.cpp:
        * tao/Valuetype/Valuetype_Adapter_Impl.h:

          Added remaining core TAO library versioned namespace support.

Fri Nov  4 10:13:43 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/RTScheduling/Request_Interceptor.h (Client_Interceptor):

          Re-exported this class.  The export declaration was
          inadvertently removed.

Fri Nov  4 08:59:36 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/ORB_Core.i (add_tss_cleanup_func):
        * tao/ORB_Core.cpp (add_tss_cleanup_func):

          Moved this method out of line.  Allows the
          TAO_Cleanup_Func_Registry class to remain unexported from the
          TAO DLL.

        * tao/AnyTypeCode/TypeCode_Constants.h (_tc_UnknownUserException):

          Removed this forward declaration.  It's DLL linkage ends up
          differing from the same declaration in the DynamicInterface
          library.  Addresses "inconsistent dll linkage" warnings from
          VC++.

        * tao/PortableServer/POA_Current_Impl.h (POA_Current_Impl):

          Re-exported this class.  Unfortunately, some other TAO libraries
          make direct calls on this class.  Addresses unresolved symbol
          errors.

Fri Nov  4 16:56:06 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/field_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/field_cs.cpp:

          Added a 'const' qualifier to the generated member mutator
          argument for array member types, since this arguement has
          the same semantics as an 'in' operation argument.

        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:
        * TAO_IDL/be_include/be_visitor_valuetype/valuetype_obv_cs.h:

          Change generation of the initializing constructor definition to
          simply call the corresponding member mutators in the constructor
          body. This change allows reuse of the copy semantics already
          generated in the various member mutator methods, and as a side
          effect, avoids a VC6 compiler bug that complained when we had
          a call to the base class initializing constructor in the
          derived constructor's initialization list.

Thu Nov  3 22:17:27 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * performance-tests/Cubit/TAO/DII_Cubit/client.cpp:
        * performance-tests/Latency/DII/client.cpp:
        * performance-tests/Latency/DSI/Roundtrip.cpp:
        * performance-tests/Latency/Deferred/client.cpp:
        * performance-tests/Sequence_Latency/DII/client.cpp:
        * performance-tests/Sequence_Latency/DSI/Roundtrip.cpp:
        * performance-tests/Sequence_Latency/Deferred/client.cpp:
        * tests/CDR/tc.cpp:
        * tests/DynAny_Test/data.h:
        * tests/Portable_Interceptors/IORInterceptor/FOO_ClientRequestInterceptor.cpp:

          Include "TypeCode_Constants.h" instead of
          "TC_Constants_Forward.h".  The latter is deprecated.

Thu Nov  3 22:06:44 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/AnyTypeCode/TC_Constants_Forward.h:

          Reintroduced this header as a backward compatibility header that
          includes "tao/AnyTypeCode/TypeCode_Constants.h".

Thu Nov  3 19:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2084_Regression/Hello.cpp:
          Fixed variable not used warning

Thu Nov  3 12:17:09 MST 2005  Yan Dai  <dai_y@ociweb.com>

        * tao/CSD_Framework.mpc:

          Removed interceptor as the base project since it's not needed.

Thu Nov  3 09:26:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Concurrency/Concurrency_Loader.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.h:
        * orbsvcs/orbsvcs/Event/EC_And_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Bitmask_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Conjunction_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Disjunction_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Group_Scheduling.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Scheduling.h:
        * orbsvcs/orbsvcs/Event/EC_Masked_Type_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Negation_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Null_Scheduling.h:
        * orbsvcs/orbsvcs/Event/EC_Priority_Scheduling.h:
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Type_Filter.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Loader.h:
        * orbsvcs/orbsvcs/Naming/Naming_Loader.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Acceptor_Registry.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Invocation_Interceptor.cpp:
        * orbsvcs/orbsvcs/Sched/DynSched.h:
        * orbsvcs/orbsvcs/Sched/Scheduler.h:
        * orbsvcs/orbsvcs/Sched/Scheduler_Generic.h:
        * orbsvcs/orbsvcs/Sched/Strategy_Scheduler.h:
        * orbsvcs/orbsvcs/Security/Security_Current.h:
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.h:
        * orbsvcs/orbsvcs/Trader/Trading_Loader.h:

          Removed unnecessary uses of ACE_UNIMPLEMENTED_FUNC macro.  It is
          only meant to be used for private unimplemented member functions
          in class templates.

        * tao/Collocated_Invocation.h:
        * tao/Connector_Registry.h:
        * tao/Object_Ref_Table.h:
        * tao/PolicyFactory_Registry_Factory.cpp:
        * tao/PolicyFactory_Registry_Factory.h:
        * tao/Profile.h:
        * tao/Resource_Factory.h:
        * tao/Stub.h:
        * tao/TSS_Resources.h:
        * tao/Transport.h:
        * tao/Wait_On_LF_No_Upcall.cpp:
        * tao/AnyTypeCode/Alias_TypeCode.cpp:
        * tao/AnyTypeCode/Alias_TypeCode.h:
        * tao/AnyTypeCode/Alias_TypeCode.inl:
        * tao/AnyTypeCode/Alias_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Alias_TypeCode_Static.h:
        * tao/AnyTypeCode/Alias_TypeCode_Static.inl:
        * tao/AnyTypeCode/Any.cpp:
        * tao/AnyTypeCode/Any.h:
        * tao/AnyTypeCode/Any.inl:
        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.cpp:
        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.h:
        * tao/AnyTypeCode/AnyTypeCode_methods.h:
        * tao/AnyTypeCode/Any_Arg_Traits.h:
        * tao/AnyTypeCode/Any_Array_Impl_T.cpp:
        * tao/AnyTypeCode/Any_Array_Impl_T.h:
        * tao/AnyTypeCode/Any_Array_Impl_T.inl:
        * tao/AnyTypeCode/Any_Basic_Impl.cpp:
        * tao/AnyTypeCode/Any_Basic_Impl.h:
        * tao/AnyTypeCode/Any_Basic_Impl_T.cpp:
        * tao/AnyTypeCode/Any_Basic_Impl_T.h:
        * tao/AnyTypeCode/Any_Basic_Impl_T.inl:
        * tao/AnyTypeCode/Any_Dual_Impl_T.cpp:
        * tao/AnyTypeCode/Any_Dual_Impl_T.h:
        * tao/AnyTypeCode/Any_Dual_Impl_T.inl:
        * tao/AnyTypeCode/Any_Impl.cpp:
        * tao/AnyTypeCode/Any_Impl.h:
        * tao/AnyTypeCode/Any_Impl_T.cpp:
        * tao/AnyTypeCode/Any_Special_Impl_T.cpp:
        * tao/AnyTypeCode/Any_Special_Impl_T.h:
        * tao/AnyTypeCode/Any_Special_Impl_T.inl:
        * tao/AnyTypeCode/Any_SystemException.cpp:
        * tao/AnyTypeCode/Any_SystemException.h:
        * tao/AnyTypeCode/Any_Unknown_IDL_Type.cpp:
        * tao/AnyTypeCode/Any_Unknown_IDL_Type.h:
        * tao/AnyTypeCode/Empty_Param_TypeCode.cpp:
        * tao/AnyTypeCode/Empty_Param_TypeCode.h:
        * tao/AnyTypeCode/Empty_Param_TypeCode.inl:
        * tao/AnyTypeCode/Enum_TypeCode.cpp:
        * tao/AnyTypeCode/Enum_TypeCode.h:
        * tao/AnyTypeCode/Enum_TypeCode.inl:
        * tao/AnyTypeCode/Enum_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Enum_TypeCode_Static.h:
        * tao/AnyTypeCode/Enum_TypeCode_Static.inl:
        * tao/AnyTypeCode/Fixed_TypeCode.cpp:
        * tao/AnyTypeCode/Fixed_TypeCode.h:
        * tao/AnyTypeCode/Fixed_TypeCode.inl:
        * tao/AnyTypeCode/Marshal.cpp:
        * tao/AnyTypeCode/Marshal.h:
        * tao/AnyTypeCode/Marshal.inl:
        * tao/AnyTypeCode/NVList.cpp:
        * tao/AnyTypeCode/NVList.h:
        * tao/AnyTypeCode/NVList.inl:
        * tao/AnyTypeCode/NVList_Adapter_Impl.cpp:
        * tao/AnyTypeCode/NVList_Adapter_Impl.h:
        * tao/AnyTypeCode/Null_RefCount_Policy.h:
        * tao/AnyTypeCode/Objref_TypeCode.cpp:
        * tao/AnyTypeCode/Objref_TypeCode.h:
        * tao/AnyTypeCode/Objref_TypeCode.inl:
        * tao/AnyTypeCode/Objref_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Objref_TypeCode_Static.h:
        * tao/AnyTypeCode/Objref_TypeCode_Static.inl:
        * tao/AnyTypeCode/Recursive_Type_TypeCode.cpp:
        * tao/AnyTypeCode/Recursive_Type_TypeCode.h:
        * tao/AnyTypeCode/Recursive_Type_TypeCode.inl:
        * tao/AnyTypeCode/RefCount_Policy_Traits.h:
        * tao/AnyTypeCode/Sequence_TypeCode.cpp:
        * tao/AnyTypeCode/Sequence_TypeCode.h:
        * tao/AnyTypeCode/Sequence_TypeCode.inl:
        * tao/AnyTypeCode/Sequence_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Sequence_TypeCode_Static.h:
        * tao/AnyTypeCode/Sequence_TypeCode_Static.inl:
        * tao/AnyTypeCode/String_TypeCode.cpp:
        * tao/AnyTypeCode/String_TypeCode.h:
        * tao/AnyTypeCode/String_TypeCode.inl:
        * tao/AnyTypeCode/String_TypeCode_Static.cpp:
        * tao/AnyTypeCode/String_TypeCode_Static.h:
        * tao/AnyTypeCode/String_TypeCode_Static.inl:
        * tao/AnyTypeCode/Struct_TypeCode.cpp:
        * tao/AnyTypeCode/Struct_TypeCode.h:
        * tao/AnyTypeCode/Struct_TypeCode.inl:
        * tao/AnyTypeCode/Struct_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Struct_TypeCode_Static.h:
        * tao/AnyTypeCode/Struct_TypeCode_Static.inl:
        * tao/AnyTypeCode/True_RefCount_Policy.cpp:
        * tao/AnyTypeCode/True_RefCount_Policy.h:
        * tao/AnyTypeCode/True_RefCount_Policy.inl:
        * tao/AnyTypeCode/TypeCode.cpp:
        * tao/AnyTypeCode/TypeCode.h:
        * tao/AnyTypeCode/TypeCode.inl:
        * tao/AnyTypeCode/TypeCode_Base_Attributes.h:
        * tao/AnyTypeCode/TypeCode_Base_Attributes.inl:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.h:
        * tao/AnyTypeCode/TypeCode_Case_Base_T.cpp:
        * tao/AnyTypeCode/TypeCode_Case_Base_T.h:
        * tao/AnyTypeCode/TypeCode_Case_Base_T.inl:
        * tao/AnyTypeCode/TypeCode_Case_T.cpp:
        * tao/AnyTypeCode/TypeCode_Case_T.h:
        * tao/AnyTypeCode/TypeCode_Case_T.inl:
        * tao/AnyTypeCode/TypeCode_Constants.h:
        * tao/AnyTypeCode/TypeCode_Struct_Field.h:
        * tao/AnyTypeCode/TypeCode_Traits.h:
        * tao/AnyTypeCode/TypeCode_Value_Field.h:
        * tao/AnyTypeCode/Union_TypeCode.cpp:
        * tao/AnyTypeCode/Union_TypeCode.h:
        * tao/AnyTypeCode/Union_TypeCode.inl:
        * tao/AnyTypeCode/Union_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Union_TypeCode_Static.h:
        * tao/AnyTypeCode/Union_TypeCode_Static.inl:
        * tao/AnyTypeCode/Value_TypeCode.cpp:
        * tao/AnyTypeCode/Value_TypeCode.h:
        * tao/AnyTypeCode/Value_TypeCode.inl:
        * tao/AnyTypeCode/Value_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Value_TypeCode_Static.h:
        * tao/AnyTypeCode/Value_TypeCode_Static.inl:
        * tao/AnyTypeCode/append.cpp:
        * tao/AnyTypeCode/skip.cpp:
        * tao/BiDir_GIOP/BiDirGIOP.cpp:
        * tao/BiDir_GIOP/BiDirGIOP.h:
        * tao/BiDir_GIOP/BiDirPolicy_Validator.cpp:
        * tao/BiDir_GIOP/BiDirPolicy_Validator.h:
        * tao/BiDir_GIOP/BiDir_ORBInitializer.cpp:
        * tao/BiDir_GIOP/BiDir_ORBInitializer.h:
        * tao/BiDir_GIOP/BiDir_PolicyFactory.cpp:
        * tao/BiDir_GIOP/BiDir_PolicyFactory.h:
        * tao/BiDir_GIOP/BiDir_Policy_i.cpp:
        * tao/BiDir_GIOP/BiDir_Policy_i.h:
        * tao/CSD_Framework/CSD_Default_Servant_Dispatcher.cpp:
        * tao/CSD_Framework/CSD_Default_Servant_Dispatcher.h:
        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:
        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.h:
        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.inl:
        * tao/CSD_Framework/CSD_Framework_Loader.cpp:
        * tao/CSD_Framework/CSD_Framework_Loader.h:
        * tao/CSD_Framework/CSD_ORBInitializer.cpp:
        * tao/CSD_Framework/CSD_ORBInitializer.h:
        * tao/CSD_Framework/CSD_Object_Adapter.cpp:
        * tao/CSD_Framework/CSD_Object_Adapter.h:
        * tao/CSD_Framework/CSD_Object_Adapter_Factory.cpp:
        * tao/CSD_Framework/CSD_Object_Adapter_Factory.h:
        * tao/CSD_Framework/CSD_POA.cpp:
        * tao/CSD_Framework/CSD_POA.h:
        * tao/CSD_Framework/CSD_POA.inl:
        * tao/CSD_Framework/CSD_Strategy_Base.cpp:
        * tao/CSD_Framework/CSD_Strategy_Base.h:
        * tao/CSD_Framework/CSD_Strategy_Base.inl:
        * tao/CSD_Framework/CSD_Strategy_Proxy.cpp:
        * tao/CSD_Framework/CSD_Strategy_Proxy.h:
        * tao/CSD_Framework/CSD_Strategy_Proxy.inl:
        * tao/CSD_Framework/CSD_Strategy_Repository.cpp:
        * tao/CSD_Framework/CSD_Strategy_Repository.h:
        * tao/CSD_ThreadPool/CSD_TP_Cancel_Visitor.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Cancel_Visitor.h:
        * tao/CSD_ThreadPool/CSD_TP_Cancel_Visitor.inl:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Asynch_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Asynch_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Asynch_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Synch_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Synch_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Synch_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Synch_With_Server_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Synch_With_Server_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Collocated_Synch_With_Server_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Corba_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Corba_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Corba_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Asynch_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Asynch_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Asynch_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Request_Operation.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Request_Operation.h:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Request_Operation.inl:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Synch_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Synch_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Custom_Synch_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Dispatchable_Visitor.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Dispatchable_Visitor.h:
        * tao/CSD_ThreadPool/CSD_TP_Dispatchable_Visitor.inl:
        * tao/CSD_ThreadPool/CSD_TP_Queue.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Queue.h:
        * tao/CSD_ThreadPool/CSD_TP_Queue.inl:
        * tao/CSD_ThreadPool/CSD_TP_Queue_Visitor.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Queue_Visitor.h:
        * tao/CSD_ThreadPool/CSD_TP_Queue_Visitor.inl:
        * tao/CSD_ThreadPool/CSD_TP_Remote_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Remote_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Remote_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Request.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Request.h:
        * tao/CSD_ThreadPool/CSD_TP_Request.inl:
        * tao/CSD_ThreadPool/CSD_TP_Servant_State.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Servant_State.h:
        * tao/CSD_ThreadPool/CSD_TP_Servant_State.inl:
        * tao/CSD_ThreadPool/CSD_TP_Servant_State_Map.h:
        * tao/CSD_ThreadPool/CSD_TP_Servant_State_Map.inl:
        * tao/CSD_ThreadPool/CSD_TP_Strategy.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Strategy.h:
        * tao/CSD_ThreadPool/CSD_TP_Strategy.inl:
        * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.h:
        * tao/CSD_ThreadPool/CSD_TP_Synch_Helper.h:
        * tao/CSD_ThreadPool/CSD_TP_Synch_Helper.inl:
        * tao/CSD_ThreadPool/CSD_TP_Task.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Task.h:
        * tao/CSD_ThreadPool/CSD_TP_Task.inl:
        * tao/CSD_ThreadPool/CSD_ThreadPool.cpp:
        * tao/CSD_ThreadPool/CSD_ThreadPool.h:
        * tao/CodecFactory/CDR_Encaps_Codec.cpp:
        * tao/CodecFactory/CDR_Encaps_Codec.h:
        * tao/CodecFactory/CodecFactory.cpp:
        * tao/CodecFactory/CodecFactory.h:
        * tao/CodecFactory/CodecFactory_impl.cpp:
        * tao/CodecFactory/CodecFactory_impl.h:
        * tao/Codeset/Codeset.cpp:
        * tao/Codeset/Codeset.h:
        * tao/Codeset/Codeset_Descriptor.cpp:
        * tao/Codeset/Codeset_Descriptor.h:
        * tao/Codeset/Codeset_Manager_Factory.cpp:
        * tao/Codeset/Codeset_Manager_Factory.h:
        * tao/Codeset/Codeset_Manager_i.cpp:
        * tao/Codeset/Codeset_Manager_i.h:
        * tao/Codeset/Codeset_Translator_Factory.cpp:
        * tao/Codeset/Codeset_Translator_Factory.h:
        * tao/Codeset/Codeset_Translator_Factory_T.cpp:
        * tao/Codeset/Codeset_Translator_Factory_T.h:
        * tao/Codeset/UTF16_BOM_Factory.cpp:
        * tao/Codeset/UTF16_BOM_Factory.h:
        * tao/Codeset/UTF16_BOM_Translator.cpp:
        * tao/Codeset/UTF16_BOM_Translator.h:
        * tao/Codeset/UTF8_Latin1_Factory.cpp:
        * tao/Codeset/UTF8_Latin1_Factory.h:
        * tao/Codeset/UTF8_Latin1_Translator.cpp:
        * tao/Codeset/UTF8_Latin1_Translator.h:
        * tao/DynamicAny/DynAnyFactory.cpp:
        * tao/DynamicAny/DynAnyFactory.h:
        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynAny_i.h:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynArray_i.h:
        * tao/DynamicAny/DynCommon.cpp:
        * tao/DynamicAny/DynCommon.h:
        * tao/DynamicAny/DynEnum_i.cpp:
        * tao/DynamicAny/DynEnum_i.h:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynSequence_i.h:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynStruct_i.h:
        * tao/DynamicAny/DynUnion_i.cpp:
        * tao/DynamicAny/DynUnion_i.h:
        * tao/DynamicAny/DynamicAny.cpp:
        * tao/DynamicAny/DynamicAny.h:
        * tao/DynamicInterface/Context.cpp:
        * tao/DynamicInterface/Context.h:
        * tao/DynamicInterface/Context.inl:
        * tao/DynamicInterface/DII_Arguments.cpp:
        * tao/DynamicInterface/DII_Arguments.h:
        * tao/DynamicInterface/DII_Arguments.inl:
        * tao/DynamicInterface/DII_CORBA_methods.h:
        * tao/DynamicInterface/DII_Invocation.cpp:
        * tao/DynamicInterface/DII_Invocation.h:
        * tao/DynamicInterface/DII_Invocation_Adapter.h:
        * tao/DynamicInterface/DII_Reply_Dispatcher.cpp:
        * tao/DynamicInterface/DII_Reply_Dispatcher.h:
        * tao/DynamicInterface/Dynamic_Adapter_Impl.cpp:
        * tao/DynamicInterface/Dynamic_Adapter_Impl.h:
        * tao/DynamicInterface/Dynamic_Implementation.cpp:
        * tao/DynamicInterface/Dynamic_Implementation.h:
        * tao/DynamicInterface/ExceptionList.cpp:
        * tao/DynamicInterface/ExceptionList.h:
        * tao/DynamicInterface/ExceptionList.inl:
        * tao/DynamicInterface/Request.cpp:
        * tao/DynamicInterface/Request.h:
        * tao/DynamicInterface/Request.inl:
        * tao/DynamicInterface/Server_Request.cpp:
        * tao/DynamicInterface/Server_Request.h:
        * tao/DynamicInterface/Server_Request.inl:
        * tao/DynamicInterface/Unknown_User_Exception.cpp:
        * tao/DynamicInterface/Unknown_User_Exception.h:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.cpp:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.h:
        * tao/IORInterceptor/IORInfo.cpp:
        * tao/IORInterceptor/IORInfo.h:
        * tao/IORInterceptor/IORInfo.inl:
        * tao/IORInterceptor/IORInterceptor_Adapter_Factory_Impl.cpp:
        * tao/IORInterceptor/IORInterceptor_Adapter_Factory_Impl.h:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.h:
        * tao/IORManipulation/IORManip_Loader.cpp:
        * tao/IORManipulation/IORManip_Loader.h:
        * tao/IORManipulation/IORManipulation.cpp:
        * tao/IORManipulation/IORManipulation.h:
        * tao/IORTable/IORTable.cpp:
        * tao/IORTable/IORTable.h:
        * tao/IORTable/IOR_Table_Impl.cpp:
        * tao/IORTable/IOR_Table_Impl.h:
        * tao/IORTable/Table_Adapter.cpp:
        * tao/IORTable/Table_Adapter.h:
        * tao/ImR_Client/ImR_Client.cpp:
        * tao/ImR_Client/ImR_Client.h:
        * tao/ImR_Client/ServerObject_i.cpp:
        * tao/ImR_Client/ServerObject_i.h:
        * tao/Messaging/AMH_Response_Handler.cpp:
        * tao/Messaging/AMH_Response_Handler.h:
        * tao/Messaging/Asynch_Invocation.cpp:
        * tao/Messaging/Asynch_Invocation.h:
        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
        * tao/Messaging/Asynch_Invocation_Adapter.h:
        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.h:
        * tao/Messaging/Asynch_Timeout_Handler.cpp:
        * tao/Messaging/Asynch_Timeout_Handler.h:
        * tao/Messaging/Connection_Timeout_Policy_i.cpp:
        * tao/Messaging/Connection_Timeout_Policy_i.h:
        * tao/Messaging/ExceptionHolder_i.cpp:
        * tao/Messaging/ExceptionHolder_i.h:
        * tao/Messaging/Messaging.cpp:
        * tao/Messaging/Messaging.h:
        * tao/Messaging/Messaging_Loader.cpp:
        * tao/Messaging/Messaging_Loader.h:
        * tao/Messaging/Messaging_ORBInitializer.cpp:
        * tao/Messaging/Messaging_ORBInitializer.h:
        * tao/Messaging/Messaging_PolicyFactory.cpp:
        * tao/Messaging/Messaging_PolicyFactory.h:
        * tao/Messaging/Messaging_Policy_i.cpp:
        * tao/Messaging/Messaging_Policy_i.h:
        * tao/Messaging/Messaging_Policy_i.i:
        * tao/ObjRefTemplate/ORT_Adapter_Factory_Impl.cpp:
        * tao/ObjRefTemplate/ORT_Adapter_Factory_Impl.h:
        * tao/ObjRefTemplate/ORT_Adapter_Impl.cpp:
        * tao/ObjRefTemplate/ORT_Adapter_Impl.h:
        * tao/ObjRefTemplate/ObjectReferenceTemplate_i.cpp:
        * tao/ObjRefTemplate/ObjectReferenceTemplate_i.h:
        * tao/PI/ClientRequestInfo.cpp:
        * tao/PI/ClientRequestInfo.h:
        * tao/PI/ClientRequestInterceptor_Adapter_Impl.cpp:
        * tao/PI/ClientRequestInterceptor_Adapter_Impl.h:
        * tao/PI/ClientRequestInterceptor_Adapter_Impl.inl:
        * tao/PI/ClientRequestInterceptor_Factory_Impl.cpp:
        * tao/PI/ClientRequestInterceptor_Factory_Impl.h:
        * tao/PI/Interceptor_List_T.cpp:
        * tao/PI/Interceptor_List_T.h:
        * tao/PI/ORBInitInfo.cpp:
        * tao/PI/ORBInitInfo.h:
        * tao/PI/ORBInitInfo.inl:
        * tao/PI/ORBInitializer_Registry_Impl.cpp:
        * tao/PI/ORBInitializer_Registry_Impl.h:
        * tao/PI/PI.cpp:
        * tao/PI/PI.h:
        * tao/PI/PICurrent.cpp:
        * tao/PI/PICurrent.h:
        * tao/PI/PICurrent.inl:
        * tao/PI/PICurrent_Copy_Callback.cpp:
        * tao/PI/PICurrent_Copy_Callback.h:
        * tao/PI/PICurrent_Impl.cpp:
        * tao/PI/PICurrent_Impl.h:
        * tao/PI/PICurrent_Impl.inl:
        * tao/PI/PICurrent_Loader.cpp:
        * tao/PI/PICurrent_Loader.h:
        * tao/PI/PolicyFactory_Loader.cpp:
        * tao/PI/PolicyFactory_Loader.h:
        * tao/PI/PolicyFactory_Registry.cpp:
        * tao/PI/PolicyFactory_Registry.h:
        * tao/PI/RequestInfo_Util.cpp:
        * tao/PI/RequestInfo_Util.h:
        * tao/PI_Server/PICurrent_Guard.cpp:
        * tao/PI_Server/PICurrent_Guard.h:
        * tao/PI_Server/PI_Server.cpp:
        * tao/PI_Server/PI_Server.h:
        * tao/PI_Server/PI_Server_Loader.cpp:
        * tao/PI_Server/PI_Server_Loader.h:
        * tao/PI_Server/Policy_Creator_T.h:
        * tao/PI_Server/PortableServer_ORBInitializer.cpp:
        * tao/PI_Server/PortableServer_ORBInitializer.h:
        * tao/PI_Server/PortableServer_PolicyFactory.cpp:
        * tao/PI_Server/PortableServer_PolicyFactory.h:
        * tao/PI_Server/ServerInterceptorAdapter.cpp:
        * tao/PI_Server/ServerInterceptorAdapter.h:
        * tao/PI_Server/ServerRequestInfo.cpp:
        * tao/PI_Server/ServerRequestInfo.h:
        * tao/PI_Server/ServerRequestInfo.inl:
        * tao/PI_Server/ServerRequestInterceptor_Factory_Impl.cpp:
        * tao/PI_Server/ServerRequestInterceptor_Factory_Impl.h:
        * tao/PortableServer/Active_Object_Map.cpp:
        * tao/PortableServer/Active_Object_Map.h:
        * tao/PortableServer/Active_Object_Map.i:
        * tao/PortableServer/Active_Object_Map_Entry.cpp:
        * tao/PortableServer/Active_Object_Map_Entry.h:
        * tao/PortableServer/Active_Policy_Strategies.cpp:
        * tao/PortableServer/Active_Policy_Strategies.h:
        * tao/PortableServer/Active_Policy_Strategies.inl:
        * tao/PortableServer/Adapter_Activator.cpp:
        * tao/PortableServer/Adapter_Activator.h:
        * tao/PortableServer/Any_SArg_Traits.h:
        * tao/PortableServer/BD_String_SArgument_T.cpp:
        * tao/PortableServer/BD_String_SArgument_T.h:
        * tao/PortableServer/BD_String_SArgument_T.inl:
        * tao/PortableServer/Basic_SArgument_T.cpp:
        * tao/PortableServer/Basic_SArgument_T.h:
        * tao/PortableServer/Basic_SArgument_T.inl:
        * tao/PortableServer/Basic_SArguments.h:
        * tao/PortableServer/Collocated_Object_Proxy_Broker.cpp:
        * tao/PortableServer/Collocated_Object_Proxy_Broker.h:
        * tao/PortableServer/Creation_Time.h:
        * tao/PortableServer/Creation_Time.inl:
        * tao/PortableServer/Default_Acceptor_Filter.cpp:
        * tao/PortableServer/Default_Acceptor_Filter.h:
        * tao/PortableServer/Default_Policy_Validator.cpp:
        * tao/PortableServer/Default_Policy_Validator.h:
        * tao/PortableServer/Default_Servant_Dispatcher.cpp:
        * tao/PortableServer/Default_Servant_Dispatcher.h:
        * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.cpp:
        * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.h:
        * tao/PortableServer/Fixed_Array_SArgument_T.cpp:
        * tao/PortableServer/Fixed_Array_SArgument_T.h:
        * tao/PortableServer/Fixed_Array_SArgument_T.inl:
        * tao/PortableServer/Fixed_Size_SArgument_T.cpp:
        * tao/PortableServer/Fixed_Size_SArgument_T.h:
        * tao/PortableServer/Fixed_Size_SArgument_T.inl:
        * tao/PortableServer/IdAssignmentPolicy.cpp:
        * tao/PortableServer/IdAssignmentPolicy.h:
        * tao/PortableServer/IdAssignmentStrategy.cpp:
        * tao/PortableServer/IdAssignmentStrategy.h:
        * tao/PortableServer/IdAssignmentStrategyFactory.h:
        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.h:
        * tao/PortableServer/IdAssignmentStrategySystem.cpp:
        * tao/PortableServer/IdAssignmentStrategySystem.h:
        * tao/PortableServer/IdAssignmentStrategyUser.cpp:
        * tao/PortableServer/IdAssignmentStrategyUser.h:
        * tao/PortableServer/IdUniquenessPolicy.cpp:
        * tao/PortableServer/IdUniquenessPolicy.h:
        * tao/PortableServer/IdUniquenessStrategy.h:
        * tao/PortableServer/IdUniquenessStrategyFactory.h:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.h:
        * tao/PortableServer/IdUniquenessStrategyMultiple.cpp:
        * tao/PortableServer/IdUniquenessStrategyMultiple.h:
        * tao/PortableServer/IdUniquenessStrategyUnique.cpp:
        * tao/PortableServer/IdUniquenessStrategyUnique.h:
        * tao/PortableServer/IdUniquenessStrategyUniqueFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyUniqueFactoryImpl.h:
        * tao/PortableServer/ImR_Client_Adapter.cpp:
        * tao/PortableServer/ImR_Client_Adapter.h:
        * tao/PortableServer/ImplicitActivationPolicy.cpp:
        * tao/PortableServer/ImplicitActivationPolicy.h:
        * tao/PortableServer/ImplicitActivationStrategy.cpp:
        * tao/PortableServer/ImplicitActivationStrategy.h:
        * tao/PortableServer/ImplicitActivationStrategyExplicit.cpp:
        * tao/PortableServer/ImplicitActivationStrategyExplicit.h:
        * tao/PortableServer/ImplicitActivationStrategyFactory.h:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.cpp:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.h:
        * tao/PortableServer/ImplicitActivationStrategyImplicit.cpp:
        * tao/PortableServer/ImplicitActivationStrategyImplicit.h:
        * tao/PortableServer/Key_Adapters.cpp:
        * tao/PortableServer/Key_Adapters.h:
        * tao/PortableServer/LifespanPolicy.cpp:
        * tao/PortableServer/LifespanPolicy.h:
        * tao/PortableServer/LifespanStrategy.cpp:
        * tao/PortableServer/LifespanStrategy.h:
        * tao/PortableServer/LifespanStrategyFactory.h:
        * tao/PortableServer/LifespanStrategyFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyFactoryImpl.h:
        * tao/PortableServer/LifespanStrategyPersistent.cpp:
        * tao/PortableServer/LifespanStrategyPersistent.h:
        * tao/PortableServer/LifespanStrategyPersistentFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyPersistentFactoryImpl.h:
        * tao/PortableServer/LifespanStrategyTransient.cpp:
        * tao/PortableServer/LifespanStrategyTransient.h:
        * tao/PortableServer/LifespanStrategyTransientFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyTransientFactoryImpl.h:
        * tao/PortableServer/Local_Servant_Base.cpp:
        * tao/PortableServer/Local_Servant_Base.h:
        * tao/PortableServer/Local_Servant_Base.inl:
        * tao/PortableServer/Non_Servant_Upcall.cpp:
        * tao/PortableServer/Non_Servant_Upcall.h:
        * tao/PortableServer/Non_Servant_Upcall.inl:
        * tao/PortableServer/ORT_Adapter.cpp:
        * tao/PortableServer/ORT_Adapter.h:
        * tao/PortableServer/ORT_Adapter_Factory.cpp:
        * tao/PortableServer/ORT_Adapter_Factory.h:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/Object_Adapter.i:
        * tao/PortableServer/Object_Adapter_Factory.cpp:
        * tao/PortableServer/Object_Adapter_Factory.h:
        * tao/PortableServer/Object_SArg_Traits.h:
        * tao/PortableServer/Object_SArgument_T.cpp:
        * tao/PortableServer/Object_SArgument_T.h:
        * tao/PortableServer/Object_SArgument_T.inl:
        * tao/PortableServer/Operation_Table.cpp:
        * tao/PortableServer/Operation_Table.h:
        * tao/PortableServer/Operation_Table_Binary_Search.cpp:
        * tao/PortableServer/Operation_Table_Binary_Search.h:
        * tao/PortableServer/Operation_Table_Dynamic_Hash.cpp:
        * tao/PortableServer/Operation_Table_Dynamic_Hash.h:
        * tao/PortableServer/Operation_Table_Linear_Search.cpp:
        * tao/PortableServer/Operation_Table_Linear_Search.h:
        * tao/PortableServer/Operation_Table_Perfect_Hash.cpp:
        * tao/PortableServer/Operation_Table_Perfect_Hash.h:
        * tao/PortableServer/POAManager.cpp:
        * tao/PortableServer/POAManager.h:
        * tao/PortableServer/POAManager.i:
        * tao/PortableServer/POA_Cached_Policies.cpp:
        * tao/PortableServer/POA_Cached_Policies.h:
        * tao/PortableServer/POA_Cached_Policies.i:
        * tao/PortableServer/POA_Current.cpp:
        * tao/PortableServer/POA_Current.h:
        * tao/PortableServer/POA_Current.inl:
        * tao/PortableServer/POA_Current_Factory.cpp:
        * tao/PortableServer/POA_Current_Factory.h:
        * tao/PortableServer/POA_Current_Impl.cpp:
        * tao/PortableServer/POA_Current_Impl.h:
        * tao/PortableServer/POA_Current_Impl.inl:
        * tao/PortableServer/POA_Guard.cpp:
        * tao/PortableServer/POA_Guard.h:
        * tao/PortableServer/POA_Policy_Set.cpp:
        * tao/PortableServer/POA_Policy_Set.h:
        * tao/PortableServer/POA_Policy_Set.i:
        * tao/PortableServer/Policy_Strategy.h:
        * tao/PortableServer/PortableServer.cpp:
        * tao/PortableServer/PortableServer.h:
        * tao/PortableServer/PortableServer_Functions.cpp:
        * tao/PortableServer/PortableServer_Functions.h:
        * tao/PortableServer/PortableServer_WFunctions.cpp:
        * tao/PortableServer/PortableServer_WFunctions.h:
        * tao/PortableServer/Regular_POA.cpp:
        * tao/PortableServer/Regular_POA.h:
        * tao/PortableServer/Regular_POA.inl:
        * tao/PortableServer/RequestProcessingPolicy.cpp:
        * tao/PortableServer/RequestProcessingPolicy.h:
        * tao/PortableServer/RequestProcessingStrategy.cpp:
        * tao/PortableServer/RequestProcessingStrategy.h:
        * tao/PortableServer/RequestProcessingStrategyAOMOnly.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnly.h:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.h:
        * tao/PortableServer/RequestProcessingStrategyDefaultServant.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServant.h:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.h:
        * tao/PortableServer/RequestProcessingStrategyFactory.h:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.h:
        * tao/PortableServer/RequestProcessingStrategyServantActivator.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivator.h:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.h:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.h:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.h:
        * tao/PortableServer/RequestProcessingStrategyServantManager.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantManager.h:
        * tao/PortableServer/Root_POA.cpp:
        * tao/PortableServer/Root_POA.h:
        * tao/PortableServer/Root_POA.inl:
        * tao/PortableServer/SArg_Traits_T.h:
        * tao/PortableServer/ServantRetentionPolicy.cpp:
        * tao/PortableServer/ServantRetentionPolicy.h:
        * tao/PortableServer/ServantRetentionStrategy.h:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.h:
        * tao/PortableServer/ServantRetentionStrategyNonRetain.cpp:
        * tao/PortableServer/ServantRetentionStrategyNonRetain.h:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.h:
        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
